<%@ taglib uri = "http://www.adventnet.com/webclient/menu-tags" prefix="menu" %>
<%@ tag import="com.adventnet.client.components.action.web.MenuItemProperties,com.adventnet.netutils.fw.login.AuthConstants" %>
<%@ tag import="com.adventnet.persistence.DataObject" %>
<%@ tag import="com.adventnet.client.action.web.MenuActionConstants" %>
<%@ attribute name="menuId" required="true"%>
<%@ attribute name="uniqueId" required="false"%>
<%@ attribute name="type" required="false"%>
<%@ attribute name="orientation" required="false"%>
<%@ attribute name="reqParams" required="false"%>
<%
String userRole = (String) session.getAttribute(AuthConstants.USER_ROLE);
userRole = userRole == null ? "" : userRole;
String selectedToolID = (String)session.getAttribute("selectedToolID");
String ctxPath = ((HttpServletRequest)((PageContext)jspContext).getRequest()).getContextPath();
String classId = null;
if (type == null || type.equals("button")) {
    if(orientation == null || orientation.equals("horizontal")) {
        classId = "hmenubutton";
        } else if(orientation.equals("vertical")) {
            classId = "vmenubutton";
        }
    } else if(type.equals("link")) {
        if(orientation == null || orientation.equals("horizontal")) {
            classId = "hmenu";
        } else if(orientation.equals("vertical")) {
            classId = "vmenu";
        }
    } if(reqParams != null) {
        reqParams = "'" + reqParams + "'";
    } else {
        reqParams = "null";
    }
%>
<ul class="<%=classId%>">
<menu:MenuIterator menuId="<%= menuId%>" uniqueId="<%=uniqueId%>">
<menu:MenuItem menuItem='<%= (DataObject)((PageContext)jspContext).getAttribute(MenuActionConstants.MENUITEM_DATA)%>'>
<%
    MenuItemProperties p = (MenuItemProperties)((PageContext)jspContext).getAttribute(MenuActionConstants.CURRENT_MENUITEM);
    String imgSrc = p.getImageSrc();
    if(imgSrc != null) {
        imgSrc = (imgSrc.charAt(0) == '/')?ctxPath + imgSrc:imgSrc;
    }
String aaName = p.getDisplayName();
    if(p.getViewType() == MenuActionConstants.HIDE_MENUITEM) {
%>
<span></span>
        <% } else if(p.getViewType() == MenuActionConstants.DISABLE_MENUITEM) {%>
<span class="disable hmmiddle_btn"><% if(imgSrc != null) {%>
<img src="<%=imgSrc%>">
<% }%><%=p.getDisplayName()%></span><% } else {%>
<% if(imgSrc != null && (aaName.contains("Scan") || aaName.contains("Clear"))  &&  ((userRole.equals("2")) || (userRole.equals("3") && selectedToolID.equalsIgnoreCase("Scan_Tools")))) {%>
<a href="javascript:invokeMenuAction('<%= p.getMenuItemId()%>', <%= (uniqueId != null)? "'" + uniqueId + "'" :"null" %>,<%=reqParams%>)">
    <span class="hmmiddle_btn"><img src="<%=imgSrc%>"><%}%><%
        if((aaName.contains("Scan") || aaName.contains("Clear")) && (userRole.equals("2") || (userRole.equals("3") && selectedToolID.equalsIgnoreCase("Scan_Tools")) )) {
            %><%=p.getDisplayName()%><%
        }%></span></a>
<% }%>
</menu:MenuItem>
</menu:MenuIterator></ul>
