<!DOCTYPE html>
<%@page import="com.adventnet.netutils.fw.util.CommonUtil"%>
<%@page import="com.adventnet.netutils.fw.util.GeneralUtil"%>
<%@page import="com.adventnet.netutils.fw.util.IDCValidator"%>
<%@page import="com.adventnet.netutils.fw.i18n.I18nUtil"%>
<%@page import="com.adventnet.netutils.ciscomgmt.ConfigFileViewerUtil"%>
<%@ page import="com.adventnet.persistence.PersistenceInitializer"%>
<%@page import="com.adventnet.persistence.cache.CacheManager"%>
<html>
	<head>		
		<%@ page contentType="text/html; charset=UTF-8" %>
		<%@ page import="java.lang.String"%>
		<meta http-equiv="X-UA-Compatible" content="IE=10" />
		<LINK REL="SHORTCUT ICON" HREF="/images/logo32x32.ico">
                
                
<%
    String userName = CommonUtil.getCurrentUserName(request);
    String domainName = "";
    if(userName.contains("\\")){
         String arr[] = userName.split("\\\\");
         domainName = arr[0];
         userName = arr[1];
    }
    String apiKey = CommonUtil.getApiKeyVal(userName);
    Boolean isOldUI = false;
    String apiclientFolderPath = "/apiclient/ember/";//No I18N
    boolean isWindowsOS = GeneralUtil.isWindowsOS();
    String tftpServerIP = CommonUtil.getStaticPropertyValue(ConfigFileViewerUtil.TFTP_SERVERIP);

    String currentDB = PersistenceInitializer.getConfigurationValue("DBName");//No I18N
    if(currentDB != null && currentDB.equals("firebird")){
        currentDB = "Firebird";//No I18N
    }else if(currentDB != null && currentDB.equals("postgres")){
        currentDB = "Postgres";//No I18N
    }
    String isDisplayIPAMPublishWarningMessage = (String)CacheManager.getCacheRepository().getFromCache("isIPAMPublishServerRestarted"); // No I18N
    String isDisplaySPMPublishWarningMessage = (String)CacheManager.getCacheRepository().getFromCache("isSPMPublishServerRestarted"); // No I18N
    isDisplayIPAMPublishWarningMessage = (isDisplayIPAMPublishWarningMessage == null) ? "0" : isDisplayIPAMPublishWarningMessage;// No I18N
    isDisplaySPMPublishWarningMessage = (isDisplaySPMPublishWarningMessage == null) ? "0" : isDisplaySPMPublishWarningMessage;// No I18N
    boolean isIDC = IDCValidator.isIDC();

boolean isAdminUser = (userName.equals("admin")) ? true : false;
String userRole = ""+request.getSession().getAttribute("UserRole");
boolean isAdminRole = (userRole.equals("1")) ? true : false;
boolean isScanAction = (userRole.equals("3")) ? false:true;
//    setServerTimeInSession(request);
//
//    String tzone=(String)request.getSession().getAttribute("tz"); //No I18N
//		String pattern= (String)request.getSession().getAttribute("format"); //No I18N
//		Integer jhour = (Integer)request.getSession().getAttribute("hour"); //No I18N
//		Integer jmin = (Integer)request.getSession().getAttribute("minute"); //No I18N
//		Integer jsec = (Integer)request.getSession().getAttribute("second"); //No I18N
//		Integer jmon = (Integer)request.getSession().getAttribute("month"); //No I18N
//		Integer jyear = (Integer)request.getSession().getAttribute("year"); //No I18N
//		Integer jday = (Integer)request.getSession().getAttribute("day"); //No I18N

String locale = I18nUtil.getUserLocaleFromSession().toString();
String lang = locale.split("_")[0];
String langStr = null;
if("ja".equalsIgnoreCase(lang)){
        langStr = "ja_JP"; //No I18N
        lang = "ja"; //No I18N
}
else if("de".equalsIgnoreCase(lang)){
        langStr = "de_DE"; //No I18N
        lang = "de"; //No I18N
}
else if("es".equalsIgnoreCase(lang)){
        langStr = "es_ES"; //No I18N
        lang = "es"; //No I18N
}
else if("zh".equalsIgnoreCase(lang)){
        langStr = "zh_CN"; //No I18N
        lang = "zh"; //No I18N
}
else if("nl".equalsIgnoreCase(lang)){
    langStr = "nl_NL"; //No I18N
    lang = "nl" ; //No I18N
}
else{
        langStr = "en_US"; //No I18N
        lang = "en";  //No I18N
}
%>  
   <script>
                    window.apiclientUrl = "/apiclient/ember/index.jsp#/";//No I18N
                    window.apiclientPath = "/apiclient/ember/";//No I18N
                    window.productName = "OpUtils";//No I18N
                    window.productName123 = "OpUtils";//No I18N
                    window.oputilsUserName = "<%=userName%>"//No I18N
                    window.domainName = "<%=domainName%>"//No I18N
                    window.serverRoleDisp = "admin"//No I18N
                    window.apiKey = "<%=apiKey%>";//No I18N
                    window.isWindows = <%=isWindowsOS%>;
                    window.tftpServerIP = "<%=tftpServerIP%>";
                    window.dbName = "<%=currentDB%>";
                    window.isIDC = <%=isIDC%>;
                    window.isAdminUser = <%=isAdminUser%>;
                    window.isAdminRole = <%=isAdminRole%>;
                    window.isShowScanAction = <%=isScanAction%>;
                    window.language="<%=langStr%>"; //No I18N
                    var loaded = false;
                    window.ipamSetPublishWarningMsg = "<%=isDisplayIPAMPublishWarningMessage%>";//No I18N
                    window.spmSetPublishWarningMsg = "<%=isDisplaySPMPublishWarningMessage%>";///No I18N
                    var oputilsStaticValues = {'UserName':window.oputilsUserName,'domainName':window.domainName,'APIKey':window.apiKey,'DBName':window.dbName,'IPAMDays':10,'SPMDays':10};//No I18N
                </script>

                <link type="text/css" rel="stylesheet" href="<%=apiclientFolderPath%>styles/ui.jqgrid.css">
		<link type="text/css" rel="stylesheet" href="<%=apiclientFolderPath%>styles/jquery-ui-1.10.1.custom.css">		
		<link type="text/css" rel="stylesheet" href="<%=apiclientFolderPath%>styles/OpmEmber.css">
		<link type="text/css" rel="stylesheet" href="<%=apiclientFolderPath%>styles/OpmRickshaw.css">
		<link type="text/css" rel="stylesheet" href="<%=apiclientFolderPath%>styles/rickshaw.min.css">
		<link type="text/css" rel="stylesheet" href="<%=apiclientFolderPath%>styles/extensions.css">
		<link type="text/css" rel="stylesheet" href="<%=apiclientFolderPath%>javascript/JGauge/css/jgauge.css">		
		<link type="text/css" rel="stylesheet" href="<%=apiclientFolderPath%>javascript/lightbox/css/screen.css" media="screen" />
        	<link type="text/css" rel="stylesheet" href="<%=apiclientFolderPath%>javascript/lightbox/css/lightbox.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="<%=apiclientFolderPath%>styles/jquery.mentionsInput.css">
		<link type="text/css" rel="stylesheet" href="<%=apiclientFolderPath%>styles/OpUtilsEmber.css">
		<link type="text/css" rel="stylesheet" href="/styles/style.css">
		<link type="text/css" rel="stylesheet" href="/styles/style1.css">
		<link type="text/css" rel="stylesheet" href="/styles/style2.css">
                
		<script src="<%=apiclientFolderPath%>javascript/jquery-1.9.0.min.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/underscore-min.js"></script>
 		<script src="<%=apiclientFolderPath%>javascript/jquery.mentionsInput.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/jquery-ui-1.10.1.custom.min.js"></script>				
		<script src="<%=apiclientFolderPath%>javascript/handlebars.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/ember-1.0.0-pre.4.min.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/Three.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/jscolor/jscolor.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/jquery.qrcode.min.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/i18n.js"></script>
                <script src="<%=apiclientFolderPath%>javascript/OpUtilsI18N_<%=langStr%>.js"></script>
                <script src="<%=apiclientFolderPath%>javascript/oputilsEmberView.js"></script>

		<script src="<%=apiclientFolderPath%>javascript/jquery.jqGrid-4.4.4/js/jquery.jqGrid.src.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/jquery.jqGrid-4.4.4/js/i18n/grid.locale-<%=lang%>.js"></script>

		<script src="<%=apiclientFolderPath%>javascript/main.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/common.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/d3.v2.min.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/d3-timeline.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/rickshaw.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/extensions.js"></script>		
		<script src="<%=apiclientFolderPath%>javascript/JGauge/js/excanvas.min.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/JGauge/js/jgauge-0.3.0.a3.js"></script>
		<script src="<%=apiclientFolderPath%>javascript/jQueryRotate.2.2.js"></script>
		<script type='text/javascript' src="<%=apiclientFolderPath%>javascript/lightbox/js/lightbox.js"></script>
           	<script src="<%=apiclientFolderPath%>javascript/jsPlumb-all-min.js"></script>		
	       <script src="<%=apiclientFolderPath%>javascript/jquery.elastic.source.js"></script>	
		<script src="<%=apiclientFolderPath%>javascript/flipcounter.js"></script>  
			<script src="<%=apiclientFolderPath%>javascript/Dialpie.js"></script>
                <script src="<%=apiclientFolderPath%>javascript/d3Pie.js"></script>
                <script src="<%=apiclientFolderPath%>javascript/D3Gauge.js"></script>
                
                <%@include file="./templates/application.handlebars"%>
                
                <%@include file="./templates/Home/homePage.handlebars"%>
                
                <%@include file="./templates/IPAM/IPAMTab.handlebars"%>
                <%@include file="./templates/IPAM/SubnetSummary.handlebars"%>
				<%@include file="./templates/IPAM/SubnetList.handlebars"%>
                <%@include file="./templates/IPAM/SubnetDetails.handlebars"%>
                <%@include file="./templates/IPAM/SubnetHistory.handlebars"%>
                <%@include file="./templates/IPAM/SubnetAlerts.handlebars"%>
                <%@include file="./templates/IPAM/IPDetails.handlebars"%>
                <%@include file="./templates/IPAM/IPAMGroupSnapshot.handlebars"%>
                <%@include file="./templates/IPAM/IPAMSubnetSnapshot.handlebars"%>
                <%@include file="./templates/IPAM/IPAMIPSnapshot.handlebars"%>
                <%@include file="./templates/IPAM/IPAddressSummary.handlebars"%>
                <%@include file="./templates/IPAM/IPAMDashboard.handlebars"%>
                <%@include file="./templates/IPAM/AddSubnet.handlebars"%>
                <%@include file="./templates/IPAM/AddADDomain.handlebars"%>
                <%@include file="./templates/IPAM/IPAMAllAlerts.handlebars"%>
                
                <%@include file="./templates/SPM/spmTabs.handlebars"%>
                <%@include file="./templates/SPM/spmSummary.handlebars"%>
                <%@include file="./templates/SPM/AddSwitch.handlebars"%>
                <%@include file="./templates/SPM/SwitchList.handlebars"%>
                <%@include file="./templates/SPM/SPMSwitchSnapshot.handlebars"%>
                <%@include file="./templates/SPM/SwitchSummary.handlebars"%>
                <%@include file="./templates/SPM/SwitchPorts.handlebars"%>
                <%@include file="./templates/SPM/SwitchAlerts.handlebars"%>
                <%@include file="./templates/SPM/SwitchHistory.handlebars"%>
                <%@include file="./templates/SPM/SwitchPortSummary.handlebars"%>
                <%@include file="./templates/SPM/SPMSwitchPortSnapshot.handlebars"%>
                <%@include file="./templates/SPM/BlockUnBlockSwitchPort.handlebars"%>
                <%@include file="./templates/Rogue/rogueTabs.handlebars"%>
                <%@include file="./templates/Rogue/rogueDetection.handlebars"%>
                <%@include file="./templates/Rogue/rogueMarkAsGuest.handlebars"%>
                <%@include file="./templates/Rogue/blockUnblockPort.handlebars"%>
                <%@include file="./templates/NetworkMonitor/networkHostDetails.handlebars"%>
                <%@include file="./templates/NetworkMonitor/networkMonitorTabs.handlebars"%>
                <%@include file="./templates/NetworkMonitor/networkHostAlerts.handlebars"%>
                <%@include file="./templates/NetworkMonitor/AddDevice.handlebars"%>
                <%@include file="./templates/BWMonitor/addDeviceBWM.handlebars"%>
                <%@include file="./templates/BWMonitor/bwMonitorSummary.handlebars"%>
                <%@include file="./templates/BWMonitor/bwMonitorAlerts.handlebars"%>
                <%@include file="./templates/BWMonitor/bwMonitorTabs.handlebars"%>
                <%@include file="./templates/Reports/reportNetwork.handlebars"%>
                <%@include file="./templates/Reports/reportsTabs.handlebars"%>
                <%@include file="./templates/Reports/ipamReports.handlebars"%>
                <%@include file="./templates/Reports/spmReports.handlebars"%>
                <%@include file="./templates/Reports/ReportsSnapshot.handlebars"%>
                <%@include file="./templates/Reports/addCustomQuery.handlebars"%>
                <%@include file="./templates/Reports/addScheduleReport.handlebars"%>
                <%@include file="./templates/Tools/toolsTabs.handlebars"%>
                <%@include file="./templates/Tools/WMI.handlebars"%>
                <%@include file="./templates/Settings/settingsTabs.handlebars"%>
                <%@include file="./templates/Settings/GeneralSettings.handlebars"%>
                <%@include file="./templates/Settings/opTopSettingsTabs.handlebars"%>
                <%@include file="./templates/Settings/spmSettings.handlebars"%>
                <%@include file="./templates/Settings/ipamSettings.handlebars"%>
                <%@include file="./templates/Settings/customColumns.handlebars"%>
                <%@include file="./templates/Settings/addNewGroup.handlebars"%>
                <%@include file="./templates/Settings/alertConfiguration.handlebars"%>
                <%@include file="./templates/Settings/AddRouter.handlebars"%>
                <%@include file="./templates/Settings/RouterLists.handlebars"%>
                <%@include file="./templates/Settings/UsersLists.handlebars"%>
                <%@include file="./templates/Settings/AdDomainsLists.handlebars"%>
                <%@include file="./templates/Settings/AddUser.handlebars"%>
                <%@include file="./templates/Settings/ChangePassword.handlebars"%>
                <%@include file="./templates/Settings/dbBackUp.handlebars"%>
                <%@include file="./templates/Settings/dbMigration.handlebars"%>
                <%@include file="./templates/Settings/LanguageSelector.handlebars"%>
                <%@include file="./templates/Settings/networkMonitorSettings.handlebars"%>
                <%@include file="./templates/Settings/bandwidthMonitorSettings.handlebars"%>
                <%@include file="./templates/Settings/OputilsAbout.handlebars"%>
                <%@include file="./templates/CFM/cfmSummary.handlebars"%>
                <%@include file="./templates/CFM/cfmTabs.handlebars"%>
                <%@include file="./templates/CFM/AddDevice.handlebars"%>
                
                <script src="<%=apiclientFolderPath%>models/IPAM/ipamModel.js"></script>
                <script src="<%=apiclientFolderPath%>router/IPAM/ipamRoute.js"></script>
                <script src="<%=apiclientFolderPath%>controllers/IPAM/ipamController.js"></script>
                <script src="<%=apiclientFolderPath%>views/IPAM/ipamView.js"></script>
                
                <script src="<%=apiclientFolderPath%>models/SPM/spmModel.js"></script>
                <script src="<%=apiclientFolderPath%>router/SPM/spmRoute.js"></script>
                <script src="<%=apiclientFolderPath%>controllers/SPM/spmController.js"></script>
                <script src="<%=apiclientFolderPath%>views/SPM/spmView.js"></script>
                <script src="<%=apiclientFolderPath%>models/Rogue/rogueModel.js"></script>
                <script src="<%=apiclientFolderPath%>router/Rogue/rogueRoute.js"></script>
                <script src="<%=apiclientFolderPath%>views/Rogue/rogueView.js"></script>
                <script src="<%=apiclientFolderPath%>controllers/Rogue/rogueController.js"></script>
                <script src="<%=apiclientFolderPath%>models/NetworkMonitor/networkMonitorModel.js"></script>
                <script src="<%=apiclientFolderPath%>router/NetworkMonitor/networkMonitorRoute.js"></script>
                <script src="<%=apiclientFolderPath%>views/NetworkMonitor/networkMonitorView.js"></script>
                <script src="<%=apiclientFolderPath%>controllers/NetworkMonitor/networkMonitorController.js"></script>
                <script src="<%=apiclientFolderPath%>models/BWMonitor/bwMonitorModel.js"></script>
                <script src="<%=apiclientFolderPath%>router/BWMonitor/bwMonitorRoute.js"></script>
                <script src="<%=apiclientFolderPath%>views/BWMonitor/bwMonitorView.js"></script>
                <script src="<%=apiclientFolderPath%>controllers/BWMonitor/bwMonitorController.js"></script>
                <script src="<%=apiclientFolderPath%>models/Reports/reportsModel.js"></script>
                <script src="<%=apiclientFolderPath%>router/Reports/reportsRoute.js"></script>
                <script src="<%=apiclientFolderPath%>views/Reports/reportsView.js"></script>
                <script src="<%=apiclientFolderPath%>controllers/Reports/reportsController.js"></script>
                <script src="<%=apiclientFolderPath%>models/Tools/toolsModel.js"></script>
                <script src="<%=apiclientFolderPath%>router/Tools/toolsRoute.js"></script>
                <script src="<%=apiclientFolderPath%>views/Tools/toolsView.js"></script>
                <script src="<%=apiclientFolderPath%>models/Settings/settingsModel.js"></script>
                <script src="<%=apiclientFolderPath%>router/Settings/settingsRoute.js"></script>
                <script src="<%=apiclientFolderPath%>controllers/Settings/settingsController.js"></script>
                <script src="<%=apiclientFolderPath%>views/Settings/settingsView.js"></script>
                <script src="<%=apiclientFolderPath%>models/CFM/cfmModel.js"></script>
                <script src="<%=apiclientFolderPath%>router/CFM/cfmRoute.js"></script>
                <script src="<%=apiclientFolderPath%>views/CFM/cfmView.js"></script>
                


</head>

<%if(!isOldUI){
%>
<body  class="style1 apiClientDefaultFont" style="background-image: url(/apiclient/ember/images/bgs/admin/default.jpg);">
</body>	
 <%}%>
</html>




