var sChars = "?:<>&%';,.\"_`\\+#";//NO I18N
function loadJQgridWithData(gridTable, jsonData, colNamesList, colModelList, captionTitle, gridNavigator, onSelectFunction, defaultOptions)
{
	var defaultSortName = ""; //No I18N
	var defaultSortOrder = "asc"; //No I18N
	var widthOfTable = "100"; //No I18N
	var multiselectVal = false; // No I18N
	var apiUrl = "";// No I18N
	var urlParameter ="";// No I18N// No I18N
  	var deleteName = "";// No I18N
	var rowNumNeeded = true; //No I18N
	var addIcon = false;
	var delIcon = false;
	var selectedMonitorTab = "";
	var deviceName = "";// No I18N
	var deviceNameParameter = "";// No I18N
	var delMsg = "Are you sure you want to delete?";// No I18N
	var minRowsPerPage = 50;
	var searchOption = false;
	var grouping = false;
	var toggleSearch = true;
	var groupingField = "";
	var groupingText = '<b>{0} </b>'; //No I18n
	var subGrid = false;
	var rowList = [25,50,100,500,1000];
	if (defaultOptions != undefined)
	{
		if(defaultOptions.subGrid !== undefined)
		{
			subGrid = defaultOptions.subGrid; //No I18n
		}
		if (defaultOptions.searchOption != undefined)
		{
			searchOption = defaultOptions.searchOption; //No I18N
		}
		if (defaultOptions.sortName != undefined)
		{
			defaultSortName = defaultOptions.sortName; //No I18N
		}
		if (defaultOptions.sortOrder != undefined)
		{
			defaultSortOrder = defaultOptions.sortOrder; //No I18N
		}
		if (defaultOptions.widthOfTable != undefined)
		{
			widthOfTable = defaultOptions.widthOfTable; //No I18N
		}
		if (defaultOptions.multiselect != undefined)
		{
			multiselectVal = defaultOptions.multiselect; //No I18N
		}
		if (defaultOptions.apiUrl != undefined)
		{
			apiUrl = defaultOptions.apiUrl; //No I18N
		}
		if (defaultOptions.urlParameter != undefined)
		{
			urlParameter = defaultOptions.urlParameter; //No I18N
		}
		if (defaultOptions.deleteName != undefined)
		{
			deleteName = defaultOptions.deleteName; //No I18N
		}
		if (defaultOptions.rowNumNeeded != undefined)
		{
			rowNumNeeded = defaultOptions.rowNumNeeded; //No I18N
		}
		if (defaultOptions.addIcon != undefined)
		{
			addIcon = defaultOptions.addIcon; //No I18N
		}
		if (defaultOptions.delIcon != undefined)
		{
			delIcon = defaultOptions.delIcon; //No I18N
		}
		if (defaultOptions.selectedMonitorTab != undefined)
		{
			selectedMonitorTab = defaultOptions.selectedMonitorTab; //No I18N
		}
		if (defaultOptions.deviceName != undefined)
		{
			deviceName = defaultOptions.deviceName; //No I18N
		}
		if (defaultOptions.deviceNameParameter != undefined)
		{
			deviceNameParameter = defaultOptions.deviceNameParameter; //No I18N
		}
		if (defaultOptions.delConfirmMsg != undefined)
		{
			delMsg = defaultOptions.delConfirmMsg; //No I18N
		}
		if (defaultOptions.minRowsPerPage != undefined)
		{
			minRowsPerPage = defaultOptions.minRowsPerPage; //No I18N
		}
		if (defaultOptions.grouping != undefined)
		{
			grouping = defaultOptions.grouping; //No I18N
		}
		if(defaultOptions.groupingField !== undefined)
		{
			groupingField = defaultOptions.groupingField; //No I18N
		}
		if(defaultOptions.groupingText !== undefined)
		{
			groupingText = defaultOptions.groupingText; //No I18N
		}
		if (defaultOptions.toggleSearch !== undefined)
		{
			toggleSearch = defaultOptions.toggleSearch; //No I18N
		}
		if (defaultOptions.rowList !== undefined)
		{
			rowList = (defaultOptions.rowList === true || defaultOptions.rowList === 'true')?rowList:[]; //No I18N
		}
	}
	var countOfRows = getCountOfJson(jsonData);
	var grid = $(gridTable);
	var gridDivId = "#gbox_"; //No I18N
	var gridTableIdAlone = gridTable.substring(1); //No I18N
	gridDivId = gridDivId+gridTableIdAlone; //No I18N
	var gridDiv = $(gridDivId); //No I18N
	if (gridDiv.length > 0)
	{
		grid.jqGrid('clearGridData'); //No I18N
		grid.jqGrid('setGridParam', { datatype: "jsonstring", datastr: jsonData }); //No I18N
		grid.trigger('reloadGrid'); //No I18N
	}
	else
	{
		if ((gridNavigator == null || gridNavigator == undefined || gridNavigator == "") && countOfRows > minRowsPerPage)
		{
			var gridNavigatorId = gridTableIdAlone+"Pager";//No I18N
			var parentElem = $(gridTable).parent().get(0);//No I18N
			createDiv(parentElem,gridNavigatorId);//No I18N
			gridNavigator = "#"+gridNavigatorId;//No I18N
		}
		var gridviewVal = false;
		if (onSelectFunction == "alarmListColored") //No I18N
		{
			gridviewVal = true;
		}
		
		grid.jqGrid(
		{
			colNames: colNamesList,
			colModel: colModelList,
			pager: gridNavigator, //No I18N
			rowList:rowList,
			datatype: "jsonstring", //No I18N
			datastr: jsonData,
			multiselect: multiselectVal,
			loadOnce: true,
			jsonReader: { root: function (obj) { return obj; }, repeatitems: false },
			rownumbers: rowNumNeeded,
			rowNum: minRowsPerPage,
			rownumWidth:25, //minor ui issue in number column width
			viewrecords: true,
			grouping: grouping,
			groupingView:
			{
				groupField: [groupingField],
				groupColumnShow: [false],
				groupText:[groupingText]
			},
		    caption: captionTitle,
			height: "auto", //No I18N
			autowidth: true,
			shrinkToFit: true,
			hidegrid: false,
			ignoreCase: true,
			sortable:true,
			subGrid:subGrid,
			sortname: defaultSortName, //No I18N
			sortorder: defaultSortOrder, //No I18N
			gridview: gridviewVal, // If set to true, the event below doesn't fire!
			subGridOptions: 
			{
				"plusicon"  : "ui-icon-triangle-1-e",//No I18N
				"minusicon" : "ui-icon-triangle-1-s", //No I18N
				"openicon"  : "ui-icon-arrowreturn-1-e", //No I18N
				"reloadOnExpand" : false, //No I18N
				"selectOnExpand" : true //No I18N
			},
			subGridRowExpanded: function(subgrid_id, row_id) 
			{
				if(defaultOptions.onSelectFunctionName === "DeviceSummaryWidget")
				{
					var subgrid_table_id = subgrid_id+"_t"; //No I18N
					var assocID = grid.jqGrid('getCell', row_id, 'assocID'); //No I18N
					var vendorid = grid.jqGrid('getCell', row_id, 'vendorId'); //No I18N
					
					$("#"+subgrid_id).html("<table id='"+subgrid_table_id+"' class='scroll' style='text-align:left;' cellpadding='2'></table>");
					$.getJSON("/api/json/dashboard/getWidgetDeviceListForVendor?apiKey="+apiKey+"&assocID="+assocID+"&vendorid="+vendorid,function(subGridJson) //No I18N
					{
						$.each(subGridJson,function(kk,vvv)
						{
							$("#"+subgrid_table_id).append("<tr><td><img src='/images/devices/status"+vvv.status+".gif'></td><td><a href='"+window.apiclientUrl+"Inventory/Device/"+vvv.name+"/Summary'>"+vvv.displayName+"</a></td></tr>"); //No I18n
						})
					});
				}
			},
			afterInsertRow: function(rowId, rowData, rowElem) 
			{
				// rowElem[nnn] column number to compare with (remember Javascript starts indexes at 0, so rowElem[2] selects the 3rd column)
				// Adapt the if clause to other comparisions if needed
//				if(onSelectFunction == "userList")
//				{
//					if (rowElem["USERNAME"] == "admin" || rowElem["USERNAME"] == window.userName)//No I18N 
//					{
//						jQuery('tr#'+rowId+' td:last div:first div.ui-inline-del',jQuery(this)).hide();//No I18N
//		  			}
//	   				return true;
//				}
			}, 
			rowattr: function (rd) 
			{
				if(onSelectFunction == "alarmListColored") //No I18N
				{
					var severity = rd.severity;
					var className = "clearBG"; //No I18N
					if (severity.indexOf(Ember.I18n.t('webclient.admin.threshold.Trouble',this)) > -1)//No I18N 
					{
						className = "troubleBG"; //No I18N
		  			}				
					if (severity.indexOf(Ember.I18n.t('webclient.admin.threshold.Attention',this)) > -1)//No I18N 
					{
						className = "attentionBG"; //No I18N					
		  			}				
					if (severity.indexOf(Ember.I18n.t('webclient.admin.threshold.Critical',this)) > -1)//No I18N 
					{
						className = "criticalBG"; //No I18N					
		  			}				
					if (severity.indexOf(Ember.I18n.t('webclient.fault.alarms.servicedownmsg',this)) > -1)//No I18N 
					{
						className = "servicedownBG"; //No I18N					
					}
					return {"class": className};	 //No I18N			
				}
			},			
			onSelectRow: function(id)
			{
				var sortColumnName = grid.jqGrid('getGridParam','sortname'); //No I18N
				var sortOrder = grid.jqGrid('getGridParam','sortorder'); //No I18N
	
				
				if(onSelectFunction == "VMwareList")
				{
					var devNameList = grid.getCol('deviceName',false,''); //No I18N
					var selVMName = grid.jqGrid('getCell',id,'deviceName'); //No I18N
					if (devNameList != null && devNameList != "")	//No I18N
					{	
						window.vmMapListForNextPrev = devNameList; //No I18N
					}
					goToVMwareMapLink(selVMName); //No I18N
				}
			else if(onSelectFunction === "defReportsList" )
			{
				var selReportId = grid.jqGrid('getCell', id, 'id'); //No I18N	
				goToReportsPageLink(selReportId); //No I18N
			}
			else if(onSelectFunction === "processListwkfw" )
			{
				var name = grid.jqGrid('getCell', id, 'name'); //No I18N	
				var path = grid.jqGrid('getCell', id, 'path'); //No I18N
				var args = grid.jqGrid('getCell', id, 'args'); //No I18N
				setValuesForProcessDialog(name,path,args); //No I18N
			}
			
		},
			onCellSelect: function(row, col, content, event) 
			{
				var colMod = jQuery(gridTable).jqGrid("getGridParam", "colModel");	//No I18N
				var rowMod = jQuery(gridTable).jqGrid("getGridParam", "data");	//No I18N

				if(colMod[col].name != "cb")
				{
					grid.jqGrid('resetSelection');//No I18N
		            grid.jqGrid('setSelection', row);//No I18N
	       		}
	       		if(onSelectFunction === "serverMonitorList" && colMod[col].name === "name"){
	     			showReportMonitor(content,"serverMonitors",rowMod[row-1].portNo); //No I18N	
	       		}
				else if(defaultOptions.onSelectFunctionName === "DeviceSummaryWidget" && colMod[col].name === "name" || colMod[col].name === "total")
				{
		  			grid.jqGrid('toggleSubGridRow', row); //No I18N	
				}
	       		else if(onSelectFunction === "processMonitorList" && colMod[col].name === "name"){
	     			showReportMonitor(row,"processMonitors",""); //No I18N	
	       		}
	       		else if(onSelectFunction === "winserviceMonitorList" && colMod[col].name === "name"){
	     			showReportMonitor(rowMod[row-1].serviceName,"winserverMonitors",""); //No I18N	
	       		}
	       		else if(onSelectFunction === "MibsList")
				{
					var selectedMib = grid.jqGrid('getCell', row, 'name'); //No I18N
					listTrapFromMib(selectedMib);
				}
				else if(onSelectFunction === "L2MapsList" && colMod[col].name === 'mapName')	//No I18N
				{	
					var mapNameList = grid.getCol('mapName',false,''); //No I18N
					var selMap = grid.jqGrid('getCell', row, 'mapName'); //No I18N
					if (mapNameList != null && mapNameList != "")	//No I18N
					{	
						window.layer2MapListForNextPrev = mapNameList; //No I18N
					}
					if (selMap != null && selMap != "")	//No I18N
					{	 
						goToMapLink(selMap); //No I18N
					}	
				}
				else if (onSelectFunction === "floorList" && colMod[col].name !== 'delIcon')	//No I18N
				{
					var floorIdList = grid.getCol('ID',false,''); //No I18N						
					var selFloor = grid.jqGrid('getCell', row, 'ID'); //No I18N
					if (floorIdList !== null && floorIdList !== "")
					{
						window.floorListForNextPrev = floorIdList; //No I18N
					}
					if (selFloor !== null && selFloor !== "")
					{
						goToFloorLink(selFloor); //No I18N
					}				
				}
				else if ((onSelectFunction === "interfaceList" || onSelectFunction === "interfaceMainList") && colMod[col].name !== 'actions')
				{
					var interfaceIdList = grid.getCol('name',false,''); //No I18N
					var selInterface = grid.jqGrid('getCell', row, 'name'); //No I18N				
					if (onSelectFunction === "interfaceMainList")
					{
						interfaceIdList = grid.getCol('interfaceName',false,''); //No I18N
						selInterface = grid.jqGrid('getCell', row, 'interfaceName'); //No I18N
					}
					if (interfaceIdList !== null && interfaceIdList !== "")
					{
						window.interfaceListForNextPrev = interfaceIdList; //No I18N
					}
					if (selInterface !== null && selInterface !== "")
					{
						goToInterfaceLink(selInterface); //No I18N
					}
				}
				else if(onSelectFunction == "BVList" && colMod[col].name === 'displayName')
				{
					var bvNameList = grid.getCol('name',false,''); //No I18N
					var selBVName = grid.jqGrid('getCell',row,'name'); //No I18N
					if (bvNameList != null && bvNameList != "")	//No I18N
					{	
						window.bvMapListForNextPrev = bvNameList; //No I18N
					}
					if (selBVName !== null && selBVName !== "")
					{
						goToBVMapLink(selBVName); //No I18N
					} 
				}
				else if (onSelectFunction === "RacksList" && colMod[col].name !== 'delIcon')	//No I18N
        			{
					var rackIdList = grid.getCol('ID',false,''); //No I18N		
					var selRack = grid.jqGrid('getCell', row, 'ID'); //No I18N
					if (rackIdList !== null && rackIdList !== "")
					{
						window.rackListForNextPrev = rackIdList; //No I18N
					}
					if (selRack !== null && selRack !== "")
					{
						goToRackLink(selRack); //No I18N
					}				
				}
				else if (onSelectFunction === "totUCS" && colMod[col].name === 'ucsName')
				{
			   		var selName = grid.jqGrid('getCell', row, 'deviceName'); //No I18N
					if (selName !== null && selName !== "")				
					{
			   			ucsSnapShot(selName);
		   			}
				}
				else if (onSelectFunction === "totChassis" && colMod[col].name === 'chassisName')
				{
			   		var selName = grid.jqGrid('getCell', row, 'chassisID'); //No I18N
					if (selName !== null && selName !== "")				
					{
			   			chassisSnapShot(selName);
		   			}
				}	
				else if (onSelectFunction === "totFabricInterconnect" && colMod[col].name === 'fabricName')
				{
			   		var selName = grid.jqGrid('getCell', row, 'fabricID'); //No I18N
					if (selName !== null && selName !== "")				
					{
			   			fabricInterconnectsSnapShot(selName);
		   			}
				}
			
				else if (onSelectFunction === "ucsChassisPage" && colMod[col].name === 'name')
				{
			   		var selName = grid.jqGrid('getCell', row, 'chassisID'); //No I18N
					if (selName !== null && selName !== "")				
					{
			   			chassisSnapShot(selName);
		   			}
				}
				else if (onSelectFunction === "ucsFabricPage" && colMod[col].name === 'name')
				{
			   		var selName = grid.jqGrid('getCell', row, 'fabricID'); //No I18N
					if (selName !== null && selName !== "")				
					{
			   			fabricInterconnectsSnapShot(selName);
		   			}
				}
				else if (onSelectFunction === "totUCSMap" && colMod[col].name === 'ucsName')
				{
			   		var selName = grid.jqGrid('getCell', row, 'deviceName'); //No I18N
					if (selName !== null && selName !== "")				
					{
			   			treeView(selName);
		   			}
				}
				else if ((onSelectFunction === "deviceList" || onSelectFunction === "topTrapsList") && colMod[col].name !== "cb")
				{
					var deviceIdList = grid.getCol('deviceName',false,''); //No I18N
					if (onSelectFunction == "topTrapsList")
					{
						deviceIdList = grid.getCol('moname',false,''); //No I18N
					}				
					var selDevice = grid.jqGrid('getCell', row, 'deviceName'); //No I18N
					var selDevType = grid.jqGrid('getCell', row, 'type'); //No I18N
					var selDevCate = grid.jqGrid('getCell', row, 'category'); //No I18N
					if (onSelectFunction == "topTrapsList")
					{
						selDevice = grid.jqGrid('getCell', row, 'moname'); //No I18N
					}
					if (deviceIdList != null && deviceIdList != "")
					{
						window.deviceListForNextPrev = deviceIdList; //No I18N
					}
					if (selDevice != null && selDevice != "")
					{
						goToDeviceLink(selDevice); //No I18N
					}
					if(selDevType === "UCS System")
					{
						goToUCSDeviceLink(selDevice);
						OpUtilsClient.UCSDeviceDetailsController.set("ucsActive", true); //No I18N
					}
					else if(selDevCate === "UCS")
					{
						goToUCSDeviceLink(selDevice);
						OpUtilsClient.UCSDeviceDetailsController.set("ucsActive", true); //No I18N
					}
				}
				else if ((onSelectFunction === "alarmList" || onSelectFunction === "alarmListColored" || onSelectFunction === "alarmListCompact") && colMod[col].name !== "cb")
				{
					var selDevCate = grid.jqGrid('getCell', row, 'category'); //No I18N
					var alarmIdList = grid.getCol('entity',false,''); //No I18N		
			   		var selEntity = grid.jqGrid('getCell', row, 'entity'); //No I18N
	   				if (alarmIdList != null && alarmIdList != "")					    
					{
				   		window.alarmListForNextPrev = alarmIdList;
		   			} 
					if (selEntity != null && selEntity != "")				
					{
			   			goToLink(selEntity);
		   			}
		   			if(selDevCate === "UCSALARM")
		   			{
		   				OpUtilsClient.UCSDeviceDetailsController.set("isUCS", true); //No I18N
		   			}
		   			else
		   			{
		   				OpUtilsClient.UCSDeviceDetailsController.set("isUCS", false); //No I18N
		   			}
				}
				else if(onSelectFunction ==="OpStorAlarmListColored" && colMod[col].name === 'message')//No I18N
				{  
					var alarmIdList = grid.getCol('entity',false,''); //No I18N		
			   		var selEntity = grid.jqGrid('getCell', row, 'displayName'); //No I18N
	   				if (alarmIdList != null && alarmIdList != "")	    	    			    
					{
				   		window.alarmListForNextPrev = alarmIdList;
		   			} 
					if (selEntity != null && selEntity != "")				
					{        
			   			location.href=window.apiclientUrl+"Network/OpStor/Inventory/Overview/RAID/"+selEntity; //No I18N
		   			}        					
				}
				else if(onSelectFunction == "monitorsInAccordion" && colMod[col].name == 'DISPLAYNAME')
				{
					var selPolicyName = grid.jqGrid('getCell', row, 'policyName'); //No I18N
					var selName = grid.jqGrid('getCell', row, 'graphName'); //No I18N
					if (selPolicyName != null && selPolicyName != ""  && selName != "")				
					{
			   			goToMonitorGraph(selPolicyName,selName);
		   			}
				}
				else if(onSelectFunction == "cctvviewList" && colMod[col].name == 'name')
				{
					var selCCTVName = grid.jqGrid('getCell', row, 'id'); //No I18N
					goToCCTVViewLink(selCCTVName); //No I18N
				}
	            		else if(onSelectFunction == "logsList" && (colMod[col].name == 'fileName'))
				{
                    			var fileName = grid.jqGrid('getCell', row, 'fileName'); //No I18N
                    			if (fileName != null && fileName != "")				    
                    			{                                   
                        			var fileUrl = grid.jqGrid('getCell',row,'url'); //No I18N
                        			viewLogFile(fileUrl,fileName); //No I18N
                   			 }
	            		}
				else if ((onSelectFunction === "hostsList" || onSelectFunction === "VMsList") && (colMod[col].name === 'displayName'))
				{
					var deviceIdList = grid.getCol('deviceName',false,''); //No I18N
				
					var selDevice = grid.jqGrid('getCell', row, 'deviceName'); //No I18N
					if (onSelectFunction === "topTrapsList")
					{
						selDevice = grid.jqGrid('getCell', row, 'moname'); //No I18N
					}
					if (deviceIdList !== null && deviceIdList !== "")
					{
						window.deviceListForNextPrev = deviceIdList; //No I18N
					}
					if (selDevice !== null && selDevice !== "")
					{
						goToDeviceLink(selDevice); //No I18N
					}
				}
				else if(onSelectFunction === "ProbeDetailsList" && (colMod[col].name === 'natName'))
				{
	                var probeName = grid.jqGrid('getCell', row, 'natName'); //No I18N
	                if (probeName !== null && probeName !== "")				    
	                {  
	                	var protocol = grid.jqGrid('getCell', row, 'natProtocol'); //No I18N
	                	var port = grid.jqGrid('getCell', row, 'natPort'); //No I18N                              
	                	var probeUrl = protocol+"://"+probeName+":"+port;
	                    goToProbeLink(probeUrl); //No I18N
	                }
	            }
		    else if(onSelectFunction === "AllWorkflowList" && colMod[col].name === 'name')
			{
				var wrkflwList = grid.getCol('name',false,''); //No I18N
				var wrkflwId = grid.getCol('rbID',false,''); //No I18N
			
			
				if (wrkflwList !== null && wrkflwList !== "")
				{
					window.workflowListForNextPrev = wrkflwList; //No I18N
					window.workflowIdForNextPrev = wrkflwId; //No I18N
				}

				var wrkflwName = grid.jqGrid('getCell', row, 'name'); //No I18N
				var wrkflwDesc = grid.jqGrid('getCell', row, 'description'); //No I18N	
				var wfId = grid.jqGrid('getCell', row, 'rbID'); //No I18N	
				if (wrkflwName !== null && wrkflwName !== "")				
				{
		   			goToWorkflowPage(wrkflwName,wrkflwDesc,wfId);
	   			}
			}
			 else if(onSelectFunction === "AlarmsTab" && colMod[col].name === 'message')
			{
				
				var sortColumnName = grid.jqGrid('getGridParam','sortname'); //No I18N
					var sortOrder = grid.jqGrid('getGridParam','sortorder'); //No I18N
					var alarmIdList = grid.getCol('entity',false,''); //No I18N						
					var selEntity = grid.jqGrid('getCell', id, 'entity'); //No I18N
					
					if (selEntity !== null && selEntity !== "")
					{
						goToAlarmLink(selEntity);
					}

			}
			else if(onSelectFunction === "OpStorDevicesTab" && colMod[col].name === 'displayName')
			{
				   
				var selDevice = grid.jqGrid('getCell', row, 'name'); //No I18N
				var selTpe = grid.jqGrid('getCell', row, 'type'); //No I18N
	
				if (selDevice !== null && selDevice !== "")
				{
					goToOpStorDeviceLink(selDevice,selTpe); //No I18N
				}
			
			}  
			else if(onSelectFunction === "ServiceMonitorsList" && colMod[col].name === 'serviceName')
			{
			    var name = grid.jqGrid('getCell', row, 'serviceName'); //No I18N
				var timeout = grid.jqGrid('getCell', row, 'timeout'); //No I18N
				var thresh = grid.jqGrid('getCell', row, 'failureThreshold'); //No I18N
				var disc = grid.jqGrid('getCell', row, 'autoDiscovery'); //No I18N
				var port = grid.jqGrid('getCell', row, 'portNo'); //No I18N
				editServiceMonitor(name,timeout,thresh,disc,port);
			}
			else if(onSelectFunction === "templateList" && colMod[col].name === 'type')
			{
			    var tempId = grid.jqGrid('getCell', row, 'type'); //No I18N
				editDeviceTemplate(tempId);
			}
			else if(onSelectFunction === "InterfaceTemplatesList" && colMod[col].name === 'ifname')
			{
				var intfTypeId = grid.jqGrid('getCell', row, 'typeid'); //No I18N
			    var name = grid.jqGrid('getCell', row, 'ifname'); //No I18N
			    editIntfTemplate(name,intfTypeId);
			}
			else if(onSelectFunction === "AdExMssqlMonitors" && colMod[col].name === 'value')
			{
				var monOid = grid.jqGrid('getCell', row, 'oid'); //No I18N
			    var policyName = grid.jqGrid('getCell', row, 'policyName'); //No I18N
			    loadAdExMssqlGraphs(policyName,monOid);
			}
			else if(onSelectFunction === "databaseList" && colMod[col].name === 'MSSQLActiveTransactions' || colMod[col].name === 'MSSQLDataFilesSizeKB' || colMod[col].name === 'MSSQLLogFilesUsedPercent' )
			{
				var monOid = "";
				var policyName= "";
				if(colMod[col].name === 'MSSQLActiveTransactions'){
					monOid = grid.jqGrid('getCell', row, 'MSSQLActiveTransactions_oid'); //No I18N
				    policyName = grid.jqGrid('getCell', row, 'MSSQLActiveTransactions'); //No I18N
			    }else if(colMod[col].name === 'MSSQLDataFilesSizeKB'){
			    	monOid = grid.jqGrid('getCell', row, 'MSSQLDataFilesSizeKB_oid'); //No I18N
				    policyName = grid.jqGrid('getCell', row, 'MSSQLDataFilesSizeKB'); //No I18N
			    }else if(colMod[col].name === 'MSSQLLogFilesUsedPercent'){
			    	monOid = grid.jqGrid('getCell', row, 'MSSQLLogFilesUsedPercent_oid'); //No I18N
				    policyName = grid.jqGrid('getCell', row, 'MSSQLLogFilesUsedPercent'); //No I18N
			    }
			    loadAdExMssqlGraphs(policyName,monOid);
			}
			else if(onSelectFunction === "UrlMonitorsList"  && colMod[col].name === 'displayName'){
				var urlName = grid.jqGrid('getCell', row, 'urlName'); //No I18N
				var urlIdList = grid.getCol('urlName',false,''); //No I18N
				OpUtilsClient.InventoryURLController.urlName = urlName;

				if (urlIdList !== null && urlIdList !== "")
					{
						window.urlListForNextPrev = urlIdList; //No I18N
					}
				goToUrlSnapshot(urlName); //No I18N
			}	
			},
			loadComplete: function () 
			{
				var $this = $(this);
				if (onSelectFunction == "templateList" || onSelectFunction == "userList" || onSelectFunction == "alarmNotesList" )
				{
			        	datatype = $this.getGridParam('datatype');  //No I18N
			    		if (datatype === "xml" || datatype === "json" || datatype == "jsonstring") {
	//					alert(datatype);					
			        		setTimeout(function () {
			            			$this.trigger("reloadGrid");  //No I18N
			        		}, 100);
			    		}
				}
				if(onSelectFunction === "configureIntfList")
				{
					$this.setGridParam({ datatype: 'local' }); //No I18N
	                var $this = $(this), ids = $this.jqGrid('getDataIDs'), i, l = ids.length; //No I18N
		             $.each(ids,function(i){

	                	$this.jqGrid('editRow', ids[i], //No I18N
	                    {
	                        keys: true,
	                        oneditfunc: function() {                            
	                        }
	                    });
	                });
				}
				if(onSelectFunction === "trapsList")
				{
					var totalBox = 0;
					var ids =$("#trapsList").jqGrid('getDataIDs'); //No I18n
				    for(var i=0;i < ids.length;i++)
				    {
				        var rowId = ids[i];
				        var isTrapExist = $("#trapsList").jqGrid('getCell',ids[i],'isTrapExist'); //No I18n
				        if(isTrapExist === "true")
				        {
				            $("#jqg_trapsList_"+rowId).attr("disabled", true); //No I18n
				            $("#jqg_trapsList_"+rowId).attr("checked", true); //No I18n
				            totalBox++;
				        }
				    }
				    if(totalBox === ids.length)
				    {
				    	$("#cb_trapsList").attr("disabled",true); //No i18n
				    	$("#cb_trapsList").attr("checked", true); //No I18n
				    }
				    else
				    {
				    	$("#cb_trapsList").attr("disabled",false); //No i18n
				    	$("#cb_trapsList").attr("checked", false); //No I18n
				    }
				}
				if(onSelectFunction === "shrList")
				{
					var ids = grid.jqGrid('getDataIDs'); //No I18n
				    for(var i=0;i < ids.length;i++)
				    {
				    	var cellValue = grid.jqGrid('getCell',ids[i],'LtimeVal'); //No I18n
				    	if(cellValue === "Not Collected")
				    	{
				    		grid.jqGrid('setCell',ids[i],"LtimeVal","",{color:'red'}); //No I18n
				    	}
				    }
				}
				if(onSelectFunction === "monitorsInAccordion")
				{
					var ids = grid.jqGrid('getDataIDs'); //No I18N
					for(var i=0;i < ids.length;i++)
					{
						var cellValue = grid.jqGrid('getCell',ids[i],'threshold'); //No I18n
				    	if(cellValue === Ember.I18n.t('webclient.devices.details.normal',this))
				    	{
				    		grid.jqGrid('setCell',ids[i],"threshold","",{color:'green'}); //No I18n
				    	}
				    	else if(cellValue === Ember.I18n.t('webclient.monitor.threshold.violated',this))
				    	{
				    		grid.jqGrid('setCell',ids[i],"threshold","",{color:'red'}); //No I18n
				    	}
					}

				}
				if (onSelectFunction == "monitorsInAccordion" && countOfRows == 1)
				{
					$this.setGridWidth($(gridTable).width());
					$this.setGridHeight($(gridTable).height());
				}
				if (onSelectFunction == "alarmListCompact" || onSelectFunction == "alarmsWidgetList") //No I18N
				{
					var gview = $this.parents("div.ui-jqgrid-view"); //No I18N
					gview.children("div.ui-jqgrid-hdiv").hide(); //No I18N
				}			
				if(gridTable == "#IntervalsList")
				{
					var $this = $(this), ids = $this.jqGrid('getDataIDs'), i, l = ids.length; //No I18n
					for (i = 0; i < l; i++) 
					{
	        			$this.jqGrid('editRow', ids[i], true);
	    			}
				}
                                if(countOfRows===0||countOfRows===1)
				{
				if($(gridTable).getGridParam("reccount")===0)
				{
                                    $(gridTable).show().text(Ember.I18n.t('opu.jqgrid.no.data.found')); //No I18n
                                    $(gridTable).addClass("gridnodata");
                                    $('div.ui-pager-control').hide();
				}
                                }
			}
		});
		if (gridNavigator != null || gridNavigator != undefined || gridNavigator != "")
		{
			grid.jqGrid('navGrid', gridNavigator ,  //No I18n
			{ 
				add: addIcon, edit: false, del: delIcon ,//No I18N
				addfunc: function(rowid)
				{
//					if(onSelectFunction == "monitorsInAccordion")
//					{
//						var disp = document.getElementById('addMonitorDiv').style.display;
//						if(disp == 'none' && (selectedMonitorTab == "performanceMonitors") )//No I18N
//						getAddPerfMonitorsList(grid); 
//						else if(disp == 'none' && (selectedMonitorTab == "ntServiceMonitors") )//No I18N
//						getNTServiceMonitorsList(grid); 
//						else if(disp == 'none' && (selectedMonitorTab == "serverMonitors") )//No I18N
//						getServerMonitorsList(grid); 
//					}	
				},
				delfunc: function(rowid)
				{
//					var rows = (new String(rowid)).split(',');
//				  	var dataStr = new Array();
//				  	var name = "";
//				 	if (rows.length > 0 && apiUrl != "")
//					{  
//		                if(confirm(delMsg))
//						{
//		                    for(var r in rows)
//		                    {
//		                        var ret = grid.jqGrid('getRowData', rows[r]);
//		                        if(ret[deleteName] != undefined)
//		                        {
//									dataStr.push(ret[deleteName]);
//								}
//		                	}
//			        		if(dataStr.length > 0)
//			        		{
//			        		 	name = dataStr.toString();
//			        		 	if(deviceName == "" && deviceNameParameter == "")
//			        		 	var url = apiUrl+"apiKey="+apiKey+"&"+urlParameter+"="+name;//No I18N
//			        		 	else
//			        		 	var url = apiUrl+"apiKey="+apiKey+"&"+deviceNameParameter+"="+deviceName+"&"+urlParameter+"="+encodeURIComponent(name);//No I18N
//			        		 		$.ajax(
//									{	
//										url: url,
//										type: 'POST', //No I18N
//										async:false,
//										success: function(response)
//										{
//											showResponseMessage(response);
//											if(deviceBasicDetails.deviceName!==undefined){
//												OpUtilsClient.Inventory.getDeviceMonitorsDetails(deviceBasicDetails.deviceName);
//											}
//										}
//									});
//			        		}
//		       	 		}
//		    		}
				}
	    	},
			{ /* edit options */ },{ /* add options */ },{ /* delete options */ },{ /* search options */
				sopt: ['eq', 'ne','bw','ew','cn'] //No I18N
			}); //No I18N
		}
		if(searchOption && toggleSearch)
		{
			$(gridTable).jqGrid('filterToolbar',{ stringResult: true, searchOnEnter: false, defaultSearch: 'cn'});
			$(gridTable)[0].toggleToolbar();
		}
		else if (searchOption && !toggleSearch)
		{
			$(gridTable).jqGrid('filterToolbar',{ stringResult: true, searchOnEnter: false, defaultSearch: 'cn'});
		}
	}
        
}

function getCountOfJson(jsonData)
{
	var count = 0;
	if (checkIfAValIsValid(jsonData,'json'))
	{
		count = Object.keys(jsonData).length;
	}
	return count;
}
function checkIfAValIsValid(val,type)
{
	if (type == "string")
	{
		if (val != undefined && val != null && val != "null" && val != "")
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	else if (type == "array")
	{
		if (val != undefined && val != null && val.length != undefined && val.length != 0)
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	else if (type == "json")
	{
		if (val != undefined && val != null && val != 'null' && val != "")
		{
			var count = Object.keys(val).length;
			if (count == 0)
			{
				return false;
			}
			else
			{
				return true;
			}
		}
		else
		{
			return false;
		}
	}
	else if (type == "includeEmptyJson")
	{
		if (val != undefined && val != null && val != 'null' && val != "")
		{
			
				return true;
		}
		else
		{
			return false;
		}
	}
	else
	{
		return true;
	}
}

function getOpUtilsAPIKey()
{
    return window.apiKey;
}
function getOpUtilsAPIURL()
{
    return "/oputilsapi/ipam?v=1&format=json&key="+getOpUtilsAPIKey();//NO I18N
}
function getOpUtilsRogueAPIURL()
{
    return "/oputilsapi/rogue?v=1&format=json&key="+getOpUtilsAPIKey();//NO I18N
}
function getOpUtilsNWMAPIURL()
{
    return "/oputilsapi/nwm?v=1&format=json&key="+getOpUtilsAPIKey();//NO I18N
}
function getOpUtilsSPMAPIURL()
{
    return "/oputilsapi/spm?v=1&format=json&key="+getOpUtilsAPIKey();//NO I18N
}
function getOpUtilsSettingsAPIURL()
{
    return "/oputilsapi/admin?v=1&format=json&key="+getOpUtilsAPIKey();//NO I18N
}
function getOpUtilsBWMAPIURL()
{
    return "/oputilsapi/bwm?v=1&format=json&key="+getOpUtilsAPIKey();//NO I18N
}
function getOpUtilsCFMAPIURL()
{
    return "/oputilsapi/cfm?v=1&format=json&key="+getOpUtilsAPIKey();//NO I18N
}
function getOpUtilsReportsAPIURL()
{
    return "/oputilsapi/reports?v=1&format=json&key="+getOpUtilsAPIKey();//NO I18N
}

function setIPAMGroupURL(subnet)
{
    OpUtilsClient.IPAMController.selectedSubnet = subnet;
    OpUtilsClient.IPAMController.selectedIPAMGroupURL = getIPAMGroupURL() + "/SubnetList";//No I18N
    OpUtilsClient.IPAMController.selectedIPAMGroupName = OpUtilsClient.IPAMSubnetController.ipamGroupCapationObjects.groups[OpUtilsClient.IPAMController.selectedIPAMGroupID];//No I18N
}

function fn1(value, tableID) {

    d3.select(document.getElementById(value)).select("path").transition()//No I18N
        .duration(200)
        .attr("d", arcOver)//No I18N
        .attr("stroke-width", 3)//No I18N
    previousValue = document.getElementById(value);

}

function fn2() {
    if (previousValue) {
        d3.select(previousValue).select("path").transition()//No I18N
            .duration(200)
            .attr("d", arcOverundo)//No I18N
            .attr("stroke-width", 0);//No I18N
    }
}	
function loadD3Gauge(dialDivName,dialValue,dialMaxValue,dialUnit,pollId)
{
	var powerGauge = gauge("#"+dialDivName, {
		size: 210,
		clipWidth: 220,
		clipHeight: 170,
		ringWidth: 60,
		maxValue: dialMaxValue,
		transitionMs: 4000,
	    	unit: dialUnit,
	    	dialName:dialDivName
	});
	powerGauge.render();
	powerGauge.update(dialValue);	
	return powerGauge;
}
function reloadCounter(counterElement,deviceName,pollId,param)
{

//	$.ajax({
//  		url: "/api/json/device/getLastCollectedValues?apiKey="+apiKey+"&"+param+"="+pollId+"&deviceName="+deviceName, //No I18N
//			type: 'GET', //No I18N
//			success: function(jsonData){
//				if (jsonData[pollId] !== undefined )
//				{
//					counterElement.setValue(jsonData[pollId]);
//				}
//
//			}
//
//	});
	//counterElement.setValue(d3.round(Math.random()*1000));
}

function unloader()
{	
	//check used to avoid the javascript error -->
	if(loaded === 'false' || loaded === false)
	{
		$("#map-innerdiv").show();
		return;
	}
	var lng1 = getMapLongitudeVal();
	var lat1 = getMapLatitudeVal();
	var zoom1 = getMapZoomVal();
	var url="";

		if(cxval !== lat1 || cyval !== lng1 || zoomval !== zoom1)
		{
			var url = '/api/json/maps/saveGMapLocation?apiKey='+apiKey; //No I18N
			var data = {"latitude":lat1,"longitude":lng1,"zoom":zoom1,};//No I18N
			var isSuccess = opm_ajaxPostRequest(url,data);	
			
		}


		if(update === 'true')
		{
			url = url + "&update="+update;//No I18N
		}
}
function trimAll(str)
{
if(str == null)
{
return "";
}  
var objRegExp =/^(\s*)$/;
if (objRegExp.test(str))
{
str = str.replace(objRegExp,''); 
if (str.length == 0){
return str; 
}
} 
objRegExp = /^(\s*)([\W\w]*)(\b\s*$)/;
if(objRegExp.test(str))
{
str = str.replace(objRegExp, '$2');
}
return str;
}
function isValidIPAddress(ipaddr)
{
	var re = /^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/;
	ipaddr = trimAll(ipaddr);
	if (re.test(ipaddr))
        {
	        var parts = ipaddr.split(".");
                if (parts.length < 4)
                {
                        return false;
                }
                if (parseInt(parseFloat(parts[0])) == 0)
                {
                        return false;
                }
                for (var i=0; i<parts.length; i++)
                {
                        if (parseInt(parseFloat(parts[i])) > 255) { return false; }
                }
                return true;
        } else
        {
                return false;
        }
}

function computeNetworkClass(ip)
{
    if(ip.length == 0)
    {
        return "None";//No I18N
    }
    parts = ip.split(".");
    var oct1 = parts[0];
    var nwClass = "None";//No I18N
    if ((oct1 > 0) && (oct1 <= 127))
    {
        nwClass = "A";//No I18N
    }
    if ((oct1 > 127) && (oct1< 192))
    {
        nwClass = "B";//No I18N
    }
    if ((oct1 > 191) && (oct1 < 224))
    {
        nwClass = "C";//No I18N
    }
    if(oct1 >= 224 && oct1 <= 239)
    {
        return "D";//No I18N
    }
    if(oct1 >= 240 && oct1 <= 247)
    {
        return "E";//No I18N
    }
    return nwClass;
}


function showImportCSVInfo(path)
{
   window.open(path);
}

function OpUtilsAjaxPostMethod(postUrl)
{
        var res = "";//No I18N
	$.ajax(
	{	
		url: postUrl,
		type: 'POST', //No I18N
		success: function(response)
		{
			res = response;
		}
	});
	return res;
}
function opu_ajaxPostMethod(postUrl,postData,showLoading)
{
        var res = "";
	$.ajax(
	{	
		url: postUrl,
		data: postData, //No I18N
		type: 'POST', //No I18N
		async:false,
		success: function(response)
		{
			res = response;
		}
	});
	return res;
}

function opu_ajaxMultiPostRequest(postUrl,postData,showLoading)
{
	if(showLoading)
	{
		opu_showLoadingTextOnReq(showLoading);
	}
	var done = false;
	$.ajax(
	{	
		url: postUrl,
		data: postData, //No I18N
		type: 'POST', //No I18N
		async:false,
		cache:false,
		processData:false,
		contentType:false,
		success: function(response)
		{
                    done=true;
                    if(showLoading)
                    {
                            opu_showLoadingTextOnReq(false);
                    }
                    if(response.message !== undefined){
                        opu_showFailureResponseTextOnDiv(response.message);   
                        done=false;
                    }   
		}
	});
	return done;
}
function opu_showResponseMessagewithDiv(response,divElement)
{
    if(response.message === undefined){
        return false;
    }
	var message = ""; //No I18N
	var success = false;
	document.getElementById(divElement).style.display = 'block'; //No I18N
	var status = response.status;
        if(status !== undefined && status === "Failure"){
            document.getElementById(divElement).style.backgroundColor = '#FF0000';
        }
	if (response.message !== undefined)
	{
            message = response.message;
            success = true;
	}
        document.getElementById(divElement).innerHTML = message;
	$("#"+divElement).fadeOut(5000);

	return success;
}
function opu_showLoadingTextOnReq(show)
{
	if(show)
	{
            $("#resDiv").show();
            document.getElementById("resDiv").style.backgroundColor = '#FFFFFF';
            document.getElementById("resDiv").innerHTML = Ember.I18n.t('opu.common.PROCESSING_PL_WAIT',this);  //No I18n       
	}
	else
	{
            $("#resDiv").hide();
	}
}
function opu_showSuccessResponseTextOnDiv(message,divid)
{
    var id="resDiv";//NO I18N
    if(divid !== undefined && divid.length>0)
    {
        id = divid;
    }
    document.getElementById(id).style.display = 'block'; //No I18N
    document.getElementById(id).style.backgroundColor = '#00FF00';//NO I18N
    if(message !== undefined && message.indexOf("opu.") !== -1){
        document.getElementById(id).innerHTML = Ember.I18n.t(message,this);  //No I18n
    }else{
        document.getElementById(id).innerHTML = message;
    }
    $("#"+id).fadeOut(5000);
	
}
function opu_showSuccessResponseTextOnDiv1(message,divid,isHide)
{
    var id="resDiv";//NO I18N
    if(divid !== undefined && divid.length>0)
    {
        id = divid;
    }
    var divObj = $("#"+id);
    divObj.show();
    divObj.css("background-color","00FF00");//NO I18N
    if(message !== undefined && message.indexOf("opu.") !== -1){
    divObj.html(Ember.I18n.t(message,this));
    }else{
        divObj.html(message);
    }
    if(isHide){
        divObj.fadeOut(5000);
    }
}
function opu_showFailureResponseTextOnDiv(message,divid)
{
    var id="resDiv";//NO I18N
    if(divid !== undefined && divid.lenght>0)
    {
        id = divid;
    }
    document.getElementById(id).style.display = 'block'; //No I18N
    document.getElementById(id).style.backgroundColor = '#FF0000';//NO I18N
    document.getElementById(id).innerHTML = message;  //No I18n
    $("#"+id).fadeOut(5000);
	
}
function openAddRouterPage()
{
    location.href=window.apiclientUrl+"Settings/AddRouter"; //No I18N
}
function openAddNewUserPage()
{
    location.href=window.apiclientUrl+"Settings/AddUser"; //No I18N
}
function openAddAdDoamainPage()
{
    location.href=window.apiclientUrl+"Settings/AddAdDomain"; //No I18N
}
function validateADDomain(){
    var aduser = trimAll($("#adusername").val());//No I18N
    var adpwd = trimAll($("#adpassword").val());//No I18N
    var addomain = trimAll($("#addomain").val());//No I18N
    var adcontroller = trimAll($("#addomaincontroller").val());//No I18N
    
    if(aduser === "")
    {
            alert(Ember.I18n.t('opu.general.LOGIN_NAME_CANNOT_BE_EMPTY',this));//No I18N
            $("#adusername").focus();//No I18N
            return false;
    }
    if(adpwd === "")
    {
            alert(Ember.I18n.t('opu.common.PLEASE_ENTER_THE_PASSWORD',this));//No I18N
            $("#adpassword").focus();//No I18N
             return false;
    }
    if(addomain === "")
    {
            alert(Ember.I18n.t('opu.ipam.DOMAIN_NAME_WORKGROUP_CANNOT_BE_EMPTY',this));//No I18N
            $("#addomain").focus();//No I18N
             return false;
    }
    if(adcontroller === "")
    {
            alert(Ember.I18n.t('opu.common.PLEASE_ENTER_A_VALUE',this));//No I18N
            $("#addomaincontroller").focus();//No I18N
             return false;
    }
    var data = {'domainName':addomain,'controllerName':adcontroller,'loginName':aduser,'password':adpwd}; //No I18N
    return data;
}
function setDisplayShowHideDiv(divId,display)
{
    var divIdwithHash = "#"+divId;
    if (display == 'none')
    {
        $(divIdwithHash).hide('fast');
    }
    else
    {
        $(divIdwithHash).show('fast');
    }
}
function OpUtils_setPosition(eve,id)
{
    if(id === "changePwd"){
        var offsetLeft = eve.pageX -300;
        var offsetTop = eve.pageY +30;
        $("#"+id).css("position","absolute");
        $("#"+id).css("top",offsetTop);
        $("#"+id).css("left", offsetLeft);
    }else if(id === 'urlActionDiv'){//No I18N
    	var offsetLeft = eve.pageX -100;
   	var offsetTop = eve.pageY +10;
        $("#"+id).css("position","absolute");
        $("#"+id).css("top",offsetTop);
        $("#"+id).css("left", offsetLeft);
    	
    }else{
   	 var offsetLeft = eve.pageX;
   	 var offsetTop = eve.pageY +20;
        $("#"+id).css("position","absolute");
        $("#"+id).css("top",offsetTop);
        $("#"+id).css("right", 0);
    }
}
function basicSearchEnable(enable)
{
    if(enable)
    {
        $(".ui-search-toolbar").show();
        $("#searchIcon").attr("onclick","basicSearchEnable(false)");
        $("#searchIcon").attr("src","images/searchSelect.jpg");
    }
    else 
    {
        $(".ui-search-toolbar").hide();
        $("#searchIcon").attr("onclick","basicSearchEnable(true)");
        $("#searchIcon").attr("src","images/Search.jpg");
    }
}
function showHideDiv(divId,speed)
{
	var divIdwithHash = "#"+divId;
	if (document.getElementById(divId).style.display == 'none')
	{
		if(speed != null && speed != undefined){
		$(divIdwithHash).show(speed);
            }
		else{
			$(divIdwithHash).show('slow');
                    }
	}
	else
	{
		if(speed != null && speed != undefined){
		$(divIdwithHash).hide(speed);
            }
		else{
			$(divIdwithHash).hide('slow');
                    }
	}
}

function getEmberSelectedRows(jqgridid,colName)
{
    if(colName !== undefined && colName !== ""){
	var arr = new Array();
	var grid = jQuery("#"+jqgridid);	//No I18N
            var selRowIds = grid.jqGrid('getGridParam','selarrrow');	//No I18N
            $.each(selRowIds, function(){
                var id = grid.jqGrid('getCell', this, colName); //No I18N
                arr.push(id);
            });
	if(arr.length > 0){
           return arr.toString();
        }
    }
    return "";
}

/*** Current time formating starts here ****/
var i18n = {
			dayNames: 
			[
				Ember.I18n.t("webclient.general.day.sun",this),//No I18N
				Ember.I18n.t("webclient.general.day.mon",this),//No I18N
				Ember.I18n.t("webclient.general.day.tue",this),//No I18N
				Ember.I18n.t("webclient.general.day.wed",this),//No I18N
				Ember.I18n.t("webclient.general.day.thu",this),//No I18N
				Ember.I18n.t("webclient.general.day.fri",this),//No I18N
				Ember.I18n.t("webclient.general.day.sat",this),//No I18N
				Ember.I18n.t("webclient.general.sunday",this),//No I18N
				Ember.I18n.t("webclient.general.monday",this),//No I18N
				Ember.I18n.t("webclient.general.tuesday",this),//No I18N
				Ember.I18n.t("webclient.general.wednesday",this),//No I18N
				Ember.I18n.t("webclient.general.thursday",this),//No I18N
				Ember.I18n.t("webclient.general.friday",this),//No I18N
				Ember.I18n.t("webclient.general.saturday",this) //No I18N
				],
			monthNames: [
				Ember.I18n.t("webclient.general.month.jan",this),//No I18N
				Ember.I18n.t("webclient.general.month.feb",this),//No I18N
				Ember.I18n.t("webclient.general.month.mar",this),//No I18N
				Ember.I18n.t("webclient.general.month.apr",this),//No I18N
				Ember.I18n.t("webclient.general.may",this),//No I18N
				Ember.I18n.t("webclient.general.month.jun",this),//No I18N
				Ember.I18n.t("webclient.general.month.jul",this),//No I18N
				Ember.I18n.t("webclient.general.month.aug",this),//No I18N
				Ember.I18n.t("webclient.general.month.sep",this),//No I18N
				Ember.I18n.t("webclient.general.month.oct",this),//No I18N
				Ember.I18n.t("webclient.general.month.nov",this),//No I18N
				Ember.I18n.t("webclient.general.month.dec",this),//No I18N
				Ember.I18n.t("webclient.general.january",this),//No I18N
				Ember.I18n.t("webclient.general.february",this),//No I18N
				Ember.I18n.t("webclient.general.march",this),//No I18N
				Ember.I18n.t("webclient.general.april",this),//No I18N
				Ember.I18n.t("webclient.general.may",this),//No I18N
				Ember.I18n.t("webclient.general.june",this),//No I18N
				Ember.I18n.t("webclient.general.july",this),//No I18N
				Ember.I18n.t("webclient.general.august",this),//No I18N
				Ember.I18n.t("webclient.general.september",this),//No I18N
				Ember.I18n.t("webclient.general.october",this),//No I18N
				Ember.I18n.t("webclient.general.november",this),//No I18N
				Ember.I18n.t("webclient.general.december",this) //No I18N
		]
	};

var am_pm_i18n = {PM:Ember.I18n.t('webclient.timer.pm',this),AM:Ember.I18n.t('webclient.timer.am',this)}; //No I18n

Date.prototype.format = function (mask, utc) { 
	return dateFormat(this, mask, utc);
	
};
var dateFormat = function () {
	var	token = /d{1,4}|E{1,4}|M{1,4}|yy(?:yy)?|([Hhmsat])\1?|[LloSz]|"[^"]*"|'[^']*'/g,
		pad = function (val, len) {
			val = String(val);
			len = len || 2;
			while (val.length < len){ val = "0" + val;}
			return val;
		};

	return function (date, mask, utc) {
		var dF = dateFormat;
		if (arguments.length === 1 && Object.prototype.toString.call(date) === "[object String]" && !/\d/.test(date)) {
			mask = date;
			date = undefined;
		}

		date = date ? new Date(date) : new Date();
		if (isNaN(date)) {
			throw SyntaxError("invalid date"); //No I18N
		}

		mask = String(dF.masks[mask] || mask || dF.masks["default"]);

		if (mask.slice(0, 4) === "UTC:") {
			mask = mask.slice(4);
			utc = true;
		}
		
		var	_ = utc ? "getUTC" : "get",  //No I18N
			d = date[_ + "Date"](),
			D = date[_ + "Day"](),
			M = date[_ + "Month"](),
			y = date[_ + "FullYear"](),
			H = date[_ + "Hours"](),
			m = date[_ + "Minutes"](),
			s = date[_ + "Seconds"](),
			flags = {
				d:    d,
				dd:   pad(d),
				EEE:  i18n.dayNames[D],
				EEEE: i18n.dayNames[D + 7],
				M:    M + 1,
				MM:   pad(M + 1),
				MMM:  i18n.monthNames[M],
				MMMM: i18n.monthNames[M + 12],
				yy:   String(y).slice(2),
				yyyy: y,
				h:    H % 12 || 12,
				hh:   pad(H % 12 || 12),
				H:    H,
				HH:   pad(H),
				m:    m,
				mm:   pad(m),
				s:    s,
				ss:   pad(s),
				a:    H < 12 ? am_pm_i18n.AM : am_pm_i18n.PM,  //No I18N
				z:    tzone
			};
		
		return mask.replace(token, function ($0) {
			date.setSeconds(date.getSeconds()+1);
			return $0 in flags ? flags[$0] : $0.slice(1, $0.length - 1);		
		});
	};
}();

dateFormat.masks = {
	"default":      "ddd MMM dd yyyy hh:mm:ss", //No I18N 
	shortDate:      "M/d/yy", //No I18N
	mediumDate:     "MMM d, yyyy", //No I18N
	longDate:       "MMMM d, yyyy", //No I18N
	fullDate:       "dddd, MMMM d, yyyy", //No I18N
	shortTime:      "h:mm a", //No I18N
	mediumTime:     "h:mm:ss a", //No I18N
	longTime:       "h:mm:ss a z", //No I18N
	isoDate:        "yyyy-MM-dd", //No I18N
	isoTime:        "hh:mm:ss", //No I18N
	isoDateTime:    "yyyy-MM-dd'a'hh:mm:ss", //No I18N
	isoUtcDateTime: "UTC:yyyy-MM-dd'a'hh:mm:ss'z'" //No I18N
};

function opm_showCurrentTime()
{
	var curTime = new Date(window.jyear,window.jmon,window.jday,window.jhour,window.jmin,window.jsec);
	var timeStr = curTime.format(window.pattern);
	jsec = parseInt(jsec)+1;
	$("#timer").html(timeStr);
}
//setInterval(function() {opm_showCurrentTime()}, 1000); //No I18N
/*** Current time formating end here ****/
