
/* Rogue Routes */
OpUtilsClient.RogueRoute = Ember.Route.extend({
    
	setupController: function(controller) {
            //OpUtilsClient.Home.hideSecondTab()//No I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'list'});} //No I18N
});
OpUtilsClient.RogueDevicesRoute = Ember.Route.extend({

	model: function(params) {
             return {roguetype: params.roguetype};
        },
         setupController: function(controller, model) {
            OpUtilsClient.RogueController.rogueType=model.roguetype;
            OpUtilsClient.RogueController.isDicovered=false;
            OpUtilsClient.RogueController.isTrusted=false;
            OpUtilsClient.RogueController.isGuest=false;
            OpUtilsClient.RogueController.isRogue=false;
            var subnetListUrl = getOpUtilsRogueAPIURL()+"&operation=GET_SUBNET_LIST&selectedTab=";//No I18N
             if(model.roguetype === "Discovered"){//No I18N
                OpUtilsClient.RogueController.isDicovered=true;
                subnetListUrl += "rogueVCC";//No I18N
            }else if(model.roguetype === "Trusted"){//No I18N
                OpUtilsClient.RogueController.isTrusted=true;    
                subnetListUrl += "TrustView";//No I18N
            }else if(model.roguetype === "Guest"){//No I18N
                OpUtilsClient.RogueController.isGuest=true;    
                subnetListUrl += "TempValidSystems";//No I18N
            }else if(model.roguetype === "Rogue"){//No I18N
                OpUtilsClient.RogueController.isRogue=true;    
                subnetListUrl += "MarkedRogueView";//No I18N
            }
        $.getJSON(subnetListUrl, function(resp) { //No I18N
            OpUtilsClient.RogueFilterController.rogueSubnetLists = resp.result.subnetlist;
            var jsonObj = {
                "subnetList": resp.result.subnetlist //No I18N
            }
            OpUtilsClient.RogueFilterController.set("rogueSubnetLists", OpUtilsClient.ROGUE.create().setProperties(jsonObj)); //No I18N
        });
               controller.set('content',OpUtilsClient.ROGUE.rogueTableView(OpUtilsClient.RogueController.rogueType));//No I18N 
        },
        renderTemplate: function() {
            this.render({into: 'application', outlet: 'details'});//No I18N
        }
});