	
OpUtilsClient.CFMView = Ember.View.extend({
    templateName: 'CFMLeftPage', //No I18N
    didInsertElement: function() {

    }
});
OpUtilsClient.CFMDevicesView = Ember.View.extend({
    templateName: 'CFMSummary', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.CFMAddDeviceView = Ember.View.extend({
    templateName: 'CFMAddDevice', //No I18N
    didInsertElement: function() {
        $('#tftp').val( window.tftpServerIP);

    },addCiscoDevice: function()
    {
        
        var device = this.get('devicename');
        var tftp = this.get('tftp');
        var writecommunity = $("#writecommunity").val();
        var snmpv3 = $("#snmpv3").css("display");
        var addswitchManual = $("#addbyManual").prop("checked");

        var data = {"v":"1","format":"json","operation":"CFM_ADD_DEVICE","RouterName":device};//NO I18N
        if (device === undefined || device === "" || device.length == 0) {
            alert(Ember.I18n.t('opu.cisco.EnterValidCiscoDeviceNameOrIP', this));//No I18N
            $("#devicename").focus();
            return;
        }
        if(isSpecialCharacter(device))
        {
            alert(Ember.I18n.t('opu.common.PLEASE_ENTER_HOSTNAME_WITHOUT_SPL_CHARS',this));//No I18N
            $("#devicename").focus();
            return;
        }
//        if (tftp === undefined || tftp === "" || tftp.length == 0) {
//            alert(Ember.I18n.t('opu.snmp.ENTER_VALID_HOST_OR_IP', this));//No I18N
//            $("#tftp").focus();
//            return;
//        }
        if (tftp !== undefined && tftp !== "") {
            data.tftpServerIP=tftp;
        }
        if (snmpv3 === "block") 
        {
            var v3username = trimAll(this.get('v3username'));
            var v3contextname = trimAll(this.get('v3contextname'));
            var authprotocol = $('#authprotocol').val();
            var authpwd = trimAll($('#authpwd').val());
            var encrprotocol = $('#privprotocol').val();
            var encrpwd = trimAll($('#privpwd').val());

            if (v3username === undefined || v3username ==="") {
                alert(Ember.I18n.t('opu.common.PLEASE_ENTER_THE_USER_NAME', this));//No I18N
                $("#v3username").focus();
                return;
            }
            data.username=v3username;
            data.setSnmpVersionID="snmpv3";//NO I18N
            if (v3contextname !== undefined && v3contextname !=="") {
                data.coname=v3contextname;
            }

            if (authprotocol !== "None" && (authpwd === undefined || authpwd ==="")) {
                alert(Ember.I18n.t('opu.common.PLEASE_ENTER_THE_PASSWORD', this));//No I18N
                $("#authpwd").focus();
                return;
            }
            if (authprotocol !== "None" && (authpwd !== undefined && authpwd !=="")) {
                data.authID=authprotocol;
                data.authPassID=authpwd;
            }
            if (authprotocol !== "None" && authpwd !== undefined && encrprotocol !== "None") {
                if (encrpwd === undefined || encrpwd === "") {
                    alert(Ember.I18n.t('opu.common.PLEASE_ENTER_THE_PASSWORD', this));//No I18N
                    $("#privpwd").focus();
                    return;
                }
                if (encrpwd !== undefined && encrpwd !== "") {
                   data.privID=encrprotocol;
                   data.privPassID=encrpwd;
                }
            }
        
            
        }else{
            if (writecommunity === undefined || writecommunity === "" || writecommunity.length ===0) {
                alert(Ember.I18n.t('opu.common.PLEASE_ENTER_COMMUNITY_STRING', this));//No I18N
                $("#writecommunity").focus();
                return;
            }                     
            var snmpver2 = $("#snmpver2").prop("checked");
            if(snmpver2 === true){
                snmpver2 = "snmpV2";//No I18N
            }else{
                snmpver2 = "snmpV1";//No I18N
            }
            data.setSnmpVersionID=snmpver2;
            data.Community=writecommunity;
        }
        if (addswitchManual === true) {
            data.addType="manual" ;//No I18N 
        }else{
            data.addType="import" ;//No I18N 
        }
        opu_showLoadingTextOnReq(true);
        $.ajax({
            url: '/oputilsapi/cfm?key='+getOpUtilsAPIKey(),//NO I18N
            data: data,
            async:false,
            type: 'POST', //No I18N
            dataType:"json",//No I18N
            success: function(response) {
                var obj = response;
                var status = obj.status;
                if ((status !== undefined && status === "Failure") && (obj.message !== undefined))
                {
                    opu_showFailureResponseTextOnDiv(obj.message);
                } else {
                    var successMsg = getI18NwithParams('opu.common.SUCCESSFULLY_ADDED',[' - '+device]);//No I18N
                    opu_showSuccessResponseTextOnDiv(successMsg);//NO I18N
                }
            }
        })
    },
    showCiscoDevices : function(){
        location.href = window.apiclientUrl + "CFM/Devices";//No I18N
        location.reload();
    }
});