	
OpUtilsClient.NetworkMonitorView = Ember.View.extend({
    templateName: 'NetworkMonitor', //No I18N
    didInsertElement: function() {
    }
});		//No I18N
OpUtilsClient.NetworkMonitorHostsView = Ember.View.extend({
    templateName: 'NetworkMonitorHosts', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.NetworkMonitorAlertsView = Ember.View.extend({
    templateName: 'NetworkMonitorAlerts', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.NetworkMonitorAddDeviceView = Ember.View.extend({
    templateName: 'NWMAddDevice', //No I18N
    didInsertElement: function() {
    },
    addDeviceAction: function(){
        var devicename = trimAll(this.get("devicename"));
        var adddeviceURL = getOpUtilsNWMAPIURL() + "&operation=NWM_ADD_DEVICE&addType=manual&ipOrHost="+devicename;//No I18N
        var community = trimAll($("#readcommunity").val());
        if(devicename === null || devicename === undefined || devicename === ""){
            alert(Ember.I18n.t("opu.snmp.ENTER_VALID_HOST_OR_IP" ,this));//NO I18N
            $("#devicename").focus();
            return false;
        }
        if(community !== "" && community === undefined){
            adddeviceURL += "&snmpCommunity=" + community;//No I18N
        }
        opu_showLoadingTextOnReq(true);
        $.ajax({
            url: adddeviceURL,
            type: 'POST', //No I18N
            success: function(response) {
                var obj = response;
                var status = obj.status;
                if ((status !== undefined && status === "Failure") && (obj.message !== undefined))
                {
                    opu_showFailureResponseTextOnDiv(obj.message);
                } else {
                    opu_showSuccessResponseTextOnDiv("opu.common.DEVICE_SUCCESSFULLY_ADDED");//No I18N
                }
            }
        })
        
    },
    importDevicesCSV: function()
    {
        var formdata = new FormData();
        var path = document.getElementById("csvPath");
        formdata.append('csvPath',path.files[0]); //No I18N	
        var filename = $("#csvPath").val();
        if(filename.length == 0)
        {
               alert(Ember.I18n.t("opu.common.InputProperCSV", this));//No I18N
               return;
        }else
        {
           var splitFile = filename.split(".");
            var fileType = trimAll(splitFile[splitFile.length - 1]);
            fileType = fileType.toLowerCase();
            if( fileType !== 'csv')
            { 
               alert(Ember.I18n.t("opu.common.InputProperCSV", this));//No I18N
               return;
            } 
        }
        var adddevicebycsv = getOpUtilsNWMAPIURL() + "&operation=NWM_ADD_DEVICE&addType=import";//No I18N
        var responseVal = opu_ajaxMultiPostRequest(adddevicebycsv,formdata,true);
        if(responseVal){
            opu_showSuccessResponseTextOnDiv("opu.common.DEVICE_SUCCESSFULLY_ADDED");//No I18N
        }
    },cancelAddDevice:function()
    {
        location.href=window.apiclientUrl+"NetworkMonitor/Hosts"; //No I18N
    }
});