	
OpUtilsClient.ReportsView = Ember.View.extend({
    templateName: 'Reports', //No I18N
    didInsertElement: function() {
        this.$("#oputilsReportsList").accordion({ collapsible: true, heightStyle: "content", header: ".myaccordionhead", content: ".myaccordioncontent" }); //No I18N
        
        $.ajax(
        {
            url: getOpUtilsReportsAPIURL()+"&operation=GET_SCHEDULED_REPORT_LIST",//No I18N
            type: 'GET', //No I18N
            async :false,
            success: function(jsonData)
            {
                OpUtilsClient.ReportsArrayController.set("createdScheduledLists",jsonData.result);//NO I18N
            }
        });
        $.ajax(
        {
            url: getOpUtilsReportsAPIURL()+"&operation=GET_ALL_REPORTS_LIST",//No I18N
            type: 'GET', //No I18N
            async :false,
            success: function(jsonData)
            {
                OpUtilsClient.ReportsArrayController.set("customqueryLists",jsonData.result);//NO I18N
            }
        });
    }
    
});
OpUtilsClient.ReportsAddCustomQueryView = Ember.View.extend({
    templateName: 'AddNewCustomerQuery', //No I18N
    didInsertElement: function() {
    },runCustomQuery:function() {
        //alert("ddddd dddd ddd ")
    }
});
OpUtilsClient.ReportsAddSchedulerReportView = Ember.View.extend({
    templateName: 'AddScheduleReport', //No I18N
    didInsertElement: function() {
        
        getOputilsAvailableReport();
        $("#pdfreport").prop("checked",true);    
        var currentDate = new Date();
        $("#HourlyHour").val(currentDate.getHours());
        $("#HourlyMinutes").val(currentDate.getMinutes());
        OpUtilsClient.ReportsController.scheduleReportType="Hourly";//No I18N
      $("#periodDetTab").tabs(
        {
            activate: function(event, ui) 
            {
                var hrefOfSelTab = ui.newTab.find("a").attr("href"); //No I18N                               
                OpUtilsClient.ReportsController.scheduleReportType = hrefOfSelTab.split("#")[1];
                currentDate = new Date();
                $(hrefOfSelTab+"Hour").val(currentDate.getHours());
                $(hrefOfSelTab+"Minutes").val(currentDate.getMinutes());
            }
        });
    },addSchedulerReport : function(val){
        
        var reportName = trimAll(this.get('schedulerReportName'));
        if(reportName === undefined || reportName === "" || reportName.length == 0) {
            alert(Ember.I18n.t("opu.common.REPORT_NAME_CANNOT_BE_EMPTY",this));// No I18N
            $("#schedulerReportName").focus();
            return;
        }
         // this part is selected report checking
        var i=0,selectReport = "";
        var destList = document.getElementById('selectedReport');
        if(destList.length == 0) {
            alert(Ember.I18n.t("opu.common.CHOOSE_ATLEAST_ONE_REPORT",this));// No I18N
            return;
        }
        while(destList.options[i]) {
            selectReport += destList.options[i].value + ",";
            i++;
        }
//   this part is email validation
    var toAddress = trimAll(this.get('toemailaddr'));
    if(toAddress === undefined || toAddress === "" || toAddress.length == 0) {
        alert(Ember.I18n.t("opu.mail.PLEASE_ENTER_YOUR_EMAIL_ADDRESS",this));// No I18N
        $("#toemailaddr").focus();
        return;
    } else {
        var toAdd1 = toAddress.split(",");
        for(i = 0 ; i < toAdd1.length ; i++){
            if(!validateEmailAddress(toAdd1[i])){
                alert(Ember.I18n.t("opu.mail.PLEASE_ENTER_YOUR_EMAIL_ADDRESS",this));// No I18N
                $("#toemailaddr").focus();
                return;
            }
        }
    }
    var subject = this.get('mailSubject');
    if(subject === undefined || subject === "" || subject.length == 0) {
        alert(Ember.I18n.t("opu.common.SUBJECT_CANNOT_BE_EMPTY",this));// No I18N
        $("#mailSubject").focus();
        return;
    }
    if($("#EnableDisableSch").val() === "Enabled"){
        if(!checkRecurrenceValues()){
            return;
        }
    }
    var content = trimAll(this.get('mailContent'));
    var repSize = trimAll($('#repSize').val());
    var reportType  = $('input:radio[name=reportType]:checked').val();//NO I18N
    var deliveryFormat  = $('input:radio[name=deliveryFormat]:checked').val();//NO I18N
    
    var repSizeCheck = false;
    if($("#attachmentSizeCheck").prop("checked") && deliveryFormat !== "urlAlone"){
        repSizeCheck = true;
    }
    var addscheduler = getOpUtilsReportsAPIURL()+"&operation=ADD_SCHEDULED_REPORT&selectedToolID=1&reportName="+reportName+"&selectReport="+selectReport+"&eaddress="+toAddress+"&subject="+subject+"&content="+content+"&selectedReportType="+reportType+"&repSizeCheck="+repSizeCheck+"&repSize="+repSize+"&deliveryFormat="+deliveryFormat;//No I18N 
    updateSettingsPage(addscheduler);
    },cancelSchedulerReport : function(){
        location.href = window.apiclientUrl + "Reports/Reports.IPAM/UnUsedIPsViewBySubnet";//No I18N
    }
});
OpUtilsClient.ReportsIPAMView = Ember.View.extend({
    templateName: 'ReportsTapView', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.ReportsSPMView = Ember.View.extend({
    templateName: 'ReportsTapView', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.ReportsIPAMUnUsedIPsViewBySubnetView = Ember.View.extend({
    templateName: 'IPAMReports', //No I18N
    didInsertElement: function() {
        $("#IPAMReportIPLevelView").hide();
        document.getElementById("reportName").innerHTML = Ember.I18n.t("opu.ipam.UNUSED_IP_ADDRESSES",this);// No I18N
    }
});

OpUtilsClient.ReportsIPAMUnUsedIPsViewByIPView = Ember.View.extend({
    templateName: 'IPAMReports', //No I18N
    didInsertElement: function() {
        $("#ipamReportByIPs").prop("checked",true);
        $("#Used").hide();
        document.getElementById("SubnetAddr").value=OpUtilsClient.ReportsController.selectedSubnet
        selectIPStatusFilter();
        document.getElementById("reportName").innerHTML = Ember.I18n.t("opu.ipam.UNUSED_IP_ADDRESSES",this);// No I18N
    }
});
OpUtilsClient.ReportsIPAMReservedStaticIPBySubnetView = Ember.View.extend({
    templateName: 'IPAMReports', //No I18N
    didInsertElement: function() {
        $("#IPAMReportIPLevelView").hide();
        
        document.getElementById("reportName").innerHTML = Ember.I18n.t("opu.ipam.RESERVED_STATIC_IP_ADDRESSES",this);// No I18N
    }
});
OpUtilsClient.ReportsIPAMReservedStaticIPByIPView = Ember.View.extend({
    templateName: 'IPAMReports', //No I18N
    didInsertElement: function() {
        $("#ipamReportByIPs").prop("checked",true);
        document.getElementById("SubnetAddr").value=OpUtilsClient.ReportsController.selectedSubnet;
        selectIPStatusFilter();
        document.getElementById("reportName").innerHTML = Ember.I18n.t("opu.ipam.RESERVED_STATIC_IP_ADDRESSES",this);// No I18N
    }
});
OpUtilsClient.ReportsIPAMIPUsageSummayView = Ember.View.extend({
    templateName: 'IPAMReports', //No I18N
    didInsertElement: function() {
        $("#IPAMReportIPLevelView").hide();
        document.getElementById("reportName").innerHTML = Ember.I18n.t("opu.ipam.IP_USAGE_SUMMARY",this);// No I18N
    }
});
OpUtilsClient.ReportsIPAMIPUsageSummayByIPView = Ember.View.extend({
    templateName: 'IPAMReports', //No I18N
    didInsertElement: function() {
        $("#ipamReportByIPs").prop("checked",true);
        document.getElementById("SubnetAddr").value=OpUtilsClient.ReportsController.selectedSubnet;
        selectIPStatusFilter()
        document.getElementById("reportName").innerHTML = Ember.I18n.t("opu.ipam.IP_USAGE_SUMMARY",this);// No I18N
    }
});

OpUtilsClient.ReportsSPMSwitchesByUsageView = Ember.View.extend({
    templateName: 'SPMReports', //No I18N
    didInsertElement: function() {
        document.getElementById("reportName").innerHTML = Ember.I18n.t("opu.spm.SWITCHES_BY_USAGE",this);// No I18N
    }
});
