	
OpUtilsClient.SPMView = Ember.View.extend({
    templateName: 'SPM', //No I18N
    didInsertElement: function() {
        this.$("#spmList").accordion({ collapsible: true, heightStyle: "content", header: ".myaccordionhead", content: ".myaccordioncontent" }); //No I18N
    }
});		//No I18N
OpUtilsClient.SPMSwitchesView = Ember.View.extend({
    templateName: 'SPMSummary', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SPMAddSwitchView = Ember.View.extend({
    templateName: 'SPMAddSwitch', //No I18N
    didInsertElement: function() {
        $("#systemdetails").prop("checked","true");
        $("#arpmacip").prop("checked","true");
        
        var groupresponse = [];
        $.ajax(
                {
                    url: getOpUtilsSPMAPIURL() + "&operation=GET_GROUP_LIST", //No I18N
                    type: 'GET', //No I18N
                    async: false,
                    success: function(jsonData)
                    {
                        if (Object.keys(jsonData).length > 0)
                        {
                            groupresponse = jsonData;
                            OpUtilsClient.SPMArrayController.set("spmGroupsForAddSwitch", groupresponse.result); //No I18N
                        }
                    }
                }
            );
                
    },addSwitchSubmit: function()
    {
        
        var switchname = this.get('switchname');
        var ipamgroup = $("#spmtreegroup").val();
        var newGroupName = trimAll(this.get('newgroup'));
        var readcommunity = $("#readcommunity").val();
        var systemdetails = $("#systemdetails").prop("checked");
        var arpmacip = $("#arpmacip").prop("checked");
        var isnewgroup = $("#newSPMGroup").css("display");
        var snmpv3 = $("#snmpv3").css("display");
        var addswitchManual = $("#addbyManual").prop("checked");

        var addswitchURL = getOpUtilsSPMAPIURL() + "&operation=ADD_SWITCH&switchIP=" + switchname ;//No I18N

        if (isnewgroup !== undefined && isnewgroup === "block" && (newGroupName === undefined || newGroupName === "")) {
            alert(Ember.I18n.t('opu.common.PLEASE_ENTER_A_VALUE', this));//No I18N
            $("#newgroup").focus();
            return;
        }

        if (switchname === undefined || switchname === "") {
            alert(Ember.I18n.t('opu.snmp.ENTER_VALID_HOST_OR_IP', this));//No I18N
            $("#switchname").focus();
            return;
        }
        if(isSpecialCharacter(switchname))
        {
            alert(Ember.I18n.t('opu.common.PLEASE_ENTER_HOSTNAME_WITHOUT_SPL_CHARS',this));//No I18N
            $("#switchname").focus();
            return;
        }
        if (isnewgroup !== undefined && isnewgroup === "block" && newGroupName !== undefined) {
            addswitchURL += "&newgroupname=" + newGroupName;//No I18N 
        } else {
            addswitchURL += "&groupId=" + ipamgroup;//No I18N 
        }

        if (snmpv3 === "block") 
        {
            addswitchURL += "&setSnmpVersionID=snmpv3";//No I18N 
                
            var v3username = trimAll(this.get('v3username'));
            var v3contextname = trimAll(this.get('v3contextname'));
            var authprotocol = $('#authprotocol').val();
            var authpwd = trimAll($('#authpwd').val());
            var encrprotocol = $('#privprotocol').val();
            var encrpwd = trimAll($('#privpwd').val());

            if (v3username === undefined || v3username ==="") {
                alert(Ember.I18n.t('opu.common.PLEASE_ENTER_THE_USER_NAME', this));//No I18N
                $("#v3username").focus();
                return;
            }
            addswitchURL += "&username="+v3username;//No I18N 
            if (v3contextname !== undefined && v3contextname !=="") {
             addswitchURL += "&coname="+v3contextname;//No I18N    
            }

            if (authprotocol !== "None" && (authpwd === undefined || authpwd ==="")) {
                alert(Ember.I18n.t('opu.common.PLEASE_ENTER_THE_PASSWORD', this));//No I18N
                $("#authpwd").focus();
                return;
            }
            if (authprotocol !== "None" && (authpwd !== undefined && authpwd !=="")) {
                addswitchURL += "&authID="+authprotocol+"&authPassID="+authpwd;//No I18N  
            }
            if (authprotocol !== "None" && authpwd !== undefined && encrprotocol !== "None") {
                if (encrpwd === undefined || encrpwd === "") {
                    alert(Ember.I18n.t('opu.common.PLEASE_ENTER_THE_PASSWORD', this));//No I18N
                    $("#privpwd").focus();
                    return;
                }
                if (encrpwd !== undefined && encrpwd !== "") {
                   addswitchURL += "&privID="+encrprotocol+"&privPassID="+encrpwd;//No I18N
                }
            }
        
            
        }else{
            if (readcommunity === undefined || readcommunity === "") {
                alert(Ember.I18n.t('opu.common.PLEASE_ENTER_COMMUNITY_STRING', this));//No I18N
                $("#readcommunity").focus();
                return;
            }                     
            var snmpver2 = $("#snmpver2").prop("checked");
            if(snmpver2 === true){
                snmpver2 = "snmpV2";//No I18N
            }else{
                snmpver2 = "snmpV1";//No I18N
            }
            addswitchURL += "&setSnmpVersionID=" + snmpver2+"&switchCommunity="+readcommunity;//No I18N 
        }
        if (addswitchManual === true) {
            addswitchURL += "&addType=manual" ;//No I18N 
        }else{
            addswitchURL += "&addType=import" ;//No I18N 
        }
        if (systemdetails === true) {
            addswitchURL += "&sysDetails=true";//No I18N 
        }
        if (arpmacip === true) {
            addswitchURL += "&arpDetails=true";//No I18N 
        }
        opu_showLoadingTextOnReq(true);
        $.ajax({
            url: addswitchURL,
            type: 'POST', //No I18N
            success: function(response) {
                var obj = response;
                var status = obj.status;
                if ((status !== undefined && status === "Failure") && (obj.message !== undefined))
                {
                    opu_showFailureResponseTextOnDiv(obj.message);
                } else {
                    var successMsg = getI18NwithParams('opu.common.SUCCESSFULLY_ADDED',[' - '+switchname]);//No I18N
                    opu_showSuccessResponseTextOnDiv(successMsg);//NO I18N
                }
            }
        })
    },
    validateSPMCSVImport: function()
    {
        var formdata = new FormData();
        var path = document.getElementById("csvPath");
        formdata.append('csvPath',path.files[0]); //No I18N	
        var filename = $("#csvPath").val();
        if(filename.length == 0)
        {
               alert(Ember.I18n.t("opu.common.InputProperCSV", this));//No I18N
               return;
        }else
        {
           var splitFile = filename.split(".");
            var fileType = splitFile[splitFile.length - 1];
            fileType = fileType.toLowerCase();
            if( fileType !== 'csv')
            { 
               alert(Ember.I18n.t("opu.common.InputProperCSV", this));//No I18N
               return;
            } 
        }
        var addsubnetbycsv = getOpUtilsSPMAPIURL() + "&operation=ADD_SWITCH&addType=import&isScanning=on";//No I18N
        opu_ajaxMultiPostRequest(addsubnetbycsv,formdata,true);
        $("#resDiv").fadeOut(10000);
    },
    resetAddSubnetPage: function()
    {
        location.href = window.apiclientUrl + 'SPM/Dashboard/top10';//No I18N 
    }
});


OpUtilsClient.SPMGroupView = Ember.View.extend({
    templateName: 'SPMSwitchList', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SPMGroupEditSwitchView = Ember.View.extend({
    templateName: 'SPMAddSwitch', //No I18N
    
    didInsertElement: function() {
        
        $("#addSwitchTitle").html(Ember.I18n.t("opu.spm.EDIT_SWITCH",this));//No I18N
        $("#switchAddOptionDiv").hide();
        $("#existingSPMGroup").hide();
        $("#newSPMGroup").show();
        $("#showipamgroup").hide();
        $("#addswitchAction").hide();
        $("#updateSwitchAction").show();
        $("#newgroup").prop("disabled","disabled");
        $("#switchname").prop("disabled","disabled");
        
        $.ajax(
                {
                    url: getOpUtilsSPMAPIURL() + "&operation=GET_SWITCH_SUMMARY&switchIP="+OpUtilsClient.SPMController.selectedSwitch, //No I18N
                    type: 'GET', //No I18N
                    async: false,
                    success: function(jsonData)
                    {
                        var switchDetails = jsonData.result;
                        $("#newgroup").html(switchDetails["switch-name"]);//No I18N
                        $("#switchname").val(switchDetails["switch-name"]);//No I18N
                        $("#CONFIG_ID").val(switchDetails["config-id"]);//No I18N
                        var snmpversion = switchDetails["snmp-version"];//No I18N
                        if(snmpversion === 3 || snmpversion === "3")
                        {
                            $("#isV3Device").val("true");
                            $("#snmpver3").prop("checked","true");
                            ShowOrHideSNMPVs('v3');//No I18N
                        }else if(snmpversion === "2"){
                            $("#snmpver2").prop("checked","true");
                        }
                        if(switchDetails["is-sys-details-enabled"] === "1"){
                            $("#systemdetails").prop("checked",true);
                        }
                        if(switchDetails["is-arp-enabled"] === "1"){
                            $("#arpmacip").prop("checked",true);
                        }
                        if(switchDetails["is-snmp-sweep-enabled"] === "1"){
                            $("#snmpSweep").prop("checked",true);
                            
                            enablePingSweepForSwitch();
                            var subnetDetails = switchDetails.pingSweepSubnetAddressArray;
                            var subnetMaskDetails = switchDetails.pingSweepSubnetMaskArray;
                            if(subnetDetails.length >=1){
                                
                                for(i=0;i<subnetDetails.length;i++){
                                    var subnet = subnetDetails[i];
                                    var subnetMask = subnetMaskDetails[i];
                                    $("#ipAddress"+i).val(subnet);
                                    $("#mask"+i).val(subnetMask);
                                    if(subnetDetails.length > (i+1)){
                                        addNewItem1(subnet)
                                    }
                                }
                            }
                            addswitchflag=true;
                        }
                    }
                }
            );
    
    
    },
    spmUpdateSwitch1 :function(){
        spmUpdateSwitch("modifyOnly");//No I18N
    },
    spmUpdateSwitch2 :function(){
        spmUpdateSwitch("modifyandscan");//No I18N
    },
    cancelUpdateSwitch :function(){ 
        location.href = window.apiclientUrl + "SPM/Group/"+OpUtilsClient.SPMController.selectedSPMGroupID;//No I18N   
    }
});
OpUtilsClient.SPMSwitchView = Ember.View.extend({
    templateName: 'SPMSwitchSnapshot', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SPMAllPortsView = Ember.View.extend({
    templateName: 'SPMSwitchPortsList', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SPMSwitchSummaryView = Ember.View.extend({
    templateName: 'SPMSwitchSummary', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SPMSwitchPortsView = Ember.View.extend({
    templateName: 'SPMSwitchPortsList', //No I18N
    didInsertElement: function() {
        $("#SwitchPortDropDown").css("display","block");
    }
});
OpUtilsClient.SPMSwitchAlertsView = Ember.View.extend({
    templateName: 'SPMSwitchAlerts', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SPMSwitchHistoryView = Ember.View.extend({
    templateName: 'SPMSwitchHistory', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SPMAllAlertsView = Ember.View.extend({
    templateName: 'SPMSwitchAlerts', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SPMPortView = Ember.View.extend({
    templateName: 'SPMSwitchPortSnapshot', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SPMPortSummaryView = Ember.View.extend({
    templateName: 'SPMSwitchPortSummary', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SPMPortHistoryView = Ember.View.extend({
    templateName: 'SPMSwitchHistory', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SPMPortAlertsView = Ember.View.extend({
    templateName: 'SPMSwitchAlerts', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SPMDashboardView = Ember.View.extend({
    templateName: 'IPAMDashboard', //No I18N
    didInsertElement: function() {
         $.ajax({		
                url: getOpUtilsSPMAPIURL() + "&operation=GET_SPM_GROUPS",//NO I18N
                type: 'GET', //No I18N		
                dataType:'json', //No I18N
                async: false,//No I18N
                success: function(spmGroups)		
                {
                   var menuLinkArray = spmGroups.result.spmNodes;
                   var totalSwitchCount = menuLinkArray[0].SwitchCount;
                   if(totalSwitchCount === 0){
                        location.href = window.apiclientUrl + "SPM/AddSwitch";//No I18N
                        $("#spmList").accordion({ active: 1 });
                   }
                }
            })
    }
});
OpUtilsClient.BlockUnBlockSwitchPort = Ember.View.extend({
    templateName: 'SPMBlockUnBlockPort', //No I18N
    didInsertElement: function() {
    }
});
