
var ipamSettingsValues = null;
var spmSettingsValues = null;
var rogueSettingsValues = null;
var nwmSettingsValues = null;
var bwmSettingsValues = null;
OpUtilsClient.SettingsView = Ember.View.extend({
    templateName: 'OpUtilsSettings', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SettingsBasicSettingsGeneralView = Ember.View.extend({
    templateName: 'OpUtilsGeneralSettings', //No I18N
    didInsertElement: function() {
        $("#GeneralSettingDiv").show();
    }
});
OpUtilsClient.SettingsBasicSettingsSNMPView = Ember.View.extend({
    templateName: 'OpUtilsGeneralSettings', //No I18N
    didInsertElement: function() {
        $("#SNMPSettingsDiv").show();
        $('#gsmaxrepitions').attr("disabled",true);
        $('#gsnonrepeaters').attr("disabled",true);
    }
});
OpUtilsClient.SettingsBasicSettingsSMTPView = Ember.View.extend({
    templateName: 'OpUtilsGeneralSettings', //No I18N
    didInsertElement: function() {
        $("#SMTPSettingsDiv").show();
        if($("#gssmtpauthreq").prop("checked") === false){
            $('#gsmailusername').attr("disabled",true);
            $('#gsmailpassword').attr("disabled",true);
        }
    }
});
OpUtilsClient.SettingsBasicSettingsICMPView = Ember.View.extend({
    templateName: 'OpUtilsGeneralSettings', //No I18N
    didInsertElement: function() {
        $("#ICMPSettingsDiv").show();
    }
});
OpUtilsClient.SettingsBasicSettingsSyslogView = Ember.View.extend({
    templateName: 'OpUtilsGeneralSettings', //No I18N
    didInsertElement: function() {
        $("#SyslogSettingsDiv").show();
    }
});
OpUtilsClient.SettingsBasicSettingsGraphView = Ember.View.extend({
    templateName: 'OpUtilsGeneralSettings', //No I18N
    didInsertElement: function() {
        $("#GraphSettingsDiv").show();
    }
});
OpUtilsClient.SettingsBasicSettingsLinuxView = Ember.View.extend({
    templateName: 'OpUtilsGeneralSettings', //No I18N
    didInsertElement: function() {
        $("#LinuxSettingsDiv").show();
    }
});
OpUtilsClient.SettingsRoutersView = Ember.View.extend({
    templateName: 'SettingsRouterList', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SettingsAddRouterView = Ember.View.extend({
    templateName: 'SettingsAddRouter', //No I18N
    didInsertElement: function() {

    },addRouterFunction : function(){
        var routerdevice = this.get('routername');
        if(routerdevice === undefined || routerdevice ===""){
            alert(Ember.I18n.t('opu.snmp.ENTER_VALID_HOST_OR_IP',this));//No I18N
            $("#routername").focus();
            return;
        }
        if(isSpecialCharacter(routerdevice))
        {
            alert(Ember.I18n.t('opu.common.PLEASE_ENTER_HOSTNAME_WITHOUT_SPL_CHARS',this));//No I18N
            $("#routername").focus();
            return;
        }
        var addRouterURL = getOpUtilsRogueAPIURL()+"&operation=ADD_ROUTER&addType=manual&DeviceName="+routerdevice;//No I18N
        var snmpver3 = $("#snmpver3").prop("checked");
        if(snmpver3 === true){
            
            addRouterURL += "&snmpVersion=snmpV3";//No I18N 
                
            var v3username = trimAll(this.get('v3username'));
            var v3contextname = trimAll(this.get('v3contextname'));
            var authprotocol = $('#authprotocol').val();
            var authpwd = trimAll($('#authpwd').val());
            var encrprotocol = $('#privprotocol').val();
            var encrpwd = trimAll($('#privpwd').val());

            if (v3username === undefined || v3username ==="") {
                alert(Ember.I18n.t('opu.common.PLEASE_ENTER_THE_USER_NAME', this));//No I18N
                $("#v3username").focus();
                return;
            }
            addRouterURL += "&v3username="+v3username;//No I18N 
            if (v3contextname !== undefined && v3contextname !=="") {
                addRouterURL += "&coname="+v3contextname;//No I18N    
            }
            if (authprotocol !== "None" && (authpwd === undefined || authpwd ==="")) {
                alert(Ember.I18n.t('opu.common.PLEASE_ENTER_THE_PASSWORD', this));//No I18N
                $("#authpwd").focus();
                return;
            }
            if (authprotocol !== "None" && (authpwd !== undefined && authpwd !=="")) {
                addRouterURL += "&authID="+authprotocol+"&authPassID="+authpwd;//No I18N  
            }
            if (authprotocol !== "None" && authpwd !== undefined && encrprotocol !== "None") {
                if (encrpwd === undefined || encrpwd === "") {
                    alert(Ember.I18n.t('opu.common.PLEASE_ENTER_THE_PASSWORD', this));//No I18N
                    $("#privpwd").focus();
                    return;
                }
                if (encrpwd !== undefined && encrpwd !== "") {
                   addRouterURL += "&privID="+encrprotocol+"&privPassID="+encrpwd;//No I18N
                }
            }
        }else{
            
            var community = $('#readcommunity').val();
            if( community === undefined || community === "")
            {
                alert(Ember.I18n.t('opu.common.PLEASE_ENTER_COMMUNITY_STRING',this));//No I18N
                $("#readcommunity").focus();
                return;
            }
            var snmpver2 = $("#snmpver2").prop("checked");
            if(snmpver2 === true){
                snmpver2 = "snmpV2";//No I18N
            }else{
                snmpver2 = "snmpV1";//No I18N
            }
             addRouterURL += "&snmpVersion=" + snmpver2+"&community="+community;//No I18N 
        }
        opu_showLoadingTextOnReq(true);
        $.ajax({
            url: addRouterURL,
            type: 'POST', //No I18N
            async :false,
			dataType:"json",//No I18N
            success: function(response) {
                var obj = response;
                var status = obj.status;
                if ((status !== undefined && status === "Failure") && (obj.message !== undefined))
                {
                    opu_showFailureResponseTextOnDiv(obj.message);
                } else {
                    var successMsg = getI18NwithParams('opu.common.SUCCESSFULLY_ADDED',['- '+routerdevice]);//No I18N
                    opu_showSuccessResponseTextOnDiv(successMsg);//NO I18N
                }
            }
        })
        
    },showRouterLists:function ()
    {
        location.href=window.apiclientUrl+"Settings/Routers"; //No I18N
    },importRouterCSV: function()
    {
        var formdata = new FormData();
        var path = document.getElementById("csvPath");
        formdata.append('csvPath',path.files[0]); //No I18N	
        var filename = $("#csvPath").val();
        if(filename.length == 0)
        {
               alert(Ember.I18n.t("opu.common.InputProperCSV", this));//No I18N
               return;
        }else
        {
           var splitFile = filename.split(".");
            var fileType = splitFile[splitFile.length - 1];
            fileType = fileType.toLowerCase();
            if( fileType !== 'csv')
            { 
               alert(Ember.I18n.t("opu.common.InputProperCSV", this));//No I18N
               return;
            } 
        }
        var addrouterbycsv = getOpUtilsRogueAPIURL() + "&operation=ADD_ROUTER&addType=import";//No I18N
        opu_ajaxMultiPostRequest(addrouterbycsv,formdata,true);
        $("#resDiv").fadeOut(10000);
    },
});


OpUtilsClient.SettingsGeneralView = Ember.View.extend({
	didInsertElement: function()
	{
		var response = [];
                var settingsUrl = getOpUtilsSettingsAPIURL()+"&operation=GET_ADMIN_SETTINGS";//No I18N
		$.ajax(
		{
			url: settingsUrl,
			type: 'GET', //No I18N
			async :false,
			success: function(jsonData)
			{
                            response =jsonData;
			}
		});
		if($("#GeneralSettingDiv").css("display") === "block"){//No I18N
                    var generalData = response.result.General;
                    $("#vncport").val(generalData.vncPort);
                    $("#httpportnumnber").val(generalData.httpPort);
                    $("#httpsportnumnber").val(generalData.httpsPort);
                    $("#loggerLevel").val(generalData.logLevelValue);
                    var encodingValue = generalData.encodingValue;
                    $("#"+encodingValue).prop("selected",true);
                    var isSecure = generalData.portScheme;
                    if(isSecure !== "HTTP"){
                        $("#httpsmode").prop("checked",true);
                    }
                }
                else if($("#SNMPSettingsDiv").css("display") === "block"){//No I18N
                    var snmpData = response.result.SNMP;
                    var snmpversion = snmpData.snmpVersion;
                    if(snmpversion === "v1"){
                        $("#snmpV1").prop("checked",true);
                    }else{
                        $("#snmpV2").prop("checked",true);
                    }
                    this.set("gssnmpport",snmpData.snmpPort);//No I18N
                    this.set("gstimeout",snmpData.snmpTimeout);//No I18N
                    this.set("gstimeout",snmpData.snmpTimeout);//No I18N
                    this.set("gsreadcummunity",snmpData.snmpCommunity);//No I18N
                    this.set("gsretries",snmpData.snmpRetries);//No I18N
                    this.set("gsmaxrepitions",snmpData.snmpMaxRepetitions);//No I18N
                    this.set("gsnonrepeaters",snmpData.snmpNonRepeaters);//No I18N
                }
                else if($("#SMTPSettingsDiv").css("display") === "block"){//No I18N
                    var smtpData = response.result.SMTP;
                    var authReq = smtpData.authReqd;
                    if(authReq){
                        $("#gssmtpauthreq").prop("checked",true);
                        $('#gsmailusername').attr("disabled",false);
                        $('#gsmailpassword').attr("disabled",false);
                        this.set("gsmailusername",smtpData.smtpUserName);//No I18N
                        this.set("gsmailpassword",smtpData.smtpPassword);//No I18N
                    }
                    this.set("gssmtpserver",smtpData.smtpServer);//No I18N
                    this.set("gssmtpport",smtpData.smtpPort);//No I18N
                    this.set("gsfromaddress",smtpData.smtpFromAddress);//No I18N
                }
                else if($("#ICMPSettingsDiv").css("display") === "block"){//No I18N
                    var icmpData = response.result.ICMP;
                    this.set("gsicmppcount",icmpData.icmpPingCount);//No I18N
                    this.set("gsicmppsize",icmpData.icmpPacketSize);//No I18N
                    this.set("gsicmptimetolive",icmpData.icmpTTL);//No I18N
                    this.set("gsicmptimeout",icmpData.icmpTimeout);//No I18N
                }
                else if($("#SyslogSettingsDiv").css("display") === "block"){//No I18N
                    var syslogData = response.result.Syslog;
                    this.set('gssyslogserverip',syslogData.syslogServer);//No I18N
                    this.set('gssyslogport',syslogData.syslogPort);//No I18N
                    $("#gssyslogprotocal").val(syslogData.syslogProtocolType);
                    $("#gssyslogfacility").val(syslogData.syslogFacility);
                    $("#gssyslogSeverity").val(syslogData.syslogSeverity);
                }
                else if($("#GraphSettingsDiv").css("display") === "block"){//No I18N
                    var graphData = response.result.Graph;
                    $("#gsgraphpollingint").val(graphData.pollingInterval);
                    $("#gsgraphplot").val(graphData.plotsCount);
                }
                else if($("#LinuxSettingsDiv").css("display") === "block"){//No I18N
                    var linuxData = response.result.Linux;
                    $("#gslinuxloginname").val(linuxData.LYNXLoginName);
                    $("#gslinuxpassword").val(linuxData.LYNXPassword);
                }
	},  
        oputilsGeneralSettings: function()
        {
            var gsSaveURL = getOpUtilsSettingsAPIURL();//No I18N
            if($("#GeneralSettingDiv").css("display") === "block"){//No I18N

                var loggerEncod = trimAll($("#loggerEncoding").val());
                var loggerLevel = trimAll($("#loggerLevel").val());
                var http = trimAll(document.getElementById("httpportnumnber").value);
                var https = trimAll(document.getElementById("httpsportnumnber").value);
                var vncport = trimAll(document.getElementById("vncport").value);
                gsSaveURL += "&operation=SAVE_GENERAL_SETTINGS&encodingValue="+loggerEncod+"&logLevelValue="+loggerLevel+"&vncPort="+vncport+"&httpPort="+http+"&httpsPort="+https;//No I18N
                if($("#httpsmode").prop("checked") === true){
                    gsSaveURL += "&enableHttps=true";//No I18N
                }else{
                    gsSaveURL += "&enableHttps=false";//No I18N
                }
               if(isNaN(http) === true || http === "")
               {
                   alert(Ember.I18n.t("opu.common.HTTP_VALUE_AS_INTEGER",this));//No I18N
                   $("#httpportnumnber").focus();
                   return;
               }
               if(isNaN(https) === true || https === "")
               {
                   alert(Ember.I18n.t("opu.common.HTTPS_VALUE_AS_INTEGER",this));//No I18N
                   $("#httpsportnumnber").focus();
                   return;
               }
               if(https === http)
               {
                   alert(Ember.I18n.t("opu.general.HTTP_AND_HTTPS_CANNOT_BE_SAME",this));//No I18N
                   $("#httpportnumnber").focus();
                   return;
               }
               if(isNaN(vncport) === true || vncport === "")
               {
                   alert(Ember.I18n.t("opu.common.VNC Port_VALUE_AS_INTEGER",this));//No I18N
                   $("#vncport").focus();
                   return;
               }

            }else if($("#SNMPSettingsDiv").css("display") === "block"){//No I18N
                var snmpportn = trimAll(this.get("gssnmpport"));
                var snmpcom = trimAll(this.get("gsreadcummunity"));
                var snmpretries = trimAll(this.get("gsretries"));
                var snmptimeout = trimAll(this.get("gstimeout"));
                var snmptimeout = trimAll(this.get("gstimeout"));
                var snmpVersion = "v1";//No I18N
                
                gsSaveURL +="&operation=SAVE_SNMP_SETTINGS&snmpPort="+snmpportn+"&snmpVersion="+snmpVersion+"&snmpCommunity="+snmpcom+"&snmpTimeout="+snmptimeout+"&snmpRetries="+snmpretries+"&snmpMaxRepetitions=50&snmpNonRepeaters=0";//No I18N
                if($("#snmpV2").prop("checked") === true){
                    snmpVersion = "v2c";//No I18N
                }
                if(isNaN(snmpportn) === true || (snmpportn < 1 || snmpportn > 65535) || snmpportn === "")
                {
                    var response = getI18NwithParams('opu.spm.PORT_NUMBER_MUST_BE_BETWEEN_XY',['1','65535']);//No I18N
                    alert(response);
                    $("#gssnmpport").focus();
                    return;
                }
                
                if(snmpcom  === undefined || snmpcom === "")
                {
                    alert(Ember.I18n.t("opu.common.PLEASE_ENTER_COMMUNITY_STRING",this));//No I18N
                    $("#gsreadcummunity").focus();
                    return;
                }
                if(isNaN(snmptimeout) === true || snmptimeout === "")
                {
                    alert(Ember.I18n.t("opu.common.TIMEOUT_VALUE_MUST_BE_AN_INTEGER",this));//No I18N
                    $("#gstimeout").focus();
                    return;
                }
                if(isNaN(snmpretries) === true || (snmpretries >= 1 && snmpretries > 6) || snmpretries === "")
                {
                    alert(Ember.I18n.t("opu.general.RETRIES_VALUE_SHOULD_BE_1_TO_5",this));//No I18N
                    $("#gsretries").focus();
                    return;
                }
                
            }else if($("#SMTPSettingsDiv").css("display") === "block"){//No I18N
                var smtpserver = trimAll(this.get("gssmtpserver"));
                var smtpporno = this.get("gssmtpport");
                var smtpfromaddr = this.get("gsfromaddress");
                gsSaveURL +="&operation=SAVE_SMTP_SETTINGS&smtpServer="+smtpserver+"&smtpPort="+smtpporno+"&smtpFromAddress="+smtpfromaddr;//No I18N
                if(smtpserver  === undefined || smtpserver === "")
                {
                    alert(Ember.I18n.t("opu.general.PLEASE_ENTER_THE_SMTP_SERVER_NAME",this));//No I18N
                    $("#gssmtpserver").focus();
                    return;
                }
                if(isNaN(smtpporno) === true || smtpporno < 1 || smtpporno > 65535 || smtpporno === "")
                {
                    var response = getI18NwithParams('opu.spm.PORT_NUMBER_MUST_BE_BETWEEN_XY',['1','65535']);//No I18N
                    alert(response);
                    $("#gssmtpport").focus();
                    return;
                }
                if(!validateEmailAddress(smtpfromaddr))
                {
                    alert(Ember.I18n.t("opu.mail.PLEASE_ENTER_YOUR_EMAIL_ADDRESS",this));//No I18N
                    $("#gsfromaddress").focus();
                    return;
                }
                if($("#gssmtpauthreq").prop("checked") == true){
                    var smtpmailusername = trimAll(this.get("gsmailusername"));
                    var smtpmailpassword = trimAll(this.get("gsmailpassword"));
                    if(smtpmailusername  === undefined || smtpmailusername === "")
                    {
                        alert(Ember.I18n.t("opu.common.PLEASE_ENTER_THE_USER_NAME",this));//No I18N
                        $("#gsmailusername").focus();
                        return;
                    }
                    if(smtpmailpassword  === undefined || smtpmailpassword === "")
                    {
                        alert(Ember.I18n.t("opu.common.PLEASE_ENTER_THE_PASSWORD",this));//No I18N
                        $("#gsmailpassword").focus();
                        return;
                    }
                    gsSaveURL +="&authReqd=true&smtpUserName="+smtpmailusername+"&smtpPassword="+smtpmailpassword;//No I18N
                }
            }else if($("#ICMPSettingsDiv").css("display") === "block"){//No I18N
                var icmppcount = trimAll(this.get("gsicmppcount"));
                var icmpsize= trimAll(this.get("gsicmppsize"));
                var icmptimtolive= trimAll(this.get("gsicmptimetolive"));
                var icmptimeout= trimAll(this.get("gsicmptimeout"));
                gsSaveURL +="&operation=SAVE_ICMP_SETTINGS&icmpPingCount="+icmppcount+"&icmpPacketSize="+icmpsize+"&icmpTTL="+icmptimtolive+"&icmpTimeout="+icmptimeout;//No I18N
                if(icmppcount  === undefined || icmppcount === "")
                {
                    alert(Ember.I18n.t("opu.general.PLEASE_ENTER_THE_PACKET_COUNT",this));//No I18N
                    $("#gsicmppcount").focus();
                    return;
                }
                if(isNaN(icmppcount) === true || icmppcount === "")
                {
                    alert(Ember.I18n.t("opu.common.PACKET_COUNT_MUST_BE_AN_INTEGER",this));//No I18N
                    $("#gsicmppcount").focus();
                    return;
                }
                if(icmppcount === "" || (icmppcount < 1 || icmppcount > 100))
                {
                    var response = getI18NwithParams('opu.general.PACKET_COUNT_MUST_BE_X_TO_Y',['1','100']);//No I18N
                    alert(response);
                    $("#gsicmppcount").focus();
                    return;
                }
                if(icmpsize  === undefined || icmpsize === "")
                {
                    alert(Ember.I18n.t('opu.general.PLEAE_ENTER_THE_PACKET_SIZE',this));//No I18N
                    $("#gsicmppsize").focus();
                    return;
                }
                if(isNaN(icmpsize) === true || icmpsize === "" || (icmpsize < 0 || icmpsize > 200))
                {
                    var response = getI18NwithParams('opu.general.PACKET_COUNT_MUST_BE_X_TO_Y',['0','200']);//No I18N
                    alert(response);
                    $("#gsicmppsize").focus();
                    return;
                }
                if(isNaN(icmptimtolive) === true || icmptimtolive === "" || (icmptimtolive < 1 || icmptimtolive > 255))
                {
                    alert(Ember.I18n.t('opu.general.TIME_TO_LIVE_VALUE_MUST_BE_1_TO_255',this));//No I18N
                    $("#gsicmptimetolive").focus();
                    return;
                }
                if(isNaN(icmptimeout) === true || icmptimeout === "")
                {
                    alert(Ember.I18n.t('opu.common.TIMEOUT_VALUE_MUST_BE_AN_INTEGER',this));//No I18N
                    $("#gsicmptimeout").focus();
                    return;
                }
                if(icmptimeout < 1 && icmptimeout > 60)
                {
                    var response = getI18NwithParams('opu.tracert.TimeoutBetXY',['1','60']);//No I18N
                    alert(response);
                    $("#gsicmptimeout").focus();
                    return;
                }                
            }else if($("#SyslogSettingsDiv").css("display") === "block"){//No I18N
                var syslogserverip = this.get("gssyslogserverip");
                var syslogport = this.get("gssyslogport");
                var syspt= $("#gssyslogprotocal").val();
                var syslogFac = $("#gssyslogfacility").val();
                var syslogSeverity = $("#gssyslogSeverity").val();
                gsSaveURL +="&operation=SAVE_SYSLOG_SETTINGS&syslogServerName="+syslogserverip+"&syslogPort="+syslogport+"&syslogProtocolType="+syspt+"&syslogFacility="+syslogFac+"&syslogSeverity="+syslogSeverity;//No I18N
                if(syslogserverip  === undefined || syslogserverip === "")
                {
                    alert(Ember.I18n.t("opu.common.PLEASE_ENTER_A_VALUE",this));//No I18N
                    $("#gssyslogserverip").focus();
                    return;
                }
                if(isNaN(syslogport) === true || syslogport === "")
                {
                    alert(Ember.I18n.t("opu.common.PLEASE_ENTER_A_VALUE",this));//No I18N
                    $("#gssyslogport").focus();
                    return;
                }
                               
            }else if($("#GraphSettingsDiv").css("display") === "block"){//No I18N
                var gsgraphpollingint = trimAll($("#gsgraphpollingint").val());
                var graphport = trimAll($("#gsgraphplot").val());
                gsSaveURL +="&operation=SAVE_GRAPH_SETTINGS&pollingInterval="+gsgraphpollingint+"&plotsCount="+graphport;//No I18N
                if(isNaN(gsgraphpollingint) === true || gsgraphpollingint === "")
                {
                    alert(Ember.I18n.t("opu.general.PLEASE_ENTER_POLLING_INTERVAL",this));//No I18N
                    $("#gsgraphpollingint").focus();
                    return;
                }
                if(gsgraphpollingint < 0 || gsgraphpollingint > 65535 )
                {
                    alert(Ember.I18n.t("opu.general.POLLING_INTERVAL_MUST_BE_1_TO_65535",this));//No I18N
                    $("#gsgraphpollingint").focus();
                    return;
                }
                if(graphport  === undefined || graphport === "" || isNaN(graphport) === true)
                {
                    alert(Ember.I18n.t("opu.general.PLEASE_ENTER_NUMBER_OF_PLOTS",this));//No I18N
                    $("#gsgraphplot").focus();
                    return;
                }
                if(graphport < 1 || graphport > 60)
                {
                    alert(Ember.I18n.t("opu.general.NUMBER_OF_PLOTS_MUST_BE_1_TO_100",this));//No I18N
                    $("#gsgraphplot").focus();
                    return;
                }
                               
            }else if($("#LinuxSettingsDiv").css("display") === "block"){//No I18N
                
                var gslinuxloginname = trimAll($("#gslinuxloginname").val());
                var gslinuxpassword = trimAll($("#gslinuxpassword").val());
                gsSaveURL +="&operation=SAVE_LYNX_SETTINGS&LYNXLoginName="+gslinuxloginname+"&LYNXPassword="+gslinuxpassword;//No I18N
                if(gslinuxloginname  === undefined || gslinuxloginname === "")
                {
                    alert(Ember.I18n.t("opu.general.LOGIN_NAME_CANNOT_BE_EMPTY",this));//No I18N
                    $("#gslinuxloginname").focus();
                    return;
                }
                if(gslinuxpassword  === undefined || gslinuxpassword === "")
                {
                    alert(Ember.I18n.t("opu.common.PLEASE_ENTER_THE_PASSWORD",this));//No I18N
                    $("#gslinuxpassword").focus();
                    return;
                }   
            }
            opu_showLoadingTextOnReq(true);
            $.ajax(
            {
                url: gsSaveURL,
                type: 'GET', //No I18N
                async :false,
                success: function(jsonData)
                {
                    var status = jsonData.status;
                    if ((status !== undefined && status === "Failure") && (jsonData.message !== undefined))
                    {
                        opu_showFailureResponseTextOnDiv(jsonData.message);
                    } else {
                        opu_showSuccessResponseTextOnDiv("opu.common.YOUR_CHANGES_HAVE_BEEN_SAVED");//NO I18N
                    }
                }
            });
        },restoreDetaultValues: function(){
            var restoreDefaulte = getOpUtilsSettingsAPIURL()+"&operation=RESTORE_DEFAULTS";//No I18N
            var refreshpage =window.apiclientUrl+"Settings/Settings.BasicSettings/";//No I18N
            if($("#SNMPSettingsDiv").css("display") === "block"){//No I18N
                restoreDefaulte +="&action=restoreSNMPDefaults";//No I18N 
                refreshpage +="SNMP";//No I18N
            }
            else if($("#SMTPSettingsDiv").css("display") === "block"){//No I18N
                restoreDefaulte +="&action=restoreSMTPDefaults";//No I18N 
                refreshpage +="SMTP";//No I18N
            }
            else if($("#ICMPSettingsDiv").css("display") === "block"){//No I18N
                restoreDefaulte +="&action=restoreICMPDefaults";//No I18N 
                refreshpage +="ICMP";//No I18N
            }
            else if($("#SyslogSettingsDiv").css("display") === "block"){//No I18N
                restoreDefaulte +="&action=restoreSyslogDefaults";//No I18N 
                refreshpage +="Syslog";//No I18N
            }
            else if($("#GraphSettingsDiv").css("display") === "block"){//No I18N
                restoreDefaulte +="&action=restoreGraphDefaults";//No I18N 
                refreshpage +="Graph";//No I18N
            }
            else if($("#LinuxSettingsDiv").css("display") === "block"){//No I18N
                restoreDefaulte +="&action=restoreLYNXDefaults";//No I18N 
                refreshpage +="Linux";//No I18N
            }else{
                restoreDefaulte +="&action=restoreServerDefaults";//No I18N 
                refreshpage +="General";//No I18N
            }
            $.ajax(
		{
			url: restoreDefaulte,
			type: 'GET', //No I18N
			async :false,
			success: function(jsonData)
			{
                            location.href =refreshpage;
                            location.reload();
			}
		});
        }
        ,
	
	reset: function()
	{
            location.href =window.apiclientUrl+"IPAM/Dashboard/top10" ;//No I18N
	}
});
OpUtilsClient.SettingsAddUserView = Ember.View.extend({
    templateName: 'SettingsAddUser', //No I18N
    didInsertElement: function() {
        $.ajax(
         {
             url: getOpUtilsAPIURL() + "&operation=GET_AD_DOMAIN_LIST", //No I18N
             type: 'GET', //No I18N
             async: false,
             success: function(jsonData)
             {
                 if (Object.keys(jsonData).length > 0)
                 {
                     OpUtilsClient.SettingsArrayController.set("adDomainsForAddUser", jsonData.result); //No I18N
                 }
             }
         });
    },addUserFunction:function()
    {
        var userName = trimAll(this.get("username"));
        var password = trimAll(this.get("password"));
        var confirmpassword = trimAll(this.get("confirmpassword"));
        var urlparams = "";//NO I18N
        if(userName === undefined || userName === "" || userName.length == 0){
            alert(Ember.I18n.t("opu.common.PLEASE_ENTER_THE_USER_NAME",this));//No I18N
            $("#username").focus();
            return;
	}
        urlparams = "&newUserName="+userName;//NO I18N
        if($("#passwordRow").css('display') === "block")
        {
            if(password === undefined || password === "" || password.length === 0){
                alert(Ember.I18n.t("opu.common.PLEASE_ENTER_THE_PASSWORD",this));//No I18N
                $("#password").focus();
                return;
            }
            if(confirmpassword === undefined || confirmpassword === "" || confirmpassword.length === 0){
                alert(Ember.I18n.t("opu.common.PLEASE_ENTER_THE_CONFIRM_PASSWORD",this));//No I18N
                $("#confirmpassword").focus();
                return;
            }
            if(!(password === confirmpassword)){
                alert(Ember.I18n.t("opu.common.PASSWORDS_DO_NOT_MATCH_RETYPE_THE_PASSWORD",this));//No I18N
                $("#password").val('');
                $("#confirmpassword").val('');
                $("#password").focus();
                return;
            }
            if((password.indexOf(" ") != -1) || (confirmpassword.indexOf(" ") != -1)){
                alert(Ember.I18n.t("opu.common.PASSWORDS_DO_NOT_CONTAIN_WHITE_SPACE",this));//No I18N
                $("#password").val('');
                $("#confirmpassword").val('');
                return;
            }
            if(password.length < 4 )
            {
                alert(Ember.I18n.t("opu.common.PASSWORD_SHOULD_CONTAIN_ATLEAST_4_CHARS",this));//No I18N
                $("#password").val('');
                $("#confirmpassword").val('');
                return;
            }
            urlparams += "&newUserPassword="+password+"&userAuthType=Local";//NO I18N
        }else{
            var addomain = $("#selectADDomain").val();
            if(addomain === "-1"){
                alert(Ember.I18n.t("opu.common.PLEASE_CHOOSE_AD_DOMAIN",this));//No I18N
//                $("#confirmpassword").focus();
                return;
            }
            var addomainText = $("#selectADDomain option:selected").text();//NO I18N
            urlparams += "&userAuthType=AD&adDomainID="+addomain+"&domainName="+addomainText;//NO I18N
        }
        var userRole = $("#userRole").val();
        urlparams += "&userRole="+userRole;//NO I18N
        var emailid = trimAll(this.get("useremail"));
        var phonenum = trimAll(this.get("userphonenum"));
        var userdesc = trimAll(this.get("userdescription"));
        if(emailid !== undefined && emailid !== "" && emailid.length !== 0){
            if(!validateEmailAddress(emailid)){
                alert(Ember.I18n.t('opu.mail.PLEASE_ENTER_YOUR_EMAIL_ADDRESS',this));//No I18N
                $("#useremail").focus();
                return false;
            }
            urlparams += "&newUserEmail="+emailid;//NO I18N
        }
        if(phonenum !== undefined && phonenum !== "" && phonenum.length !== 0){
            urlparams += "&newUserPNumber="+phonenum;//NO I18N
        }
        if(userdesc !== undefined && userdesc !== "" && userdesc.length !== 0){
            urlparams += "&newUserDesc="+userdesc;//NO I18N
        }
        var addNewUserURL = getOpUtilsSettingsAPIURL()+"&operation=ADD_USER"+urlparams;//No I18N
        opu_showLoadingTextOnReq(true);
        $.ajax(
         {
             url: addNewUserURL,
             type: 'GET', //No I18N
//             async: false,
             success: function(jsonData)
             {
                 if(jsonData.status === "Success"){
                        location.href =window.apiclientUrl+"Settings/Users" ;//No I18N
                    }else{
                        opu_showFailureResponseTextOnDiv(jsonData.message);
                    }
             }
         });
    },showUsersList:function(){
        location.href =window.apiclientUrl+"Settings/Users" ;//No I18N
    }
});
OpUtilsClient.SettingsUsersView = Ember.View.extend({
    templateName: 'SettingsUsersList', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.SettingsDBMigrationView = Ember.View.extend({
    templateName: 'SettingsDBMigration', //No I18N
    didInsertElement: function() {     
    }
});
OpUtilsClient.SettingsOpUtilsAboutView = Ember.View.extend({
    templateName: 'SettingsOpUtilsAbout', //No I18N
    didInsertElement: function() {
        var aboutURL = getOpUtilsSettingsAPIURL()+"&operation=GET_OPUTILS_DETAILS";//No I18N
        var noofdaystoexpire = "";
        $.ajax(
         {
             url: aboutURL,
             type: 'GET', //No I18N
             async: false,
             success: function(jsonData)
             {
                 OpUtilsClient.SettingsArrayController.set("oputilsAbout", jsonData.result[0]); //No I18N
                 noofdaystoexpire=OpUtilsClient.SettingsArrayController.oputilsAbout.noofdaystoexpire;
             }
         });
         if(noofdaystoexpire === ""){
            $("#noofdaystoexpire").hide();
        }
    }
});
OpUtilsClient.SettingsAddAdDomainView = Ember.View.extend({
    templateName: 'IPAMAddAdDomain', //No I18N
    didInsertElement: function() {
    },addADDomainFun:function(){
        var data = validateADDomain();
        if(!data){
            return;
        }
        opu_showLoadingTextOnReq(true);
        var url = getOpUtilsAPIURL() + "&operation=ADD_DOMAIN";//No I18N
        $.ajax({
                url:url,
                type:'POST', //No I18N
                async:false,
                data:data,
                success: function(jsonData){
                    if(jsonData.status === "Success"){
                        showADDomains();
                    }else{
                        opu_showFailureResponseTextOnDiv(jsonData.message); //No I18N
                    }
                }
        });
        
    },showADDomains:function(){
        location.href=window.apiclientUrl+"Settings/AdDomains"; //No I18N
    }
});
OpUtilsClient.SettingsEditADDomainView = Ember.View.extend({
    templateName: 'IPAMAddAdDomain', //No I18N
    didInsertElement: function() {
        $("#IPAMAddAdDomainTitle").html(Ember.I18n.t("opu.views.EDIT_DOMAIN_DETAILS",this));//NO I18N
        $("#addCancelBotton").hide();
        $("#updateADDomainBotton").show();
        $.ajax({
                url: getOpUtilsAPIURL() + "&operation=GET_AD_DOMAIN_DETAILS&domainId="+OpUtilsClient.SettingsController.addomainID, //No I18N
                type: 'GET', //No I18N
                async: false,
                success: function(jsonData)
                {
                    
                    if (Object.keys(jsonData).length > 0)
                    {
                        if(jsonData.status !== "Failure"){
                            var addomaindetails = jsonData.result[0];
                            $("#adusername").val(addomaindetails["user-name"]);
                            $("#adpassword").val("");
                            $("#addomain").val(addomaindetails["ad-domain-name"]);
                            $("#addomaincontroller").val(addomaindetails["domain-controller-name"]);
                            $("#addomainid").val(addomaindetails["ad-domain-id"]);
                        }
                    }
                }
            });
            
            $("#addomain").prop("disabled","disabled");
    },updateaddomain:function(){
        var data = validateADDomain();
        if(!data){
            return;
        }
        opu_showLoadingTextOnReq(true);
        var url = '/oputilsapi/ipam?key='+getOpUtilsAPIKey();//No I18N
        data = {"v":"1","format":"json","operation":"UPDATE_ADDOMAIN_DETAILS","actionFrom":"saveWMIChanges","WMIDomainControllerName":$("#addomaincontroller").val(),"WMIDomainName":$("#addomain").val(),"WMILoginName":$("#adusername").val(),"SaveNonAdminUser":"true","domainIDEdit":$("#addomainid").val(),"WMIPassword":$("#adpassword").val()};//No I18N
        $.ajax({
                url:url,
                type:'POST', //No I18N
                async:false,
                data:data,
                success: function(jsonData){
                    if(jsonData.status === "Success"){
                        showADDomains();
                    }else{
                        opu_showFailureResponseTextOnDiv(jsonData.message); //No I18N
                    }
                }
        });
        
    },showADDomains:function(){
        location.href=window.apiclientUrl+"Settings/AdDomains"; //No I18N
    }
});
OpUtilsClient.SettingsEditRouterView = Ember.View.extend({
    templateName: 'SettingsAddRouter', //No I18N
    didInsertElement: function() {
        $("#addrouterTitle").html(Ember.I18n.t("opu.common.EDIT_ROUTER",this));//NO I18N
        $("#editrouterdiv").show();
        $("#addroutertype").hide();
        $("#addrouterdiv").css("display","none");
        $("#routername").val(OpUtilsClient.SettingsController.routerName);
        $("#routername").prop("disabled","disabled");
        $.ajax({
                url: getOpUtilsRogueAPIURL() + "&operation=GET_ROUTER_DETAILS&routerId="+OpUtilsClient.SettingsController.routerID, //No I18N
                type: 'GET', //No I18N
                async: false,
		dataType:"json",//No I18N
                success: function(jsonData)
                {
                    if(jsonData.status !== "Failure"){
                        var routerdetails = jsonData.result[0];
                        var snmpversion = routerdetails["snmp-version"];//NO I18N
                        if(snmpversion === "3"){
                            $("#snmpv3").show();
                            $("#snmpv1v2").hide();
                            $("#snmpver3").prop("checked",true);
                            $("#v3username").val(routerdetails.userName);
                            $("#v3contextname").val(routerdetails.contextName);
                            var authId = routerdetails.authId;
                            if(authId !== ""){
                                $("#authprotocol").val(authId);
                                changeAuthProto();
                            }
                        }else if(snmpversion === "2"){
                            $("#snmpver2").prop("checked",true);
                        }
                    }
                }
            });
        
    },updateRouter:function(){

        opu_showLoadingTextOnReq(true);
        
         var routerdevice = $('#routername').val();
         var snmpver = "snmpV1";//NO I18N
         if($("#snmpver2").prop("checked")){
             snmpver = "snmpV2";//No I18N
         }else if($("#snmpver3").prop("checked")){
             snmpver = "snmpV3";//No I18N
         }
         var v3username,v3contextname,authprotocol,authpwd,encrprotocol,encrpwd,community ="";
         if(snmpver === "snmpV3"){
            v3username = trimAll($('#v3username').val());
            v3contextname = trimAll($('#v3contextname').val());
            authprotocol = $('#authprotocol').val();
            authpwd = trimAll($('#authpwd').val());
            encrprotocol = $('#privprotocol').val();
            if(encrprotocol === "None"){
                encrprotocol ="";
            }
            if(encrprotocol === "None"){
                encrprotocol ="";
            }
            if(authprotocol === "None"){
                authprotocol ="";
            }
            encrpwd = trimAll($('#privpwd').val());
         }else{
             community = $('#readcommunity').val();
         }
         
        var url = '/oputilsapi/rogue?key='+getOpUtilsAPIKey();//No I18N
        var data = {"v":"1","format":"json","operation":"UPDATE_ROUTER_DETAILS","DeviceName":routerdevice,"ID":OpUtilsClient.SettingsController.routerID,"snmpVersion":snmpver,"community":community,"v3username":v3username,"coname":v3contextname,"authID":authprotocol,"authPassID":authpwd,"privID":encrprotocol,"privPassID":encrpwd};//No I18N
        $.ajax({
                url:url,
                type:'POST', //No I18N
                async:false,
                data:data,
                dataType:"json",//No I18N
                success: function(jsonData){
                    if(jsonData.status === "Success"){
                        showRouterLists();
                    }else{
                        opu_showFailureResponseTextOnDiv(jsonData.message); //No I18N
                    }
                }
        });
    },showRouterLists:function ()
    {
        location.href=window.apiclientUrl+"Settings/Routers"; //No I18N
    }
});
OpUtilsClient.SettingsEditUserView = Ember.View.extend({
    templateName: 'SettingsAddUser', //No I18N
    didInsertElement: function() {
        $("#addusertitle").html(Ember.I18n.t("opu.common.MODIFY_USER",this));//NO I18N
        $("#updateUserButton").show();
        $("#addUserButton").hide();
        $("#addUserOption").hide();
        $("#passwordRow").hide();
        $("#username").val(OpUtilsClient.SettingsController.userName);
        $("#username").prop("disabled","disabled");
        $.ajax({
                url: getOpUtilsSettingsAPIURL() + "&operation=GET_USER_DETAILS&userId="+OpUtilsClient.SettingsController.userID, //No I18N
                type: 'GET', //No I18N
                async: false,
		dataType:"json",//No I18N
                success: function(jsonData)
                {
                    if(jsonData.status !== "Failure"){
                        var userdetails = jsonData.result[0];
                        $("#useremail").val(userdetails["user-email"]);//NO I18N
                        $("#userphonenum").val(userdetails["user-phone-number"]);//NO I18N
                        $("#userdescription").val(userdetails["user-description"]);//NO I18N
                        $("#userRole").val(userdetails["user-role"]);//NO I18N
                        $("#userloginid").val(userdetails["user-login-id"]);//NO I18N
                        $("#userloginid").val(userdetails["user-login-id"]);//NO I18N
                        $("#usercontid").val(userdetails["user-contactinfo-id"]);//NO I18N
                        var addomain = userdetails["ad-domain-name"];//NO I18N
                        var addomainId = userdetails["ad-domain-id"];//NO I18N
                        if(addomain !== "" && addomain.lenght !== 0){
                            $("#addomainRow").css("display","block");
                            $("#adDomainTxt").html(Ember.I18n.t("opu.views.AD_DOMAIN",this));//NO I18N
                            $("#selectADDomain").html("<option value='"+addomainId+"' selected>"+addomain+"</option>");//NO I18N
                            $("#selectADDomain").prop("disabled",true);//NO I18N
                        }
                    }
                }
            });
            if(OpUtilsClient.SettingsController.userName === "admin"){
                $("#userRole").prop("disabled",true);//NO I18N
            }
        
    },updateUser:function(){

        opu_showLoadingTextOnReq(true);
        
         var user = $('#username').val();
         var data = {"v":"1","format":"json","operation":"DELETE_OR_MODIFY_USER","action1":"MODIFY_USER","userInAction":user};//No I18N
         
        if($("#addomainRow").css('display') === "block")
        {
            var addomain = $("#selectADDomain").val();
            data.domainName=addomain;
        }
        
        var userRole = $("#userRole").val();
        data.userRole=userRole;
        var emailid = trimAll(this.get("useremail"));
        var phonenum = trimAll(this.get("userphonenum"));
        var userdesc = trimAll(this.get("userdescription"));
        
        if(emailid !== undefined && emailid !== "" && emailid.length !== 0){
            if(!validateEmailAddress(emailid)){
                alert(Ember.I18n.t('opu.mail.PLEASE_ENTER_YOUR_EMAIL_ADDRESS',this));//No I18N
                $("#useremail").focus();
                return false;
            }
            data.newUserEmail1=emailid;
        }
        if(phonenum !== undefined && phonenum !== "" && phonenum.length !== 0){
            data.newUserPNumber1=phonenum;
        }
        if(userdesc !== undefined && userdesc !== "" && userdesc.length !== 0){
            data.newUserDesc1=userdesc;
        }
        data.userAuthType="Local";//NO I18N
        if($("#addomainRow").css("display") === "block")
        {
            var addomain = $("#selectADDomain").val();
            var addomainText = trimAll($("#selectADDomain option:selected").text());//NO I18N
            data.userAuthType="AD";//NO I18N
            data.adDomainID=addomain;
            data.domainName=addomainText;
        }   
            
        data.contactinfoID=$("#usercontid").val();
        data.loginID=$("#userloginid").val();
        
        var url = '/oputilsapi/admin?key='+getOpUtilsAPIKey();//No I18N
        $.ajax({
                url:url,
                type:'POST', //No I18N
                async:false,
                data:data,
                dataType:"json",//No I18N
                success: function(jsonData){
                    if(jsonData.status === "Success"){
//                        location.href=window.apiclientUrl+"Settings/Users"; //No I18N
                    }else{
                        opu_showFailureResponseTextOnDiv(jsonData.message); //No I18N
                    }
                }
        });
    },showUsersList:function ()
    {
        location.href=window.apiclientUrl+"Settings/Users"; //No I18N
    }
});
OpUtilsClient.SettingsAdDomainsView = Ember.View.extend({
    templateName: 'SettingsAdDomainList', //No I18N
    didInsertElement: function() {
//        $("#GraphSettingsDiv").show();
    }
});
OpUtilsClient.SettingsIPAMGeneralView = Ember.View.extend({
    templateName: 'SettingsIPAMSettings', //No I18N
    didInsertElement: function() {
//        $("#GraphSettingsDiv").show();
    }
});
OpUtilsClient.SettingsDBBackUpView = Ember.View.extend({
    templateName: 'SettingsDBBackUp', //No I18N
    didInsertElement: function() {
         var currentDate = new Date();
        $("#HourlyHour").val(currentDate.getHours());
        $("#HourlyMinutes").val(currentDate.getMinutes());
        $("#periodDetTab").tabs(
        {
            activate: function(event, ui) 
            {
                var hrefOfSelTab = ui.newTab.find("a").attr("href"); //No I18N                               
                OpUtilsClient.ReportsController.scheduleReportType = hrefOfSelTab.split("#")[1];
                currentDate = new Date();
                $(hrefOfSelTab+"Hour").val(currentDate.getHours());
                $(hrefOfSelTab+"Minutes").val(currentDate.getMinutes());
            }
        });
    }
});
OpUtilsClient.SettingsChangePasswordView = Ember.View.extend({
    templateName: 'SettingsChangePassword', //No I18N
    didInsertElement: function() {
//        $("#GraphSettingsDiv").show();
    },changePasswordAction:function(){
        var newpassword = this.get("newpassword");
        var confirmpassword = this.get("confirmpassword");
        
        if(newpassword === undefined || newpassword === "" || newpassword.length === 0){
                alert(Ember.I18n.t("opu.common.PLEASE_ENTER_THE_PASSWORD",this));//No I18N
                $("#newpassword").focus();
                return;
            }
            if(confirmpassword === undefined || confirmpassword === "" || confirmpassword.length === 0){
                alert(Ember.I18n.t("opu.common.PLEASE_ENTER_THE_CONFIRM_PASSWORD",this));//No I18N
                $("#confirmpassword").focus();
                return;
            }
            if(!(newpassword === confirmpassword)){
                alert(Ember.I18n.t("opu.common.PASSWORDS_DO_NOT_MATCH_RETYPE_THE_PASSWORD",this));//No I18N
                $("#newpassword").val('');
                $("#confirmpassword").val('');
                return;
            }

            if((newpassword.indexOf(" ") != -1) || (confirmpassword.indexOf(" ") != -1) ){
                alert(Ember.I18n.t("opu.common.PASSWORDS_DO_NOT_CONTAIN_WHITE_SPACE",this));//No I18N
                $("#newpassword").val('');
                $("#confirmpassword").val('');
                return;
            }
            if(newpassword.length < 4 ){
                alert(Ember.I18n.t("opu.common.PASSWORD_SHOULD_CONTAIN_ATLEAST_4_CHARS",this));//No I18N
                $("#newpassword").val('');
                $("#confirmpassword").val('');
                return;
            }
            var changeUserPwd = getOpUtilsSettingsAPIURL()+"&operation=CHANGE_LOGIN_PASSWORD&userName="+window.oputilsUserName+"&NewPasswd="+newpassword+"&ConPasswd="+confirmpassword;//No I18N
            opu_showLoadingTextOnReq(true);
            $.ajax({
                url: changeUserPwd,
                type: 'POST', //No I18N
                async :false,
                success: function(response) {
                    var obj = response;
                    var status = obj.status;
                    if ((status !== undefined && status === "Failure") && (obj.message !== undefined))
                    {
                        opu_showFailureResponseTextOnDiv(obj.message);
                    } else {
                        opu_showSuccessResponseTextOnDiv(Ember.I18n.t("opu.general.YOUR_PASSWORD_HAS_BEEN_CHANGED_SUCCESSFULLY",this));//NO I18N
                    }
                }
            })
    }
});
OpUtilsClient.SettingsLanguageView = Ember.View.extend({
    templateName: 'SettingsLanguage', //No I18N
    didInsertElement: function() {
        $.ajax({
                url: getOpUtilsSettingsAPIURL()+"&operation=GET_I18N_LANG_LIST",//NO I18N
                type: 'POST', //No I18N
                async :false,
                success: function(response) {
                    var languages = response.result[0];
                    $("#en_US_dis").html(languages.en_US);
                    $("#ja_JP_dis").html(languages.ja_JP);
                    $("#de_DE_dis").html(languages.de_DE);
                    $("#es_ES_dis").html(languages.es_ES);
                    $("#zh_CN_dis").html(languages.zh_CN);
                    $("#nl_NL_dis").html(languages.nl_NL);
                    $("#"+window.language).prop("checked",true);
                }
            })
        
    }
});




OpUtilsClient.SettingsIPAMSettingsView = Ember.View.extend({
    didInsertElement: function()
    {
        var response = [];
        var settingsUrl = getOpUtilsSettingsAPIURL()+"&operation=GET_ADMIN_SETTINGS";//No I18N
        $.ajax(
        {
            url: settingsUrl,
            type: 'GET', //No I18N
            async :false,
            success: function(jsonData)
            {
                response = jsonData;
            }
        });
    },

    reset: function()
    {
        location.href =window.apiclientUrl+"IPAM/Dashboard/top10" ;//No I18N
    }
});
OpUtilsClient.SettingsSPMGeneralView = Ember.View.extend({
    templateName: 'SPMSettings', //No I18N
    didInsertElement: function() {
        $("#GeneralSettingDiv").show();
        
        var spmGeneralSettings = getSPMSettingsObj("General");//NO I18N
        if(spmGeneralSettings.isDnsResolve === "true"){//No I18N
            $("#resolveDNS").prop("checked",true) 
        }else{
            $("#resolveDNS").prop("checked",false) 
        }
        if(spmGeneralSettings.isShowAllInterface === "true"){//No I18N
            $("#ifIndex").prop("checked",true) 
        }else{
            $("#ifIndex").prop("checked",false) 
        }
        if(spmGeneralSettings.isRememberMac === "true"){//No I18N
            $("#RememberMacAddress").prop("checked",true) 
        }else{
            $("#RememberMacAddress").prop("checked",false) 
        }
        if(spmGeneralSettings.isExcludeTp4Scan === "true"){//No I18N
            $("#excludeTP4Scanning").prop("checked",true) 
        }else{
            $("#excludeTP4Scanning").prop("checked",false) 
        }
        if(spmGeneralSettings.isExcludeTrunk === "true"){//No I18N
            $("#excludeTrunkPort").prop("checked",true) 
        }else{
            $("#excludeTrunkPort").prop("checked",false) 
        }
        $("#stackedPortCount").val(spmGeneralSettings.stackedPortCount);
        $("#noOfThread").val(spmGeneralSettings.queThreshold);
        $("#auditMonth").val(spmGeneralSettings.auditMonth);
        $("#portHistoryMonth").val(spmGeneralSettings.portMonth);
        $("#portDir").val(spmGeneralSettings.portDir);
        $("#auditDir").val(spmGeneralSettings.spmAuditDir);
    },UpdateSPMSettings : function(){
        
        if(!validateSpmGeneralSettings()){
            return false;
        }
        var spmsettingsurl = getOpUtilsSettingsAPIURL()+"&operation=UPDATE_SPM_SETTINGS&actionFrom=spmGenrelSettings&portDirTrace=portDirTrace&auditDirTrace=auditDirTrace&portHistMonthTrace=portHistMonthTrace&auditMonthTrace=auditMonthTrace";//No I18N
        var resolveDNS = false;
        if($("#resolveDNS").prop("checked")){
            resolveDNS = true;
        }
        var ifIndex = false;
        if($("#ifIndex").prop("checked")){
            ifIndex = true;
        }
        var rememberMacAddr = 0;
        if($("#RememberMacAddress").prop("checked")){
            rememberMacAddr = 1;
        }
        var excludeTP4Scanning = false;
        if($("#excludeTP4Scanning").prop("checked")){
            excludeTP4Scanning = true;
        }
        var excludeTrunkPort = false;
        if($("#excludeTrunkPort").prop("checked")){
            excludeTrunkPort = true;
        }
        spmsettingsurl += "&resolveDNS="+resolveDNS+"&ifIndex="+ifIndex+"&RememberMacAddress="+rememberMacAddr+"&excludeTP4Scanning="+excludeTP4Scanning+"&excludeTrunkPort="+excludeTrunkPort;//NO I18N
        var stackedPortCount =trimAll($("#stackedPortCount").val());
        var noOfthread =trimAll($("#noOfThread").val());
        var auditDir = trimAll($("#auditDir").val());
        var auditMonth = trimAll($("#auditMonth").val());
        var portHistoryDir = trimAll($("#portDir").val());
        var portHistoryMonth = trimAll($("#portHistoryMonth").val());
        spmsettingsurl += "&stackedPortCount="+stackedPortCount+"&noOfThread="+noOfthread+"&auditDir="+auditDir+"&auditMonth="+auditMonth+"&portDir="+portHistoryDir+"&portHistoryMonth="+portHistoryMonth;//NO I18N
        updateSettingsPage(spmsettingsurl);
        spmSettingsValues = null;
    }
});
OpUtilsClient.SettingsIPAMView = Ember.View.extend({
    templateName: 'IPAMSPMTopTabsSettings', //No I18N
    didInsertElement: function() {
        document.getElementById("IPAMSPMSettingsHeading").innerHTML = Ember.I18n.t('opu.tools.IP_ADDRESS_MANAGER',this)+" - "+Ember.I18n.t('opu.common.SETTINGS',this);//No I18N
        $("#ipamtabs").show();
    }
});
OpUtilsClient.SettingsSPMView = Ember.View.extend({
    templateName: 'IPAMSPMTopTabsSettings', //No I18N
    didInsertElement: function() {
        document.getElementById("IPAMSPMSettingsHeading").innerHTML = Ember.I18n.t('opu.spm.SPM_SETTINGS',this);//No I18N
        $("#spmtabs").show();
    }
});
OpUtilsClient.SettingsRogueView = Ember.View.extend({
    templateName: 'IPAMSPMTopTabsSettings', //No I18N
    didInsertElement: function() {
        document.getElementById("IPAMSPMSettingsHeading").innerHTML = Ember.I18n.t('opu.tools.ROGUE_DETECTION',this)+" - "+Ember.I18n.t('opu.common.SETTINGS',this);//No I18N
    }
});
OpUtilsClient.SettingsSPMSchedulerView = Ember.View.extend({
    templateName: 'OpUitlsCreateGroup', //No I18N
    didInsertElement: function() {
    document.getElementById("availablereports").innerHTML = Ember.I18n.t('opu.spm.AVAILABLE_SWITCHES',this);//No I18N
    document.getElementById("selectedeports").innerHTML = Ember.I18n.t('opu.spm.SELECTED_SWITCHES',this);//No I18N
    $("#spmtaps").show();
    var currentDate = new Date();
    $("#HourlyHour").val(currentDate.getHours());
    $("#HourlyMinutes").val(currentDate.getMinutes());
    $("#periodDetTab").tabs(
    {
        activate: function(event, ui) 
        {
            var hrefOfSelTab = ui.newTab.find("a").attr("href"); //No I18N                               
            OpUtilsClient.ReportsController.scheduleReportType = hrefOfSelTab.split("#")[1];
            currentDate = new Date();
            $(hrefOfSelTab+"Hour").val(currentDate.getHours());
            $(hrefOfSelTab+"Minutes").val(currentDate.getMinutes());
        }
    });
    
    var getallswitchesurl = getOpUtilsSettingsAPIURL()+"&operation=GET_SCHEDULED_SWITCH_LIST";//No I18N
    $.ajax(
    {
        url: getallswitchesurl,
        type: 'GET', //No I18N
        async :false,
        success: function(jsonData)
        {
            var arrObj = {'allAvailDevices':jsonData.result.availableswitches,'allSelectedDevices':""}
            OpUtilsClient.SettingsArrayController.set("availabledevices",arrObj); //No I18N
        }
    });
    
    },addNewSchedulerGroup : function(){
        var scheduleType = OpUtilsClient.ReportsController.scheduleReportType;
        if(scheduleType === undefined){
            OpUtilsClient.ReportsController.scheduleReportType = "Hourly";//NO I18N
            scheduleType = OpUtilsClient.ReportsController.scheduleReportType;
        }
        var addipamgroup = getOpUtilsSettingsAPIURL()+"&operation=ADD_SPM_SCHEDULER&actionFrom=saveAddNewGroup&saveGroupConfig=Save&owner="+window.oputilsUserName;//No I18N
        if(!validateNewSchedulerGroupConfig("SPM")){
            return false;
        }
        
        var selectedDevices ="";
        var isFirstDevice = true;
        $('#selectedReport option').each(function(){
            if(isFirstDevice){
               selectedDevices +=this.value;
            }else{
                selectedDevices +=","+this.value;//NO I18N
            }
            isFirstDevice = false;
        });
        if(!isFirstDevice){
            addipamgroup += "&selectedSwitchID="+selectedDevices;//NO I18N
        }
        addipamgroup += "&GROUP_NAME_NEW="+$('#GROUP_NAME').val();//NO I18N
        var enabledSche = $('input[type=radio][name=EnableDisableSch]:checked').val();
        if(enabledSche === "Enabled"){
            addipamgroup += "&SCHEDULE_TYPE="+scheduleType+"&adminStatus=Enabled";//NO I18N
            checkRecurrenceValues();
            var hourVal = $("#"+scheduleType+"Hour").val();
            var minutesVal = $("#"+scheduleType+"Minutes").val();
            
            if(scheduleType === 'Weekly')
            {
                var weeks = "";
                $('input[name=WEEKLY_DAYS]:checked').each(function(){
                    weeks += "&WEEKLY_DAYS="+this.value;//NO I18N
                });
                
                addipamgroup += weeks+"&WEEKLY_START_TIME_HOUR="+hourVal+"&WEEKLY_START_TIME_MIN="+minutesVal;//NO I18N
                
            }
            else if(scheduleType === 'Monthly')
            {
                 var months = "";
                $('input[name=MONTHLY_MONTHS]:checked').each(function(){
                    months += "&MONTHLY_MONTHS="+this.value;//NO I18N
                });
                addipamgroup += months+"&MONTHLY_START_TIME_HOUR="+hourVal+"&MONTHLY_START_TIME_MIN="+minutesVal;//NO I18N
            }
            else if(scheduleType === 'Daily')
            {
                addipamgroup += "&DAILY_START_TIME_HOUR="+hourVal+"&DAILY_START_TIME_MIN="+minutesVal;//NO I18N
            }
            else if(scheduleType === 'Hourly')
            {
                addipamgroup += "&HOURLY_START_TIME_HOUR="+hourVal+"&HOURLY_START_TIME_MIN="+minutesVal+"&HOURLY_INTERVAL="+$("#HOURLY_INTERVAL").val();//NO I18N
            }
        }else{
            addipamgroup +="&adminStatus=Disabled";//NO I18N
        }
        updateSettingsPage(addipamgroup);
    },cancelAddNewSchedulerGroup:function(){
        $("#SchedulerListView").show();
        $("#AddSchedulerView").hide();
    }
});
OpUtilsClient.SettingsSPMConfigAlertsView = Ember.View.extend({
    templateName: 'OPAlertConfig', //No I18N
    didInsertElement: function() {
        $("#spmPortStatus").show();
        $("#spmAlertCleanupPolicy").show();
        var spmAlertConfig = getSPMSettingsObj("Alerts");//NO I18N
        getOpUtilsAlertsConfig("IPAM",spmAlertConfig.alertDetails);//NO I18N
        initialSettingsForIPAM();
        $("#toAdd").val(spmAlertConfig.toAddress);
        $("#days").val(spmAlertConfig.noOfDays);
        $("#COUNT").val(spmAlertConfig.count);
        $("#MAINTAIN_NUMBER_OF_FILE").val(spmAlertConfig.maintainNumberOfFile);
        $("#NUMBEROFLINES").val(spmAlertConfig.numberoflines);
        if(spmAlertConfig.historyStatus === 1){
            $("#alertHisOption").prop("checked", true);
        }
    },UpdateAlertSettings:function(){
        var ipamsettingssurl = getOpUtilsSettingsAPIURL()+"&operation=CONFIGURE_SPM_ALERTS&actionFrom=sendAlerts";//No I18N
        var days = trimAll($("#days").val());
	if(days === 0 || !isNumber(days) || days < 1 || days > 299)
	{
            alert(Ember.I18n.t("opu.common.enter_no_of_days_between",this));//NO I18N
            $("#days").focus();
            return false;
	}
        var isSelectedAlert = document.getElementById("mailRelated").style.display;
        if(isSelectedAlert !== "none"){
            var emailAddr = $("#toAdd").val();
            if(emailAddr.length === 0 || !validateEmailAddress(emailAddr)){
                alert(Ember.I18n.t('opu.mail.PLEASE_ENTER_YOUR_EMAIL_ADDRESS',this));//No I18N
                $("#toAdd").focus();
                return false;
            }
            ipamsettingssurl += "&mailOption=true&toAddress="+emailAddr;//NO I18N
        }else{
            ipamsettingssurl += "&mailOption=false";//NO I18N
        }
        ipamsettingssurl += "&days="+days+getSelectedEmailAlerts("MAIL")+getSelectedEmailAlerts("SYS");//NO I18N 
        
        var count = $("#COUNT").val();
        var noOfFile = $("#MAINTAIN_NUMBER_OF_FILE").val();
        var noOfLinesInFile = $("#NUMBEROFLINES").val();
        if(!validateAlertHistory()){
            return false;
        }
        ipamsettingssurl += "&COUNT="+count+"&NUMBEROFLINES="+noOfLinesInFile+"&MAINTAIN_NUMBER_OF_FILE="+noOfFile;//NO I18N
        if($("#alertHisOption").prop("checked")){
            ipamsettingssurl += "&HISTORY_STATUS=1";//NO I18N
        }else{
            ipamsettingssurl += "&HISTORY_STATUS=0";//NO I18N
        }
        
        
        updateSettingsPage(ipamsettingssurl);
        spmSettingsValues = null;
    }
});
OpUtilsClient.SettingsSPMCustomColumnView = Ember.View.extend({
    templateName: 'OPCustomColumn', //No I18N
    didInsertElement: function() {
//        $("#GeneralSettingDiv").show();
$("#AddcustomColDiv").hide();
$("#SPMColumnFor").show();

checkDisable('dataType','size', true);//NO I18N
    },validateCustomCol: function() {
        if(!validateCustomColulmn()){
            return false;
        }
        var dataType = trimAll($('#dataType').val());
        var columnName = $("#columnName").val() ;
        var size = trimAll($("#size").val());
        var defaultVal = trimAll($("#defaultValue").val());
        var desc = trimAll($("#desc").val());
        var addcustomCol = getOpUtilsSettingsAPIURL()+"&operation=ADD_SPM_CUSTOM_COLUMN&dataType="+dataType+"&columnName="+columnName+"&size="+size;//No I18N
        if(defaultVal !== undefined && defaultVal.length >0){
            addcustomCol += "&defaultValue"+defaultVal;//NO I18N
        }
        if(desc !== undefined && desc.length >0){
            addcustomCol += "&desc="+desc;//NO I18N
        }
        if(defaultVal !== undefined && defaultVal.length >0){
            addcustomCol += "&defaultValue="+defaultVal;//NO I18N
        }
        var level = document.getElementById('columnFor1');
        var tableId = level.value;
        var tableName = level.options[level.selectedIndex].getAttribute('tableName');
        addcustomCol += "&tableName="+tableName+"&tableID="+tableId;//NO I18N
        updateSettingsPage(addcustomCol);
    },cancelAddCustomCol: function(){
        openAddCustomColumn('hide');//NO I18N
    }
});
OpUtilsClient.SettingsSPMPublishView = Ember.View.extend({
    templateName: 'SPMSettings', //No I18N
    didInsertElement: function() {
        $("#PublishSettingDiv").show();
        
        var spmPublish = getSPMSettingsObj("PublishColumn");//NO I18N
        var isDisabled = spmPublish.enablePublish;
        if(isDisabled == "enabled"){
            $("#backupHistory").prop("checked", true);
        }
        
         $("#noOfBackUp").val(spmPublish.publishBackUpCount);
         $("#userSpecifyDir").val(spmPublish.publishHtmlPath);
         
         if(spmPublish.publishLocationFlag === "1"){//No I18N
             $("#DefaultLocation").prop("checked", true);
         }else{
             $("#SpecifyLocation").prop("checked", true);
         }
         if(spmPublish.publishBackupType === "1"){//No I18N
             $("#maintainLastScan").prop("checked", true);
         }else{
             $("#maintainMax").prop("checked", true);
         }
         if(spmPublish.publishFileType === "2"){//No I18N
             $("#publishHTML").prop("checked", true);
         }else{
             $("#publishCsv").prop("checked", true);
         }
         if(spmPublish.masterCsvFlag === "1"){//No I18N
             $("#createMasterFile").prop("checked", true);
         }
         $("#isDisplayWarningMessage").val(window.spmSetPublishWarningMsg);
         $("#publishLocationType").val(spmPublish.locationFlag);
         $("#newIPAMHistoryRootDir").val(spmPublish.publishPath);
         var accesslink = "<a href='"+spmPublish.publishViewPath+"' target='_blank' class='linktxt'>"+spmPublish.publishViewPath+"</a>";//NO I18N
         document.getElementById("puplishedlink").innerHTML=accesslink;
         document.getElementById("puplishedlink1").innerHTML=accesslink;
         checkPublishLocation(spmPublish.locationFlag)
         checkSPMPublishReportBy();
         OpUtilsClient.SettingsArrayController.set("spmPublishColumns",spmPublish.publishColumns); //No I18N
    },UpdateSPMSettings:function(){
        var ipamsettingssurl = getOpUtilsSettingsAPIURL()+"&operation=CONFIGURE_SPM_PUBLISH&actionFrom=saveBackupHistory";//No I18N
        var enablePublish = false;
        if($("#backupHistory").prop("checked")) {
            enablePublish = true;
        }
        var fileType  = $('input:radio[name=publishType]:checked').val();//NO I18N
        var backupType = $('input:radio[name=maintainType]:checked').val();//NO I18N
        var backupTypeByGroup = $('input:radio[name=SPMPublishReportBy]:checked').val();//NO I18N
        var noOfBackUp = $("#noOfBackUp").val();
        if(backupType === "2")
        {
            if(noOfBackUp < 0) {
               alert(Ember.I18n.t("opu.common.NumberOfBackUpAlert",this));//NO I18N
               $("#noOfBackUp").focus();
               return;
            }
        }
        var histLocationFlag = $('input:radio[name=publishDefaultLocation]:checked').val();//NO I18N
        var publishPath = trimAll($("#newIPAMHistoryRootDir").val());
        var publishLocationChoice  = $('input:radio[name=publishDefaultLocation]:checked').val();//NO I18N
        if(publishLocationChoice === "2")
        {
            if(publishPath.length === 0) {
                alert(Ember.I18n.t("opu.common.PUBLISH_PATH_CANNOT_BE_EMPTY",this));//NO I18N
                $("#newIPAMHistoryRootDir").focus();
                return;
            }
            ipamsettingssurl +=  "&newIPAMHistoryRootDir=" +publishPath+"&newSpmHistoryRootDirTrace=newSpmHistoryRootDirTrace";//NO I18N
        }
        var createMasterFileTrace ="&createMasterFile=false";//NO I18N
        if($("#createMasterFile").prop("checked")) {
              createMasterFileTrace = "&createMasterFile=true&createMasterFileTrace=createMasterFileTrace";//NO I18N
        }
        var selectedcols = "";
        var isFirstDevice = true;
        $('#selectedReport option').each(function(){
            if(isFirstDevice){
               selectedcols +=this.value;
            }else{
                selectedcols +=","+this.value;//NO I18N
            }
            isFirstDevice = false;
        });
        ipamsettingssurl += createMasterFileTrace+"&backupHistory="+enablePublish+"&fileType="+fileType+"&backupType="+backupType+"&noOfBackUp="+noOfBackUp+"&publishLocationChoice="+publishLocationChoice+"&selectedColumnforpublish="+selectedcols+"&HistoryBackUpType="+backupTypeByGroup+"&histLocationFlag="+histLocationFlag; //NO I18N
        updateSettingsPage(ipamsettingssurl);
        spmSettingsValues = null;
    }
});
OpUtilsClient.SettingsIPAMGeneralView = Ember.View.extend({
    templateName: 'IPAMSettings', //No I18N
    didInsertElement: function() {
        $("#GeneralSettingDiv").show();
    var ipamGeneralSettings = getIPAMSettingsObj("General");//NO I18N
    if(ipamGeneralSettings.isShowMac === "true"){
        $("#resolveDNS").prop("checked",true) 
    }else{
        $("#resolveDNS").prop("checked",false) 
    }
    $("#dnsServer").val(ipamGeneralSettings.dnsServer);
    },
    UpdateIPAMSettings:function(){
        
        var ipamsettingssurl = getOpUtilsSettingsAPIURL()+"&operation=UPDATE_IPAM_SETTINGS";//No I18N
        if($("#resolveDNS").prop("checked")){
           ipamsettingssurl +="&isShowMac=on";//NO I18N
        }else{
           ipamsettingssurl +="&isShowMac=off";//NO I18N
        }
        var dnsserver = trimAll($("#dnsServer").val());
        if(dnsserver !=="" && dnsserver.length > 0){
            ipamsettingssurl +="&dnsServer="+dnsserver;//NO I18N
        }
        updateSettingsPage(ipamsettingssurl);
        ipamSettingsValues = null;
    }
});
OpUtilsClient.SettingsIPAMPublishView = Ember.View.extend({
    templateName: 'IPAMSettings', //No I18N
    didInsertElement: function() {
        $("#IPAMPublishSettingDiv").show();
        var ipamPublish = getIPAMSettingsObj("PublishColumn");//NO I18N
        var isDisabled = ipamPublish.enablePublish;
        if(isDisabled == "disabled"){
            $("#availableReport").prop("disabled", true);   
            $("#selectedReport").prop("disabled", true);   
            $("#maintainLastScan").prop("disabled", true);   
            $("#maintainMax").prop("disabled", true);   
            $("#publishHTML").prop("disabled", true);   
            $("#publishCsv").prop("disabled", true);   
            $("#DefaultLocation").prop("disabled", true);   
            $("#SpecifyLocation").prop("disabled", true);   
            $("#moveRightSide").prop("disabled", true);   
            $("#moveLeftSide").prop("disabled", true);
        }else{
            $("#backupHistory").prop("checked", true);
        }
         $("#noOfBackUp").val(ipamPublish.publishBackUpCount);
         $("#userSpecifyDir").val(ipamPublish.publishHtmlPath);
         $("#newIPAMHistoryRootDir").val(ipamPublish.ipamPublishPath);
         
         if(ipamPublish.publishLocationFlag === "1"){
             $("#DefaultLocation").prop("checked", true);
         }else{
             $("#SpecifyLocation").prop("checked", true);
         }
         if(ipamPublish.publishBackupType === "1"){
             $("#maintainLastScan").prop("checked", true);
         }else{
             $("#maintainMax").prop("checked", true);
         }
         if(ipamPublish.publishFileType === "2"){
             $("#publishHTML").prop("checked", true);
         }else{
             $("#publishCsv").prop("checked", true);
         }
         $("#isDisplayWarningMessage").val(window.ipamSetPublishWarningMsg);
         $("#publishLocationType").val(ipamPublish.publishLocationFlag);
         var accesslink = "<a href='"+ipamPublish.publishViewPath+"' target='_blank' class='linktxt'>"+ipamPublish.publishViewPath+"</a>";//NO I18N
         document.getElementById("puplishedlink").innerHTML=accesslink;
         document.getElementById("puplishedlink1").innerHTML=accesslink;
         checkPublishLocation(ipamPublish.publishLocationFlag);
         OpUtilsClient.SettingsArrayController.set("ipamPublishColumns",ipamPublish.publishColumns); //No I18N
    },UpdateIPAMSettings:function(){
        var ipamsettingssurl = getOpUtilsSettingsAPIURL()+"&operation=CONFIGURE_IPAM_PUBLISH";//No I18N
        var enablePublish = '0';//NO I18N
        if($("#backupHistory").prop("checked")) {
            enablePublish = '1';//NO I18N
        }
        var fileType  = $('input:radio[name=publishType]:checked').val();//NO I18N
        var backupType = $('input:radio[name=maintainType]:checked').val();//NO I18N
        var noOfBackUp = $("#noOfBackUp").val();
        if(backupType === "2")
        {
            if(noOfBackUp < 0) {
               alert(Ember.I18n.t("opu.common.NumberOfBackUpAlert",this));//NO I18N
               $("#noOfBackUp").focus();
               return;
            }
        }
        var publishPath = trimAll($("#newIPAMHistoryRootDir").val());
        var publishLocationChoice  = $('input:radio[name=publishDefaultLocation]:checked').val();//NO I18N
        if(publishLocationChoice === "2")
        {
            if(publishPath.length === 0) {
                alert(Ember.I18n.t("opu.common.PUBLISH_PATH_CANNOT_BE_EMPTY",this));//NO I18N
                $("#newIPAMHistoryRootDir").focus();
                return;
            }
            ipamsettingssurl +=  "&publishpath=" +publishPath;//NO I18N
        }
        var selectedcols = "";
        var isFirstDevice = true;
        $('#selectedReport option').each(function(){
            if(isFirstDevice){
               selectedcols +=this.value;
            }else{
                selectedcols +=","+this.value;//NO I18N
            }
            isFirstDevice = false;
        });
        ipamsettingssurl += "&enablePublish="+enablePublish+"&fileType="+fileType+"&backupType="+backupType+"&noOfBackUp="+noOfBackUp+"&publishLocationChoice="+publishLocationChoice+"&selectedColumnforpublish="+selectedcols; //NO I18N
        updateSettingsPage(ipamsettingssurl);
        ipamSettingsValues = null;
    }
});
OpUtilsClient.SettingsIPAMCleanUpPolicyView = Ember.View.extend({
    templateName: 'IPAMSettings', //No I18N
    didInsertElement: function() {
        $("#AlertCleanUpSettingsDiv").show();
        var ipamCleanUpSettings = getIPAMSettingsObj("CleanUpPolicy");//NO I18N
        $("#COUNT").val(ipamCleanUpSettings.count);
        $("#NUMBEROFLINES").val(ipamCleanUpSettings.numberoflines);
        $("#MAINTAIN_NUMBER_OF_FILE").val(ipamCleanUpSettings.maintainNumberOfFile);
        $("#ipHistoryMonth").val( ipamCleanUpSettings.historyMonth);
        $("#auditMonth").val( ipamCleanUpSettings.auditMonth);
        $("#auditDir").val( ipamCleanUpSettings.auditPublishPath);
        if(ipamCleanUpSettings.historyStatus === 1){
            $("#alertHisOption").prop("checked",true);
        }
    },UpdateIPAMSettings:function(){
        var ipamsettingssurl = getOpUtilsSettingsAPIURL()+"&operation=CONFIGURE_IPAM_CLEANUP&actionFrom=cleanUpPolicySettings";//No I18N
        var count = $("#COUNT").val();
        var noOfFile = $("#MAINTAIN_NUMBER_OF_FILE").val();
        var noOfLinesInFile = $("#NUMBEROFLINES").val();
        var auditMonth = $("#auditMonth").val();
        var auditDir = $("#auditDir").val();
        var ipHistoryMonth = $("#ipHistoryMonth").val();
        if(!validateAlertHistory()){
            return false;
        }
	if(auditDir === "" || auditDir === undefined)
	{
            alert(Ember.I18n.t("opu.common.SPECIFY_PUBLISH_DIRECTORY",this));//NO I18N
            $("#auditDir").focus();
            return false;
	}
        ipamsettingssurl += "&COUNT="+count+"&NUMBEROFLINES="+noOfLinesInFile+"&MAINTAIN_NUMBER_OF_FILE="+noOfFile+"&auditMonth="+auditMonth+"&auditDir="+auditDir+"&ipHistoryMonth="+ipHistoryMonth;//NO I18N
        if($("#alertHisOption").prop("checked")){
            ipamsettingssurl += "&HISTORY_STATUS=1";//NO I18N
        }else{
            ipamsettingssurl += "&HISTORY_STATUS=0";//NO I18N
        }
        
        updateSettingsPage(ipamsettingssurl);
        ipamSettingsValues = null;
    }
});
OpUtilsClient.SettingsIPAMCustomColumnView = Ember.View.extend({
    templateName: 'OPCustomColumn', //No I18N
    didInsertElement: function() {
//        $("#GeneralSettingDiv").show();
$("#AddcustomColDiv").hide();
$("#IAPMColumnFor").show();
    checkDisable('dataType','size', true);//NO I18N
    },validateCustomCol: function() {
        if(!validateCustomColulmn()){
            return false;
        }
        
        var dataType = trimAll($('#dataType').val());
        var columnName = $("#columnName").val() ;
        var size = trimAll($("#size").val());
        var defaultVal = trimAll($("#defaultValue").val());
        var desc = trimAll($("#desc").val());
        var addcustomCol = getOpUtilsSettingsAPIURL()+"&operation=ADD_IPAM_CUSTOM_COLUMN&dataType="+dataType+"&columnName="+columnName+"&size="+size;//No I18N
        if(defaultVal !== undefined && defaultVal.length >0){
            addcustomCol += "&defaultValue"+defaultVal;//NO I18N
        }
        if(desc !== undefined && desc.length >0){
            addcustomCol += "&desc="+desc;//NO I18N
        }
        if(defaultVal !== undefined && defaultVal.length >0){
            addcustomCol += "&defaultValue="+defaultVal;//NO I18N
        }

        var level = document.getElementById('columnFor');
        var tableId = level.value;
        var tableName = level.options[level.selectedIndex].getAttribute('tableName');
        addcustomCol += "&tableName="+tableName+"&tableID="+tableId;//NO I18N
        updateSettingsPage(addcustomCol);
    },cancelAddCustomCol: function(){
        openAddCustomColumn('hide');//NO I18N
    }
});
OpUtilsClient.SettingsIPAMConfigAlertsView = Ember.View.extend({
    templateName: 'OPAlertConfig', //No I18N
    didInsertElement: function() {
        $("#ipamIPStatus").show();
        $("#spmPortStatus").hide();
        var ipamAlertConfig = getIPAMSettingsObj("Alerts");//NO I18N
        getOpUtilsAlertsConfig("IPAM",ipamAlertConfig.alertDetails);//NO I18N
        initialSettingsForIPAM();
        $("#toAdd").val(ipamAlertConfig.toAddress);
    },UpdateAlertSettings:function(){
        var ipamsettingssurl = getOpUtilsSettingsAPIURL()+"&operation=CONFIGURE_IPAM_ALERTS&actionFrom=sendAlerts&saveAlertFor=saveIPv4Alert";//No I18N
        var days = trimAll($("#days").val());
	if(days === 0 || !isNumber(days) || days < 1 || days > 299)
	{
            alert(Ember.I18n.t("opu.common.enter_no_of_days_between",this));//NO I18N
            $("#days").focus();
            return false;
	}
        var isSelectedAlert = document.getElementById("mailRelated").style.display;
        if(isSelectedAlert !== "none"){
            var emailAddr = $("#toAdd").val();
            if(emailAddr.length === 0 || !validateEmailAddress(emailAddr)){
                alert(Ember.I18n.t('opu.mail.PLEASE_ENTER_YOUR_EMAIL_ADDRESS',this));//No I18N
                $("#toAdd").focus();
                return false;
            }
            ipamsettingssurl += "&mailOption=true&toAddress="+emailAddr;//NO I18N
        }else{
            ipamsettingssurl += "&mailOption=false";//NO I18N
        }
        ipamsettingssurl += "&days="+days+getSelectedEmailAlerts("MAIL")+getSelectedEmailAlerts("SYS");//NO I18N 
        updateSettingsPage(ipamsettingssurl);
        ipamSettingsValues = null;
    }
});
OpUtilsClient.SettingsRogueConfigAlertsView = Ember.View.extend({
    templateName: 'OPAlertConfig', //No I18N
    didInsertElement: function() {
        $("#rogueAuditSettings").show();
        var rogueAlertConfig = getRogueSettingsObj("General");//NO I18N
        getOpUtilsAlertsConfig("Rogue",rogueAlertConfig.alertDetails);//NO I18N
        $("#auditMonth").val(rogueAlertConfig.auditMonth);
        $("#auditDir").val(rogueAlertConfig.auditPublishPath);
        initialSettingsForIPAM();
        if(rogueAlertConfig.emailOption !== 0){
            $("#toAdd").val(rogueAlertConfig.toAddress);
        }
    },UpdateAlertSettings:function(){
        var roguesettingssurl = getOpUtilsSettingsAPIURL()+"&operation=UPDATE_ROGUE_ALERT_SETTINGS";//No I18N
        var isSelectedAlert = document.getElementById("mailRelated").style.display;
        if(isSelectedAlert !== "none"){
            var emailAddr = $("#toAdd").val();
            if(emailAddr.length === 0 || !validateEmailAddress(emailAddr)){
                alert(Ember.I18n.t('opu.mail.PLEASE_ENTER_YOUR_EMAIL_ADDRESS',this));//No I18N
                $("#toAdd").focus();
                return false;
            }
            roguesettingssurl += "&mailOption=true&toAddress="+emailAddr;//NO I18N
        }else{
            roguesettingssurl += "&mailOption=false";//NO I18N
        }
        var auditDir = trimAll($("#auditDir").val());
	if(auditDir === "" || auditDir === undefined)
	{
            alert(Ember.I18n.t("opu.common.SPECIFY_PUBLISH_DIRECTORY",this));//NO I18N
            $("#auditDir").focus();
            return false;
	}
        var auditMonth = trimAll($("#auditMonth").val());
        roguesettingssurl += "&auditMonth="+auditMonth+"&auditDir="+auditDir+getSelectedEmailAlerts("MAIL")+getSelectedEmailAlerts("SYS");//NO I18N 
        updateSettingsPage(roguesettingssurl);
        rogueSettingsValues = null;
    }
});
OpUtilsClient.SettingsIPAMAPIView = Ember.View.extend({
    templateName: 'IPAMSettings', //No I18N
    didInsertElement: function() {
        $("#APISettingsDiv").show();
        $("#keyGen").hide();
        $("#apiform").hide();
        document.getElementById("apiKeyVal").innerHTML = window.apiKey;//No I18N
//         Calendar.setup({
//            inputField     :    "updateDate", 
//            ifFormat       :    "%Y/%m/%d, %I:%M %p", 
//            button         :    "updateButton", 
//            align          :    "BR", 
//            showsTime      :    false,
//            dateStatusFunc :    disallowDateBefore,
//            singleClick    :    true });
    }
});
OpUtilsClient.SettingsIPAMSchedulerView = Ember.View.extend({
    templateName: 'OpUitlsCreateGroup', //No I18N
    didInsertElement: function() {
    document.getElementById("availablereports").innerHTML = Ember.I18n.t('opu.ipam.AVAILABLE_SUBNETS',this);//No I18N
    document.getElementById("selectedeports").innerHTML = Ember.I18n.t('opu.ipam.SELECTED_SUBNETS',this);//No I18N
    $("#ipamtaps").show();
    var currentDate = new Date();
    $("#HourlyHour").val(currentDate.getHours());
    $("#HourlyMinutes").val(currentDate.getMinutes());
    $("#periodDetTab").tabs(
    {
        activate: function(event, ui) 
        {
            var hrefOfSelTab = ui.newTab.find("a").attr("href"); //No I18N                               
            OpUtilsClient.ReportsController.scheduleReportType = hrefOfSelTab.split("#")[1];
            currentDate = new Date();
            $(hrefOfSelTab+"Hour").val(currentDate.getHours());
            $(hrefOfSelTab+"Minutes").val(currentDate.getMinutes());
        }
    });
    var getallsubnetsurl = getOpUtilsSettingsAPIURL()+"&operation=GET_SCHEDULED_SUBNET_LIST";//No I18N
        $.ajax(
        {
            url: getallsubnetsurl,
            type: 'GET', //No I18N
            async :false,
            success: function(jsonData)
            {
                var arrObj = {'allAvailDevices':jsonData.result.availablesubnets,'allSelectedDevices':""}
                OpUtilsClient.SettingsArrayController.set("availabledevices",arrObj); //No I18N
            }
        });
    },addNewSchedulerGroup : function(){
        var scheduleType = OpUtilsClient.ReportsController.scheduleReportType;
        if(scheduleType === undefined){
            OpUtilsClient.ReportsController.scheduleReportType = "Hourly";//NO I18N
            scheduleType = OpUtilsClient.ReportsController.scheduleReportType;
        }
        var addipamgroup = getOpUtilsSettingsAPIURL()+"&operation=ADD_IPAM_SCHEDULER&actionFrom=saveAddNewGroup&saveGroupConfig=Save&subnetSchTask=ipv4&owner="+window.oputilsUserName;//No I18N
        if(!validateNewSchedulerGroupConfig("IPAM")){
            return false;
        }
        
        var selectedDevices ="";
        var isFirstDevice = true;
        $('#selectedReport option').each(function(){
            if(isFirstDevice){
               selectedDevices +=this.value;
            }else{
                selectedDevices +=","+this.value;//NO I18N
            }
            isFirstDevice = false;
        });
        if(!isFirstDevice){
            addipamgroup += "&selectedSubnetID="+selectedDevices;//NO I18N
        }
        addipamgroup += "&GROUP_NAME_NEW="+$('#GROUP_NAME').val();//NO I18N
        var enabledSche = $('input[type=radio][name=EnableDisableSch]:checked').val();
        if(enabledSche === "Enabled"){
            addipamgroup += "&SCHEDULE_TYPE="+scheduleType+"&adminStatus=Enabled";//NO I18N
            checkRecurrenceValues();
            var hourVal = $("#"+scheduleType+"Hour").val();
            var minutesVal = $("#"+scheduleType+"Minutes").val();
            
            if(scheduleType == 'Weekly')
            {
                var weeks = "";
                $('input[name=WEEKLY_DAYS]:checked').each(function(){
                    weeks += "&WEEKLY_DAYS="+this.value;//NO I18N
                });
                
                addipamgroup += weeks+"&WEEKLY_START_TIME_HOUR="+hourVal+"&WEEKLY_START_TIME_MIN="+minutesVal;//NO I18N
                
            }
            else if(scheduleType == 'Monthly')
            {
                 var months = "";
                $('input[name=MONTHLY_MONTHS]:checked').each(function(){
                    months += "&MONTHLY_MONTHS="+this.value;//NO I18N
                });
                addipamgroup += months+"&MONTHLY_START_TIME_HOUR="+hourVal+"&MONTHLY_START_TIME_MIN="+minutesVal;//NO I18N
            }
            else if(scheduleType == 'Daily')
            {
                addipamgroup += "&DAILY_START_TIME_HOUR="+hourVal+"&DAILY_START_TIME_MIN="+minutesVal;//NO I18N
            }
            else if(scheduleType == 'Hourly')
            {
                addipamgroup += "&HOURLY_START_TIME_HOUR="+hourVal+"&HOURLY_START_TIME_MIN="+minutesVal+"&HOURLY_INTERVAL="+$("#HOURLY_INTERVAL").val();//NO I18N
            }
        
        }else{
            addipamgroup +="&adminStatus=Disabled";//NO I18N
        }
        updateSettingsPage(addipamgroup);
    },cancelAddNewSchedulerGroup:function(){
        $("#SchedulerListView").show();
        $("#AddSchedulerView").hide();
    }
});
OpUtilsClient.SettingsNWMView = Ember.View.extend({
    templateName: 'IPAMSPMTopTabsSettings', //No I18N
    didInsertElement: function() {
        document.getElementById("IPAMSPMSettingsHeading").innerHTML = Ember.I18n.t('opu.views.PING',this)+" - "+Ember.I18n.t('opu.common.SETTINGS',this);//No I18N
        $("#nwmtabs").show();
    }
});
OpUtilsClient.SettingsNWMAlertRuleView = Ember.View.extend({
    templateName: 'nwmSettingsPage', //No I18N
    didInsertElement: function() {
        $("#AlertRuleDiv").show();
        var nwmdevicesurl = getOpUtilsNWMAPIURL()+"&operation=GET_NWM_DEVICES_LIST";//No I18N
        $.ajax(
        {
            url: nwmdevicesurl,
            type: 'GET', //No I18N
            async :false,
            success: function(jsonData)
            {
                jsonData.result.deviceList.splice(0,1);//removed "Global" device from Array..
                OpUtilsClient.SettingsArrayController.set("nwmDevicesList",jsonData.result); //No I18N
            }
        });
         var nwmAlertRuleSettings = getNWMSettingsObj("AlertRule");//NO I18N
        $("#warningRTThreshold").val(nwmAlertRuleSettings.warningRTThreshold);
        $("#specifyPoll").val(nwmAlertRuleSettings.pollMissedCount);
        $("#mailID").val(nwmAlertRuleSettings.toAdd);
        $("#EscaltoAdd").val(nwmAlertRuleSettings.alertEsMailID);
        $("#polExceedWarning").val(nwmAlertRuleSettings.pollCriticalCount);
        if(nwmAlertRuleSettings.emailAlertEnabled === "true")
        {
            $("#checkClickStatus").prop("checked",true);
        }
        if(nwmAlertRuleSettings.esacalationEnabled === "true")
        {
            $("#EnaEscalID").prop("checked",true);
        }
        if(nwmAlertRuleSettings.notifyOnWarning === "1")
        {
            $("#warningAlert").prop("checked",true);
        }
        if(nwmAlertRuleSettings.notifyOnNormal === "1")
        {
            $("#normalAlert").prop("checked",true);
        }
        if(nwmAlertRuleSettings.notifyOnDown === "1")
        {
            $("#criticalAlert").prop("checked",true);
        }
        checkEnableField();
        checkEscalationEnabled();
    },UpdateNWMSettings:function(){
        var bnwmsettingssurl = getOpUtilsSettingsAPIURL()+"&operation=UPDATE_NWM_ALERT_SETTINGS&actionFrom=globalAlertConfig";//No I18N
        
        if(!validateNWMAlertConfigInputs()){
            return false;
        }
        
        var device = $("#alertHostName").val();
        var warVal = trimAll($("#warningRTThreshold").val());
        var missedPoll = trimAll($("#specifyPoll").val());
        var polExceedWarning = trimAll($("#polExceedWarning").val());
        bnwmsettingssurl += "&saveGlobalAlertConfig=Save&alertHostName="+device+"&specifyPoll="+missedPoll+"&warningRTThreshold="+warVal;//NO I18N
       
        if($("#checkClickStatus").prop("checked")) {
            var toAddress = $("#mailID").val()
            bnwmsettingssurl += "&toAdd="+toAddress+"&selectMailOption=true";//NO I18N
            
            if($("#normalAlert").prop("checked")){
                bnwmsettingssurl += "&normalAlert=on";//NO I18N
            }else{
                bnwmsettingssurl += "&normalAlert=off";//NO I18N
            }
            if($("#warningAlert").prop("checked")){
                bnwmsettingssurl += "&warningAlert=on";//NO I18N
            }else{
                bnwmsettingssurl += "&warningAlert=off";//NO I18N
            }
            if($("#criticalAlert").prop("checked")){
                bnwmsettingssurl += "&criticalAlert=on";//NO I18N
            }else{
                bnwmsettingssurl += "&criticalAlert=off";//NO I18N
            }
        }
        
        if($("#EnaEscalID").prop("checked")) {
            var esAddress = $('#EscaltoAdd').val();
            bnwmsettingssurl += "&EnaEscalID=on&EscaltoAdd="+esAddress;//NO I18N
            if(polExceedWarning.length >0){
                bnwmsettingssurl += "&polExceedWarning="+polExceedWarning;//NO I18N
            }
        }
        if($("#alertHostName").val() === "Global") {
            bnwmsettingssurl += "&applyAll=Apply All";//NO I18N
        }
        updateSettingsPage(bnwmsettingssurl);
        nwmSettingsValues = null;
    }
});
OpUtilsClient.SettingsNWMEmailTempView = Ember.View.extend({
    templateName: 'nwmSettingsPage', //No I18N
    didInsertElement: function() {
        $("#EmailTempDiv").show();
        var emailTemplateSettings = getNWMSettingsObj("EmailTemplate");//NO I18N
        OpUtilsClient.SettingsArrayController.set("nwmEmailMsgTemp",emailTemplateSettings); //No I18N
        $("#mailSubject").val(emailTemplateSettings.mailSubject);
        $("#mailDescription").val(emailTemplateSettings.mailDescription);
    },UpdateNWMSettings:function(){
        var bnwmsettingssurl = getOpUtilsSettingsAPIURL()+"&operation=UPDATE_NWM_ALERT_TEMPLATE";//No I18N
        var subject = trimAll($("#mailSubject").val());
        var mailDesc = trimAll($("#mailDescription").val());
        if(subject === undefined || subject === ""){
            alert(Ember.I18n.t('opu.common.SUBJECT_CANNOT_BE_EMPTY',this));//No I18N
            $("#mailSubject").focus();
            return false;
        }
        if(mailDesc === undefined || mailDesc === ""){
            alert(Ember.I18n.t('opu.common.THIS_FIELD_CANNOT_BE_EMPTY',this));//No I18N
            $("#mailDescription").focus();
            return false;
        }
        if($("#normalid").prop("checked")){
            bnwmsettingssurl += "&status=0";//NO I18N
        }
        else if($("#warningid").prop("checked")){
            bnwmsettingssurl += "&status=1";//NO I18N
        }
        else if($("#criticalid").prop("checked")){
            bnwmsettingssurl += "&status=2";//NO I18N
        }
        bnwmsettingssurl += "&mailSubject="+subject+"&mailDescription="+mailDesc;//NO I18N
        updateSettingsPage(bnwmsettingssurl);
        nwmSettingsValues = null;
    }
});
OpUtilsClient.SettingsNWMCleanUpPolicyView = Ember.View.extend({
    templateName: 'nwmSettingsPage', //No I18N
    didInsertElement: function() {
        $("#CleanUpPolicyDiv").show();
        var nwmCleanUpSettings = getNWMSettingsObj("CleanUp");//NO I18N
        $("#COUNT").val(nwmCleanUpSettings.count);
        $("#NUMBEROFLINES").val(nwmCleanUpSettings.numberoflines);
        $("#MAINTAIN_NUMBER_OF_FILE").val(nwmCleanUpSettings.maintainNumberOfFile);
        if(nwmCleanUpSettings.historyStatus === 1)
        {
            $("#alertHisOption").prop("checked",true);
        }
    },UpdateNWMSettings:function(){
        var bwmsettingssurl = getOpUtilsSettingsAPIURL()+"&operation=UPDATE_NWM_CLEANUP";//No I18N
        var count = $("#COUNT").val();
        var noOfFile = $("#MAINTAIN_NUMBER_OF_FILE").val();
        var noOfLinesInFile = $("#NUMBEROFLINES").val();
        if(!validateAlertHistory()){
            return false;
        }
        bwmsettingssurl += "&COUNT="+count+"&NUMBEROFLINES="+noOfLinesInFile+"&MAINTAIN_NUMBER_OF_FILE="+noOfFile;//NO I18N
        if($("#alertHisOption").prop("checked")){
            bwmsettingssurl += "&HISTORY_STATUS=1";//NO I18N
        }else{
            bwmsettingssurl += "&HISTORY_STATUS=0";//NO I18N
        }
        updateSettingsPage(bwmsettingssurl);
        nwmSettingsValues = null;
    }
});
OpUtilsClient.SettingsBWMView = Ember.View.extend({
    templateName: 'IPAMSPMTopTabsSettings', //No I18N
    didInsertElement: function() {
        document.getElementById("IPAMSPMSettingsHeading").innerHTML = Ember.I18n.t('opu.tools.BANDWIDTH_MONITOR',this)+" - "+Ember.I18n.t('opu.common.SETTINGS',this);//No I18N
        $("#bwmtabs").show();
    }
});
OpUtilsClient.SettingsBWMAlertRuleView = Ember.View.extend({
    templateName: 'bwmSettingsPage', //No I18N
    didInsertElement: function() {
        $("#AlertRuleDiv").show();
        var bwmdevicesurl = getOpUtilsBWMAPIURL()+"&operation=GET_BWM_DEVICE_LIST";//No I18N
        $.ajax(
        {
            url: bwmdevicesurl,
            type: 'GET', //No I18N
            async :false,
            success: function(jsonData)
            {
                jsonData.result.deviceArray.splice(0,1);//removed "Global" device from Array..
                OpUtilsClient.SettingsArrayController.set("bwmDevicesList",jsonData.result); //No I18N
            }
        });
       var alertsRuleSettings = getBWMSettingsObj("AlertRule");//NO I18N
        if(alertsRuleSettings.mailOption === "1")
        {
            $("#checkClickStatus").prop("checked",true);
        }
        $("#warningThreshold").val(alertsRuleSettings.warningThreshold);
        $("#majorThreshold").val(alertsRuleSettings.majorThreshold);
        $("#criticalThreshold").val(alertsRuleSettings.criticalThreshold);
        $("#mailID").val(alertsRuleSettings.toAdd);
        showMailField("mailID","checkClickStatus");//NO I18N
        $("#alertType"+alertsRuleSettings.alertType).prop("checked",true);
    },UpdateBWMSettings:function(){
        var bwmsettingssurl = getOpUtilsSettingsAPIURL()+"&operation=UPDATE_BWM_ALERT_SETTINGS&actionFrom=alertConfigValue&saveAlertConfig=Save";//No I18N
        if(!validateAlertConfigBWMonitor("alertConfigValue")){
            return false;
        }
        var devicename = $("#alertHostName").val();
        var warning = $("#warningThreshold").val();
        var major = $("#majorThreshold").val();
        var critical = $("#criticalThreshold").val();
        bwmsettingssurl += "&alertHostName="+devicename+"&criticalThreshold="+critical+"&majorThreshold="+major+"&warningThreshold="+warning;//NO I18N
        
        if($("#checkClickStatus").prop("checked") === true){
            var email = $("#mailID").val();
            bwmsettingssurl += "&selectMailOption=true&toAdd="+email;//NO I18N
        }else{
            bwmsettingssurl += "&selectMailOption=false";//NO I18N
        }
        if($("#alertType1").prop("checked")){
            bwmsettingssurl += "&alertType=1";//NO I18N
        }
        else if($("#alertType2").prop("checked")){
            bwmsettingssurl += "&alertType=2";//NO I18N
        }
        else if($("#alertType3").prop("checked")){
            bwmsettingssurl += "&alertType=3";//NO I18N
        }
        updateSettingsPage(bwmsettingssurl)
        bwmSettingsValues = null;
    }
});
OpUtilsClient.SettingsBWMCleanUpPolicyView = Ember.View.extend({
    templateName: 'bwmSettingsPage', //No I18N
    didInsertElement: function() {
        $("#CleanUpPolicyDiv").show();
        var cleanUpPolicySettings = getBWMSettingsObj("CleanUp");//NO I18N
        $("#COUNT").val(cleanUpPolicySettings.count);
        $("#MAINTAIN_NUMBER_OF_FILE").val(cleanUpPolicySettings.maintainNumberOfFile);
        $("#NUMBEROFLINES").val(cleanUpPolicySettings.numberoflines);
        if(cleanUpPolicySettings.historyStatus === 1){
            $("#alertHisOption").prop("checked",true);
        }   
    },UpdateBWMSettings:function(){
        var bwmsettingssurl = getOpUtilsSettingsAPIURL()+"&operation=UPDATE_BWM_CLEANUP";//No I18N
        var count = $("#COUNT").val();
        var noOfFile = $("#MAINTAIN_NUMBER_OF_FILE").val();
        var noOfLinesInFile = $("#NUMBEROFLINES").val();
        if(!validateAlertHistory()){
            return false;
        }
        bwmsettingssurl += "&COUNT="+count+"&NUMBEROFLINES="+noOfLinesInFile+"&MAINTAIN_NUMBER_OF_FILE="+noOfFile;//NO I18N
        if($("#alertHisOption").prop("checked")){
            bwmsettingssurl += "&HISTORY_STATUS=1";//NO I18N
        }else{
            bwmsettingssurl += "&HISTORY_STATUS=0";//NO I18N
        }
        updateSettingsPage(bwmsettingssurl);
        bwmSettingsValues = null;
    }
});

