var defaultDomainName='';
var defaultDomainController='';
function fetchADDomainValues(){
   var req = AjaxAPI.getXMLHttpRequest();
   var url="IPAddressManager.do?actionFrom=fetchADDomainValues"; // No I18N
   req.open("POST", url, false);
   //document.getElementById('adScan').innerHTML="<div class=\"greentxt\" nowrap=\"\"><img src=\"/images/loading_img.gif\"/>&nbsp;Processing... Please Wait</div>";
   req.onreadystatechange = function(){
   if (req.readyState == 4){       
       if (req.status == 200){
          if(req.responseText!="null" && req.responseText!="-,-" && req.responseText!=""){
              var domainDetails=(req.responseText).split(",");
              defaultDomainName = domainDetails[0];
              defaultDomainController = domainDetails[1];
          }
          else{
              document.getElementById('defaultDomainName').value ='';
              document.getElementById('defaultDomainController').value ='';
          }
       }
    }
 };
req.send(null);
}


function addADDomain() // called from add/edit/approve subnet screens
{
        fetchADDomainValues();
        document.getElementById('adScan').innerHTML='';
	document.getElementById('AddADDomainDiv').style.display='';
	var subnetDiv = document.getElementById('addSwitchFiled');
	var mainDiv = document.getElementById('MainDiv');
	if(subnetDiv)
	{
		subnetDiv.style.display='none';
	}
	else if (mainDiv)
	{
		mainDiv.style.display='none';
	}
        if(defaultDomainName!='' || defaultDomainController!=''){
            document.getElementById('defaultDomainName').value = defaultDomainName;
            document.getElementById('defaultDomainController').value = defaultDomainController;
        }
//	defaultDomainName = document.getElementById('defaultDomainName').value;
	var defaultDomainFound = false;
	var domainSel = document.getElementById('adDomain');
// 	if(!domainSel)
// 	{
// 		domainSel = document.getElementById('adDomainID');
// 	}
		if(!domainSel)
		{
			domainSel = document.getElementById('domainName');
		}
	for(var i=0;i<domainSel.options.length;i++)
	{
		var opt = domainSel.options[i];
		if(opt.text == defaultDomainName)
		{
			defaultDomainFound = true;
			break;
		}
	}

	document.getElementById('WMILoginName').value = '';
	document.getElementById('WMIPassword').value = '';
	document.getElementById('WMIDomainName').value = '';
	document.getElementById('WMIDomainControllerName').value = '';

	if(!defaultDomainFound)
	{
		document.getElementById('WMIDomainName').value = document.getElementById('defaultDomainName').value;
		document.getElementById('WMIDomainControllerName').value = document.getElementById('defaultDomainController').value;
	}

         if(document.getElementById('mcDialogTitle'))
         {
            if(document.getElementById('dialogTitle')){
                document.getElementById('mcDialogTitle').value = document.getElementById('dialogTitle').innerHTML; //holds the original dialog title temporarily
                document.getElementById('dialogTitle').innerHTML=I18nUtil.getMsg('opu.addomain.ADD_AD_DOMAIN');
            }
        }

	if(document.getElementById("response_layer_user"))
	{
		document.getElementById("response_layer_user").innerHTML = '';
	} 
}

function cancelAddADDomainWindow()
{
	if(document.getElementById("requiredAction") && document.getElementById("requiredAction").value == 'AddToSelect')
	{
		var subnetDiv = document.getElementById('addSwitchFiled');
		var mainDiv = document.getElementById('MainDiv');
		if(subnetDiv)
		{
			subnetDiv.style.display='';
		}
		else if (mainDiv)
		{
			mainDiv.style.display='';
		}
		document.getElementById('AddADDomainDiv').style.display='none';

		if(document.getElementById('mcDialogTitle'))
		{
			document.getElementById('dialogTitle').innerHTML=document.getElementById('mcDialogTitle').value;
		}
		document.getElementById("response_layer").innerHTML = '';
	}
	else
	{
		closeDialog();
	}
}

function addADDomainFromMenu(menuItemName,refId,additionalParams,index)
{
    	var params='?uid='+new Date().getTime();
	var action = I18nUtil.getMsg('opu.common.ADD_DOMAIN');
	if(menuItemName == 'modifyWindowsCredential')
	{
	    action = I18nUtil.getMsg('opu.addomain.EDIT_DOMAIN_DETAILS');
	    var menuItemObj = getMenuItemObj(menuItemName);
	    var tblModel = getTableModel(refId);
	    var domainID  = tblModel.getValueAt(index,tblModel.getColumnIndex("ADDomain.DOMAIN_ID"));
		params+='&domainID='+domainID;
	}
	showURLInDialog(CONTEXT_PATH+'/wmiSettings.cc'+params,'position=absolute,top=150,left=250,width=500px,modal=yes,scrollbars=no,title='+action);//No I18N
}

function deleteWindowsCredential(menuItemName,refId,additionalParams,index)
{
   var menuItemObj = getMenuItemObj(menuItemName);
   var tblModel = getTableModel(refId);
   var domainID  = tblModel.getValueAt(index,tblModel.getColumnIndex("ADDomain.DOMAIN_ID"));
   var domainName  = tblModel.getValueAt(index,tblModel.getColumnIndex("ADDomain.DOMAIN_NAME"));

   var txt=I18nUtil.getMsg("opu.addomain.DELETE_DOMAIN_CONFIRMATION_DIALOG", new Array(domainName));
   var confirmtxt=confirm(txt);
   if (confirmtxt == false)
   {
       return false;
   }
   else
   {
       var actUrl = menuItemObj.getActionURL(refId,additionalParams,index);
       actUrl=actUrl+"&domainID="+domainID+"&domainName="+encodeURIComponent(domainName);//No I18N
       //menuItemObj.invokeActionURL(actUrl,refId);
       AjaxAPI.sendRequest({URL:actUrl,METHOD:"GET",TARGET:"_view_WindowsCredentialListView",ONSUCCESSFUNC:"onADDomainDelete"}); //No I18N
   }
}

function onADDomainDelete(resOptions, reqOptions)
{
	var msg = trim(resOptions.responseText);
	if(msg=='')
	{
		refreshSubView("WindowsCredentialListView"); //No I18N
		document.getElementById("mc_loading").removeClass("mcLoading");	//No I18N	
		document.getElementById("mc_loading").addClass("mcLoaded");		//No I18N
	}
	else
	{
		alert(msg);
	}
}

var adDomainSpChars="\"\'\\%&*+;,/(){}<>`:|";

function validateWinCredForm(form)
{
	document.getElementById("response_layer").innerHTML = '<img align="absmiddle" id="adScan" onclick="javascript:adScanNow()" src="/images/loading_img.gif"/> <span class="trapStatusTxtBold">'+I18nUtil.getMsg("opu.ipam.AD_VALIDATING")+'</span>';
	var inps = new Array();
	inps[0] = document.getElementById('WMILoginName');
	inps[1] = document.getElementById('WMIPassword');
	inps[2] = document.getElementById('WMIDomainName');
	inps[3] = document.getElementById('WMIDomainControllerName');

	for(var i=0;i<inps.length;i++)
	{
		var val = inps[i].value.trim();
		var label = inps[i].getAttribute('label');
		if(val=='')
		{
				document.getElementById("response_layer").innerHTML = '';
				setResponseLayerErrMsg(I18nUtil.getMsg("opu.addomain.LABEL_CANNOT_BE_EMPTY", new Array(label)));
				return false;
		}
		if(val.length>50)
		{
			document.getElementById("response_layer").innerHTML = '';
			setResponseLayerErrMsg(I18nUtil.getMsg("opu.addomain.LABEL_EXCEEDED_MAX_LENGTH", new Array(label)));
			return false;
		}
		if(i!=1)
		{
			for(var j=0;j<val.length;j++)
			{
				if(adDomainSpChars.indexOf(val.charAt(j)) > -1)
				{
					document.getElementById("response_layer").innerHTML = '';
					setResponseLayerErrMsg(I18nUtil.getMsg("opu.addomain.LABEL_CANNOT_HAVE_SPECIAL_CHARACTERS", new Array(label)));
					return false;
				}
			}
		}
	}

	var nonAdminUser = document.getElementById("NonAdminUser").value;
	//user validated as non admin from server side - brought back to client for user acceptance
	if(inps[0].value.trim() == nonAdminUser)
	{
		document.getElementById("SaveNonAdminUser").value = 'true';
	}
	else
	{
		document.getElementById("SaveNonAdminUser").value = 'false';
	}
	document.getElementById("DomainSaveButton").disabled = true;
	return AjaxAPI.submit(form);
}

function windowsCredOnSuccess(resOptions, reqOptions)
{
	document.getElementById("DomainSaveButton").disabled = false;
	var msg = trim(resOptions.responseText);
	var optionVals = msg.split(",");
	if(optionVals[0] == 'USER_NOT_ADMIN')
	{
		setResponseLayerInfoMsg(I18nUtil.getMsg("opu.addomain.ADD_AD_DOMAIN_LIMITED_PRIVILLEGES", new Array(optionVals[3],optionVals[2], optionVals[6])));
		document.getElementById('NonAdminUser').value = optionVals[3];
		return false;
	}
	else
	{
		document.getElementById('NonAdminUser').value = '';
	}
	if(document.getElementById("requiredAction") && document.getElementById("requiredAction").value == 'AddToSelect')
	{
		var adDomainSel = document.getElementById("adDomain");
// 		if(!adDomainSel)
// 		{
// 			adDomainSel = document.getElementById('adDomainID');
// 		}
		if(!adDomainSel)
		{
			adDomainSel = document.getElementById('domainName');
		}
		var opt = document.createElement('option');
		opt.value=optionVals[1];
		opt.text=optionVals[2];
		opt.setAttribute('domainName',optionVals[2]);
		opt.setAttribute('isAdmin',optionVals[3]);
		opt.setAttribute('userName',optionVals[4]);
		opt.selected=true;
                if(isNaN(optionVals[1]))
		{
//                    Due to I18N This Code is commented - Suresh (@see ADComputer.java validateDomainCredentials())
//			if(msg == 'Invalid username or password')
//			{
//                            msg = I18nUtil.getMsg("opu.ipam.INVALID_USERNAME_AND_PASSWORD_ADD_AD_DOMAIN");
//			}
			setResponseLayerErrMsg(msg);
			return false;
		}
		try
		{
			adDomainSel.add(opt,null); //Other than IE
		}
		catch(ex)
		{
			adDomainSel.add(opt); //IE
		}

		document.getElementById("response_layer").innerHTML = '';

		subnetDomainChange();

		if(document.getElementById("adScanImageTD"))
		{
			document.getElementById("adScanImageTD").style.display = '';
			document.getElementById("adScanMsgTD").style.display = '';
		}

		if(document.getElementById("confWinCredMsgTD"))
		{
			document.getElementById("confWinCredMsgTD").style.display = 'none';
		}

		cancelAddADDomainWindow();
	}
	else if(msg.length > 0 )
	{
//                    Due to I18N This Code is commented - Suresh (@see ADComputer.java validateDomainCredentials())
//			if(msg == 'Invalid username or password')
//			{
//				msg = I18nUtil.getMsg("opu.ipam.INVALID_USERNAME_AND_PASSWORD_ADD_AD_DOMAIN");
//			}
		setResponseLayerErrMsg(msg);
	}
	else
	{
		refreshView('WindowsCredentialListView'); //No I18N
		closeDialog();
	}

}

function subnetDomainChange()
{
	var selElem = document.getElementById('adDomain');
	if(selElem)
	{
		var selVal = selElem.options[selElem.selectedIndex];
		if(selVal.getAttribute('isAdmin')=='false')
		{
                    if(document.getElementById('DomainChooseDomainName')){
			document.getElementById('DomainChooseDomainName').innerHTML=selVal.getAttribute('domainName');
                    }//document.getElementById('DomainChooseUserName').innerHTML=selVal.getAttribute('userName');
                    if(document.getElementById('NonAdminUserMsg')){
			document.getElementById('NonAdminUserMsg').style.display='';
		}
		}
		else
		{
                    if(document.getElementById('NonAdminUserMsg')){
			document.getElementById('NonAdminUserMsg').style.display='none';
		}
	}
}
}

function setResponseLayerErrMsg(msg)
{
		var errMsg = "<div align='center' id='errorDiv' class='failureMsg'>"+
        "<table border='0' align='center' width='80%' class='resulttable'>"+
            "<tbody>"+
                "<tr>"+
                    "<td align='right' width='8%'>"+
                        "<input type='button' class='msgTypeBtn'/>"+
                    "</td> "+
                    "<td width='90%'>"+
                    "<div id='errorTD' class='txt'>"+msg+"</div>"+
                    "</td>"+
                "</tr>"+
            "</tbody>"+
        "</table>"+
		"</div>";
		document.getElementById("response_layer").innerHTML = errMsg;
}

function setResponseLayerInfoMsg(msg)
{
		var errMsg = "<div align='center' id='errorDiv' class='successMsg'>"+
        "<table border='0' align='center' width='80%' class='resulttable'>"+
            "<tbody>"+//No I18N
                "<tr>"+
                    "<td align='right' width='8%'>"+
                        "<input type='button' class='msgTypeBtn'/>"+
                    "</td> "+
                    "<td width='90%'>"+
                    "<div id='errorTD' class='txt'>"+msg+"</div>"+
                    "</td>"+
                "</tr>"+
            "</tbody>"+//No I18N
        "</table>"+
		"</div>";//No I18N
		document.getElementById("response_layer").innerHTML = errMsg;
}

function updateADScheduler(menuItemName,refId,additionalParams,index)
{
	var params='?uid='+new Date().getTime();
	showURLInDialog(CONTEXT_PATH+'/ipam/UpdateADScheduler.jsp'+params,'position=absolute,top=150,left=250,width=600px,modal=yes,scrollbars=no,title='+I18nUtil.getMsg("opu.ipam.UPDATE_AD_SCHEDULER"));//No I18N
}

function schedulerUpdateOnSuccess(resOptions, reqOptions)
{
	document.getElementById("response_layer").innerHTML = '';
	var msg = trim(resOptions.responseText);
	if(msg.length > 0 )
	{
		document.getElementById("response_layer").innerHTML = '<span class="redtxtbold" >'+msg+"</span>";
	}
	else
	{
		document.getElementById("response_layer").innerHTML = '<span class="trapStatusTxtBold">'+I18nUtil.getMsg("opu.ipam.AD_SCHEDULER_UPDATED_SUCCESSFULLY")+'</span>';
		//closeDialog();
	}
	refreshView('WindowsCredentialListView');
}

function showSchedularFieldValue()
{
     showSchedularField(document.schedulerForm.adminStatus.value)
}

function showSchedularField(status)
{
    var addSubnetLinkElem = document.getElementById("schedularViewID");

    if(status == "Enabled" || status == "Enable")
    {
         addSubnetLinkElem.className="txt";
     }
     else
     {
        addSubnetLinkElem.className="hide"
    }
}

function subnetAddWMIChange(wmiCheckBox)
{
	if(wmiCheckBox.checked)
	{
		document.getElementById("wmiScanTR").style.display='';
	}
	else
	{
		document.getElementById("wmiScanTR").style.display='none';
		document.getElementById("adDomain").value='-1';
	}
}

function scanOnClick()
{
	document.getElementById('adScanLink').style.display='none';
	document.getElementById('adScan').style.display='';
	adScanNow();
	setTimeout("refreshSubView('WindowsCredentialListView')",100);
}

function afterScan()
{
	if(document.getElementById('adScan') && document.getElementById('adScanLink'))
	{
		document.getElementById('adScan').style.display='none';
		document.getElementById('adScanLink').style.display='';
	}
}

