
    var sChars = "?:<>&%';,.\"_`\\+#";
    var valueSpChars = "?&%'\"_`\\+";
    
	function isHavingSpecialChars(sChars1, str)
	{
	    for (var i = 0; i <  str.length; i++)
	    {
	        if(sChars1.indexOf(str.charAt(i)) != -1)
	        {
	            return true;
	        }
	    }       
	    return false;
	}

function addColumn(menuItemName,refId,additionalParams,index)
{
	var tool;
	if(menuItemName == 'addIPAMCF')
	{
		tool = 'IPAM';
	}
	else if(menuItemName == 'addSPMCF')
	{
		tool = 'SPM';
	}
	var url = CONTEXT_PATH+'/ipam/AddCustomField.jsp?actionFor=addCustomField&uid='+new Date().getTime()+'&tool='+tool;//No I18N
    showURLInDialog(url,'top=150,left=250,,position=absolute,modal=yes,scrollbars=no,title='+I18nUtil.getMsg("opu.common.ADD_CUSTOM_COLUMN"))
}

function addNewColumn(tool, tableID)
{
    showURLInDialog(CONTEXT_PATH+'/ipam/AddCustomField.jsp?tool='+tool+'&tableID='+tableID+'&actionFor=addCustomField&uid='+new Date().getTime(),'top=150,left=250,position=absolute,modal=yes,scrollbars=no,title='+I18nUtil.getMsg("opu.common.ADD_CUSTOM_COLUMN"))
}
function addIPAMCustomColumn(menuItemName,refId,additionalParams,index)
{
    addNewColumn("IPAM",ipamcustomColTableId);//No I18N
}
function addCustomColumnByMenu(menuItemName,refId,additionalParams,index)
{
	if(menuItemName === 'addCustomColumnForSwitch1')
	{
		addNewColumn('SPM','SPMSwitchLevelCustomField');
	}
}

function modifyCFColumn(menuItemName,refId,additionalParams,index)
{
	var tblModel = getTableModel(refId);
	var tableID = tblModel.getValueAt(index,tblModel.getColumnIndex("CFTableList.TABLE_NAME"));
	var tool;
	if(menuItemName == 'modifyIPAMCFColumn')
	{
		tool = 'IPAM';
	}
	else if(menuItemName == 'modifySPMCFColumn')
	{
		tool = 'SPM';
	}
    var menuItemObj = getMenuItemObj(menuItemName);
    var tblModel = getTableModel(refId);
    var count = tblModel.getColumnCount();
    var url =CONTEXT_PATH+"/ipam/AddCustomField.jsp?tool="+tool+"&tableID="+tableID+'&';//No I18N
    for(var i = 0 ; i< count ; i++)
    {
        var colName = tblModel.getColumnName(i);
        var valueAt = tblModel.getValueAt(index,i); 
        url = url+""+colName+"="+encodeURIComponent(valueAt)+"&";
    }
    url = url +"actionFor=modifyCustomField&uid="+new Date().getTime();
    showURLInDialog(url,'top=150,left=250,position=absolute,modal=yes,scrollbars=no,title='+I18nUtil.getMsg("opu.common.ADD_CUSTOM_COLUMN"));
}

function deleteCFColumn(menuItemName,refId,additionalParams,index)
{
    
   var menuItemObj = getMenuItemObj(menuItemName);
   var tblModel = getTableModel(refId);
   var colInd1  = tblModel.getColumnIndex("CFColumnList.COLUMN_ID");
   var colInd2  = tblModel.getColumnIndex("CFColumnList.COLUMN_NAME");
   var colInd3  = tblModel.getColumnIndex("CFTableList.TABLE_NAME");
   var columnID = tblModel.getValueAt(index,colInd1);
   var columnName = tblModel.getValueAt(index,colInd2);
   var tableName = tblModel.getValueAt(index,colInd3);
 
   var txt= I18nUtil.getMsg("opu.common.ARE_YOU_SURE_WANT_TO_DELETE_COLUMN");
   var confirmtxt=confirm(txt);
   if (confirmtxt == false)
   {
       return false;
   }
   else
   {
       var actUrl = menuItemObj.getActionURL(refId,additionalParams,index);
       actUrl=actUrl+"&columnID="+columnID+"&columnName="+columnName+"&tableName="+tableName;
       menuItemObj.invokeActionURL(actUrl,refId);         
   }
}

function getColumnName(index)
{
    var temp = index.split("_");
    var cfName = temp[2];
    var tdef =cfName.split(".");
    var columnName = tdef[1];
    return columnName;
}

function getModifyCFValueParams(menuItemName,refId,additionalParams,index)
{
    var temp = index.split("_");
    var rowIndex = temp[0];
    var cfIndex = temp[1];
    var cfName = temp[2];
    var defaultText = temp[3];
    
    var pkColNames = index.split("$@#");
    var tdef =cfName.split(".");
    var tableName = tdef[0];
    var columnName = tdef[1];
    var tblModel = getTableModel(refId);
    
    if(pkColNames[1] == 'Resources.RESOURCEID')
    {
	    pkColNames[1] = 'IPResources.RESOURCEID';
	}
	
    var colInd  = ''+tblModel.getColumnIndex(pkColNames[1]); 
    var id = tblModel.getValueAt(rowIndex,colInd);
    var idName = pkColNames[1].substring(pkColNames[1].indexOf('.')+1,pkColNames[1].length);
    
    //var auditSource = document.getElementById('AuditSource').value;
    var auditSource = '';
    var auditSourceVal = null;
    if(document.getElementById('AuditSourceVal'))
    {
	    auditSourceVal = document.getElementById('AuditSourceVal').value;
    }
    if(!auditSourceVal)
    {
	    var auditSourceColInd = tblModel.getColumnIndex(document.getElementById('AuditSourceCol').value);
	    auditSourceVal = tblModel.getValueAt(rowIndex,auditSourceColInd);
    }
    var auditInfo = '';
    if(document.getElementById('AuditIndex'))
    {
        var auditInd = document.getElementById('AuditIndex').value;
        var auditIndCol = tblModel.getColumnIndex(auditSourceVal);
        var auditIndVal = tblModel.getValueAt(rowIndex,auditIndCol);
        if(pkColNames[1] == 'IPResources.RESOURCEID'){
            auditIndVal = document.getElementById('AuditSourceVal').value;
            var colIndex  = ''+tblModel.getColumnIndex('IPResources.IPADDRESS'); //No I18N
            auditInfo += auditInd+' '+tblModel.getValueAt(rowIndex,colIndex); //No I18N
            if(auditIndVal=='SubNetwork.NETWORKADDRESS'){
                auditIndVal = ''+tblModel.getValueAt(rowIndex,colIndex); //No I18N
            }
        }else if(pkColNames[1] == 'SwitchPort.RESOURCEID' && tableName == "SPMPortLevelCustomField"){//No I18N
            var switchNameIndex  = ''+tblModel.getColumnIndex('SPMInputConfig.SWITCHNAME'); //No I18N
            var ifindexIndex  = ''+tblModel.getColumnIndex('SPMInputConfig.SWITCHNAME'); //No I18N
            auditIndVal = tblModel.getValueAt(rowIndex,switchNameIndex); //No I18N
            var ifindex = tblModel.getValueAt(rowIndex,tblModel.getColumnIndex(pkColNames[2])); //No I18N
            auditInfo += auditInd+' '+ifindex
        }
        else{
            auditInd = "Subnet Address"; //No I18N
            auditInfo += auditInd+' '+auditIndVal;
        }
        auditSource += auditIndVal;
    }
    
    if(document.getElementById('AuditIndex1'))
    {
	    auditInfo += ' and '+document.getElementById('AuditIndex1').value + ' '+document.getElementById('AuditIndex1Val').value;
    }
    
    var colInd1;
    var id1;
    var idName1;
    
    if(pkColNames[2])
    {
	    colInd1  = ''+tblModel.getColumnIndex(pkColNames[2]); 
	    id1 = tblModel.getValueAt(rowIndex,colInd1);
	    idName1 = pkColNames[2].substring(pkColNames[2].indexOf('.')+1,pkColNames[2].length);
	}
	
    var cfValue = tblModel.getValueAt(rowIndex,cfIndex)
    if(cfValue == null)
    {
        cfValue = defaultText;
    }
    else if(cfValue.length == 0)
    {
	    cfValue='Not Defined';
    }
    if(auditSource == '' && tableName == "SPMSwitchLevelCustomField"){
        auditSource = "opu.common.SWITCH_LEVEL";//No I18N
    }
    var dialogParams = 'tableName='+tableName+'&columnName='+columnName+
    				'&name='+columnName+'&value='+encodeURIComponent(cfValue)+'&id='+id+'&idName='+idName+'&auditSource='+auditSource;//No I18N
    if(auditInfo.length > 0)
    {
	    dialogParams += '&auditInfo='+auditInfo;
    }
    if(idName1)
    {
	    dialogParams += '&idName1='+idName1+'&id1='+id1;
    }
    
    return dialogParams;
}

function modifyCFValue(menuItemName,refId,additionalParams,index)
{
	var columnName = getColumnName(index);
	var dialogUrl = CONTEXT_PATH+'/ipam/ModifyCFValue.jsp?'+getModifyCFValueParams(menuItemName,refId,additionalParams,index);//No I18N
	showModifyCFValueDialog(dialogUrl,columnName);
}

//mpPosX and mpPosY are mouse pointer positions, defined in CommonUtils.js
function showModifyCFValueDialog(dialogUrl,columnName)
{
	showURLInDialog(dialogUrl,'position=absolute,left='+(mpPosX-400)+',top='+(mpPosY+10)+',modal=yes,scrollbars=no,title='+I18nUtil.getMsg("opu.general.MODIFY_COLUMN", new Array(columnName)));
}

var cfFileAccessProcessEnded = true;
var cfFileExists = false;
var cfFileName;
var rowID;
var cfFileDirDownload;

function isCFFileExist(download)
{
	cfFileAccessProcessEnded = false;
	cfFileExists = false;
	
	var req = getAjaxRequestObj();
	
    req.onreadystatechange = function()
    {
	    try
	    {
	        if(req.readyState == 4)
	        {
	            if(req.status == 200)
	            {
	                var result = trim(req.responseText);
	                result1 = result.split(",");
	                if(result1[0] == "true")
	                {
	                    cfFileExists = true;
	                    cfFileDirDownload=result1[1];
	                }
	                cfFileAccessProcessEnded = true;
	            }
	        }
    	}
    	catch(err)
    	{
	    	cfFileAccessProcessEnded = true;
	    	alert(I18nUtil.getMsg("opu.general.ERROR_OCCURED_WITH_DESCRIPTION", new Array(err.description)));
    	}
    };
    
    var cfFileDir = document.getElementById('CFFileDir').value;
    var toolName = document.getElementById('toolName').value;
    var url = CONTEXT_PATH+'/framework/DownloadCFFile.jsp?actionFrom=isCFFileExist&fileName='+cfFileName+'&cfFileDir='+cfFileDir+'&toolName='+toolName+'&rowID='+rowID;//No I18N
    req.open("POST",url, true);
    req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    req.send(null);    
}

function waitForFileDownloadProcess(doNotCloseDialog)
{
	if(!cfFileAccessProcessEnded)
	{
		if(doNotCloseDialog)
		{
			setTimeout("waitForFileDownloadProcess(1)",100);
		}
		else
		{
			setTimeout("waitForFileDownloadProcess()",100);
		}
		return;
	}
	
	if(!cfFileExists)
	{
		alert(I18nUtil.getMsg("opu.general.MENTIONED_FILE_DOES_NOT_EXIST", new Array(cfFileName)));
	}
	else
	{
		if(!doNotCloseDialog)
		{
			closeDialog();
		}
		cfFileExists = false;
		var cfFileDir = document.getElementById('CFFileDir').value;
	    var toolName = document.getElementById('toolName').value;
		//var url = CONTEXT_PATH+'/framework/DownloadCFFile.jsp?actionFrom=DownloadCFFile&fileName='+cfFileName+'&cfFileDir='+cfFileDir;
		var url = '/CCFiles/'+toolName+'/'+cfFileDirDownload+'/'+cfFileName;//No I18N
		window.open(url);	
	}
}

function isCFFileExistDownload()
{
	isCFFileExist(true);
    setTimeout("waitForFileDownloadProcess()",100);
}

//The method name has to be renamed after edit icon is done
function openCFFileUploadDialog(menuItemName,refId,additionalParams,index)
{
	var columnName = getColumnName(index);
	var dialogUrl = CONTEXT_PATH+'/framework/EditCCFile.jsp?'+getModifyCFValueParams(menuItemName,refId,additionalParams,index)+'&dataType=FILE';//No I18N
	showModifyCFValueDialog(dialogUrl,columnName);
}

function downloadCustomFieldFile(e,refId,index)
{
	var objId;
    var tblModel = getTableModel(refId);
    rowID = tblModel.getValueAt(index,tblModel.getColumnIndex("IPResources.RESOURCEID"));//No I18N
    if(isIE())
    {
	    objId = e.srcElement.id;
    }
    else
    {
	    objId = e.target.id;
    }
    var temp = objId.split("_");
    var rowIndex = temp[0];
    var cfIndex = temp[1];
    cfFileName = tblModel.getValueAt(rowIndex,cfIndex);
    
	if(cfFileName == null)
	{
		alert(I18nUtil.getMsg("opu.general.FILE_DOES_NOT_EXIST"));
		return;
	}
	
	if(!cfFileAccessProcessEnded) // to stop multiple calls
	{
		alert(I18nUtil.getMsg("opu.general.FILE_DOWNLOAD_STILL_RUNNING"));
		return;
	}
	
    isCFFileExistDownload();	
}

function downloadCustomFieldFile_orig(e,refId,index)
{
    var tblModel = getTableModel(refId);
    var temp = index.split("_");
    var rowIndex = temp[0];
    var cfIndex = temp[1];
    var cfValue = tblModel.getValueAt(rowIndex,cfIndex)
    var cfName = temp[2];
    var defaultText = temp[3];
    
	if(cfValue == null)
	{
		openCFFileUploadDialog(menuItemName,refId,additionalParams,index);
		return;
	}
	
	if(!cfFileAccessProcessEnded) // to stop multiple calls
	{
		alert(I18nUtil.getMsg("opu.general.FILE_DOWNLOAD_STILL_RUNNING"));
		return;
	}
	
	var tblModel = getTableModel(refId);
	var cellColInd = tblModel.getColumnIndex(cfName);
	
	cfFileName = tblModel.getValueAt(rowIndex,cellColInd);
	isCFFileExistDownload();	
}

function downloadCustomFieldFileFromUploadWindow(cfFile,id)
{
	cfFileName = cfFile;
	rowID=id;
	isCFFileExist();
    setTimeout("waitForFileDownloadProcess(1)",100);
}

function waitForFileUploadProcess()
{
	if(!cfFileAccessProcessEnded)
	{
		setTimeout("waitForFileUploadProcess()",100);
		return;
	}
	
	if(cfFileExists)
	{
		var overwrite = confirm(I18nUtil.getMsg("opu.general.FILE_ALREADY_EXISTS_DO_YOU_WANT_TO_OVERWRITE", new Array(cfFileName)));
		if(overwrite)
		{
			cfFileUploadForm.submit();
		}
	}
	else
	{
		cfFileUploadForm.submit();
	}
}

var cfFileUploadForm;

function isCFFileExistUpload(form)
{
	cfFileUploadForm = form;
	isCFFileExist();
    setTimeout("waitForFileUploadProcess()",100);
}

function validateCFFileUpload(form)
{
		if(!cfFileAccessProcessEnded) // to stop multiple calls
		{
			alert(I18nUtil.getMsg("opu.general.FILE_DOWNLOAD_STILL_RUNNING"));
			return false;
		}
		
		var filePath = document.getElementById('uploadFile').value.trim();
		//IE returns full file path, FF returns only the file name
		if(filePath=='')
		{
			alert(I18nUtil.getMsg("opu.general.SELECT_FILE_TO_UPLOAD"));
			return false;
		}
		
		var fs = document.getElementById('fileSep').value.trim();
		
		document.getElementById('CFFileDir1').value = document.getElementById('CFFileDir').value;
		document.getElementById('toolName1').value = document.getElementById('toolName').value;
		cfFileName = filePath.substring(filePath.lastIndexOf('\\')+1,filePath.length);
		cfFileName = cfFileName.substring(cfFileName.lastIndexOf('/')+1,cfFileName.length);
		
		cfFileName = cfFileName.trim();
		
		if(cfFileName.length == 0)
		{
			alert(I18nUtil.getMsg("opu.general.INVALID_CHARACTERS_FOUND"));
			return false;
		}
		
		if(cfFileName.length > 2 && (cfFileName.substring(cfFileName.length-4,cfFileName.length) == '.jsp'))
		{
			alert(I18nUtil.getMsg("opu.general.FILE_EXTN_JSP_NOT_ALLOWED"));
			return false;
		}
		document.getElementById('fileName').value = cfFileName;
		
		isCFFileExistUpload(form);
		return false; //submitting is done after checking whether the file exists thru isCFFileExistUpload() call
}

function editCCFileFailure()
{
     document.getElementById("errorDiv").style.display='block';
     document.getElementById("errorTD").innerHTML = "File upload failed!";
     window.setTimeout("hideErrorDiv()",3000);
}

function uploadFileOnChange()
{
	document.getElementById("uploadSubmit").disabled=false;
}

function showCCHelp(tool)
{
	tool = tool.trim();
	var url;
	if(tool == 'IPAM')
	{
		url = '/help/addressmgmt/ip_address_manager_tool.html#Adding-Custom-Columns-to-the-IP-Address-Manager';
	}else if (tool === 'IPV6'){ // No I18N
        url = '/help/addressmgmt/ipv6/managing-ipv6-addresses.html'; // No I18N
	}
	else
	{
		url = '/help/network/switch_port_mapper_tool.html#Adding_Custom_Columns_to_the_Switch_Port_Mapper';
	}
	window.open(url);
}

function refreshCustomColumnViews()
{
	refreshIPMangerView("SPMInputView",true);//No I18N
	refreshIPMangerView("IPAddresssubnetView",true);//No I18N
	refreshIPMangerView("SPMSwitchResultView",true);//No I18N
	refreshIPMangerView("IPAddressAvailabilityView",true);//No I18N
}

