if (typeof scheduleViewForRefresh === 'function') {
scheduleViewForRefresh('IPV6SubnetSummary',8000); // No I18N
}
function ipv6DiscoveredTabClickCache(selectedTab){
    if(selectedTab !== null){
        sessionStorage.ipv6TabClick = selectedTab;
    }else if(selectedTab === null && sessionStorage.ipv6TabClick != null){ //jshint ignore:line
        selectedTab = sessionStorage.ipv6TabClick;
    }else if(selectedTab === null && sessionStorage.ipv6TabClick == null){ //jshint ignore:line
        sessionStorage.ipv6TabClick = 'local'; // No I18N
        selectedTab = sessionStorage.ipv6TabClick;
    }
    changeOPTab('ipv6-site-'+selectedTab,'ipv6Dis'); // No I18N
    return selectedTab;
}

function tabClick(selectedTab){
    selectedTab = ipv6DiscoveredTabClickCache(selectedTab);
    var url = "/ipv6/IPV6DiscoveredHosts.jsp"; // No I18N
    var id = "ipv6-discovered-tab-content"; // No I18N
    document.getElementById(id).innerHTML = "<div class='txt' style='padding: 15px 0px 15px 0px;width:100%;color: grey;'><div class='mcLoading' id='mc_loading'>"+I18N.getMsg('opu.common.LOADING_PL_WAIT')+"</div></div>";
    if (selectedTab.indexOf("global") !== -1) {
        url += "?isGlobal=true"; // No I18N
    }
    var myAnonFunction = function(response, reqOptions) {
        document.getElementById(id).innerHTML = response.getOnlyHtml();
    };
    AjaxAPI.sendRequest({URL: url, ONSUCCESSFUNC: myAnonFunction});
}

function ipv6SiteTabClickCache(selectedTab){
    if(selectedTab !== null){
        sessionStorage.ipv6SiteTabClick = selectedTab;
    }else if(selectedTab === null && sessionStorage.ipv6SiteTabClick != null){  //jshint ignore:line
        if(sessionStorage.ipv6SiteTabClick.indexOf("Subnet-Details") !== -1 && document.getElementById('ipv6-site-Subnet-Details').style.display === 'none'){
            sessionStorage.ipv6SiteTabClick = 'Summary'; // No I18N
            selectedTab = sessionStorage.ipv6SiteTabClick;
        }else{
            selectedTab = sessionStorage.ipv6SiteTabClick;
        }
    }else if(selectedTab === null && sessionStorage.ipv6SiteTabClick == null){  //jshint ignore:line
        sessionStorage.ipv6SiteTabClick = 'Summary'; // No I18N
        selectedTab = sessionStorage.ipv6SiteTabClick;
    }
    changeOPTab('ipv6-site-'+selectedTab,'ipv6Site'); // No I18N
    return selectedTab;
}

function ipSitePageTabClick(selectedTab) {

    selectedTab = ipv6SiteTabClickCache(selectedTab);
    var url = "/ipv6/IPV6SiteSummary.jsp"; // No I18N
    var id = "ipv6-site-tab-content"; // No I18N
    document.getElementById(id).innerHTML = "<div class='txt' style='padding: 15px 0px 15px 0px;width:100%;color: grey;'><div class='mcLoading' id='mc_loading'>"+I18N.getMsg('opu.common.LOADING_PL_WAIT')+"</div></div>";
    if (selectedTab.indexOf("Summary") !== -1) {
        url = "/ipv6/IPV6SiteSummary.jsp"; // No I18N
    } else if (selectedTab.indexOf("IP-Details") !== -1) {
	url = "/ipv6/IPV6SiteDetails.jsp"; // No I18N
    } else if (selectedTab.indexOf("History") !== -1) {
        url = "/ipv6/IPV6SiteHistory.jsp"; // No I18N
    } else if (selectedTab.indexOf("Alerts") !== -1) {
	document.getElementById(id).innerHTML = "<div class='txt' style='padding: 15px 0px 15px 0px;'>Coming Soon</div>"; // No I18N
        return;
    } else if (selectedTab.indexOf("Subnet-Details") !== -1) {
	url = "/ipv6/IPV6SubnetDetails.jsp"; // No I18N
    } 
    url+="?";
    var isV6Subnet=document.getElementById('isV6Subnet').value;
    if(isV6Subnet.trim().indexOf("true")!==-1){
        url+="&isV6Subnet="+isV6Subnet; // No I18N
    }
    
    var subnetIds = tree.getSelectedItemId().split("_")[2];
    if(subnetIds!==null && subnetIds.trim().length!==0){
        url+="&subnetIds="+subnetIds; // No I18N
    }
    subnetIds = null;
//    subnetIds = getSelectedIPV6SubSites();
    subnetIds = getSelectedIPV6LeafIds();
    if(subnetIds!==null && subnetIds.trim().length!==0){
        url+="&selSubnetsV6Leaf="+subnetIds; // No I18N
    }
    subnetIds = null;
    subnetIds = getSelectedAllSubItems();
    if(subnetIds!==null && subnetIds.trim().length!==0){
        url+="&selSubnetsV6SubItems="+subnetIds+tree.getSelectedItemId().split("_")[2]; // No I18N
    }else{
        url+="&selSubnetsV6SubItems="+tree.getSelectedItemId().split("_")[2]; // No I18N
    }
    if(document.getElementById('AVAILABILITY'))
        {
        var ipStatus = document.getElementById('AVAILABILITY').value;
        if(ipStatus !== ""){
            url+="&AVAILABILITY="+ipStatus;//No I18N
        }
    }
    if(document.getElementById('NICTYPE'))
    {
        var nicType = document.getElementById('NICTYPE').value;
        if(nicType !== ""){
            url+="&NICTYPE="+nicType;//No I18N
        }
    }
    var myAnonFunction = function(response, reqOptions) {
        document.getElementById(id).innerHTML = response.getOnlyHtml();
    };
    AjaxAPI.sendRequest({URL: url, ONSUCCESSFUNC: myAnonFunction});
}

function ipTabClickCache(selectedTab){
    
    if(selectedTab != null){
        sessionStorage.ipv6IPTabClick = selectedTab;
    }else if(selectedTab == null && sessionStorage.ipv6IPTabClick != null){
        selectedTab = sessionStorage.ipv6IPTabClick;
    }else if(selectedTab == null && sessionStorage.ipv6IPTabClick == null){
        sessionStorage.ipv6IPTabClick = 'Summary'; // No I18N
        selectedTab = sessionStorage.ipv6IPTabClick;
    }
    changeOPTab('ipv6-ip-'+selectedTab,'ipv6IP'); // No I18N
    return selectedTab;
}

function ipTabClick(selectedTab,ipv6ID,ipv6Address) {
    selectedTab = ipTabClickCache(selectedTab);
    var url= "/ipv6/IPV6IPSummary.jsp?"; // No I18N
    var id = "ipv6-level-tab-content"; // No I18N
    document.getElementById(id).innerHTML = "<div class='txt' style='padding: 15px 0px 15px 0px;color: grey;'><div class='mcLoading' id='mc_loading'>"+I18N.getMsg('opu.common.LOADING_PL_WAIT')+"</div></div>";
    if (selectedTab.indexOf("Summary") !== -1) {
        url = "/ipv6/IPV6IPSummary.jsp?"; // No I18N
    } else if (selectedTab.indexOf("MacDetails") !== -1) {
        alert("Coming Soon"); // No I18N
    } else if (selectedTab.indexOf("PortDetails") !== -1) {
        alert("Coming Soon"); // No I18N
    } else if (selectedTab.indexOf("History") !== -1) {
        url = "/ipv6/IPV6IPHistory.jsp?"; // No I18N
    } else if (selectedTab.indexOf("Alerts") !== -1) {
		alert("Coming Soon"); // No I18N
    }
    url += "&ipv6ID="+ipv6ID+"&ipv6Address="+ipv6Address; // No I18N
    var myAnonFunction = function(response,reqOptions){
        document.getElementById(id).innerHTML = response.getOnlyHtml();
    };
    AjaxAPI.sendRequest({URL:url,ONSUCCESSFUNC:myAnonFunction}); // No I18N
}

function ajaxLoadDiv(url,divId){
    if (document.getElementById(divId) !== null) {
        document.getElementById(divId).innerHTML = "<div class='txt' style='padding: 15px 0px 15px 0px;color: grey;'><div class='mcLoading' id='mc_loading'>" + I18N.getMsg('opu.common.LOADING_PL_WAIT') + "</div></div>";
        var myAnonFunction = function(response, reqOptions) {
            if (document.getElementById(divId) !== null) {
                document.getElementById(divId).innerHTML = response.getOnlyHtml();
            }
        };
        AjaxAPI.sendRequest({URL: url, ONSUCCESSFUNC: myAnonFunction}); // No I18N
    }
}

var timerForDiscovery;
function startV6Discovery() {
    if(isIDC === "true")
    {
        alert(I18nUtil.getMsg("opu.common.ACTIONS_DISABLED_IN_ONLINE_DEMO"));//NO I18N
        return false;
    }
//    document.getElementById("ipv6-discovery-anchor").href = "#";
//    document.getElementById("ipv6-discovery-anchor").style.color = "grey";
//    document.getElementById("ipv6-discovery-anchor").classname = "anchorDisabled";  // No I18N
//    document.getElementById("ipv6-discovery-anchor").style.cursor = "default";
    var myAnonFunction = function(response,reqOptions){
        timerForDiscovery = setInterval(function(){isDiscoveryCompleted()},5000);
    };
    AjaxAPI.sendRequest({URL:'/IPV6.do?actionFrom=startV6Discovery',ONSUCCESSFUNC:myAnonFunction}); // No I18N
//    refreshSubView("IPV6OverAllPage"); // No I18N
}

function isDiscoveryCompleted() {

    var url = "/IPV6.do?actionFrom=isDiscoveryCompleted"; // No I18N
    var responseText = synchronousAjaxCall(url);
    if (responseText.indexOf("false") !== -1) {
        clearInterval(timerForDiscovery);
        refreshSubView("IPV6OverAllPage");  // No I18N
    }
}

function discoverV6FromMsgBoard(){
    startV6Discovery();
    tree.selectItem("GROUP_4",true,false); // No I18N
}

function ipv6ScanNow(ipv6Address) {

    var myAnonFunction = function(response,reqOptions){
        //refreshSubView("IPV6OverAllPage");
    };
    AjaxAPI.sendRequest({URL:'/IPV6.do?actionFrom=scanV6Ips&IPV6Address='+ipv6Address,ONSUCCESSFUNC:myAnonFunction}); // No I18N
    refreshSubView("IPV6DetailsPage"); // No I18N
}


function getSelectedIPV6Details(menuItemName,refId,additionalParams,index)
{
   var tblModel = getTableModel(refId);
   var colInd1  = tblModel.getColumnIndex("IPV6_DETAILS.IPV6_DETAILS_ID"); //NO I18N
   var colInd2  = tblModel.getColumnIndex("IPV6_DETAILS.IPV6_ADDRESS"); //NO I18N
   var ipv6Id = tblModel.getValueAt(index,colInd1);
   var ipv6Address = tblModel.getValueAt(index,colInd2);
   var url = "ipAddressManagerInputPage.cc?ipv6=true&ipv6IPLevel=true&ipv6Address="+ipv6Address+"&ipv6ID="+ipv6Id; // No I18N
   renderSubnetViewWithHeading(url,true);
}
function getIPV6DetailsFrmHistory(menuItemName,refId,additionalParams,index)
{
   var tblModel = getTableModel(refId);
   var colInd2  = tblModel.getColumnIndex("IPV6_HISTORY.IPV6_ADDRESS"); //NO I18N
   var ipv6Address = tblModel.getValueAt(index,colInd2);
   var url = "ipAddressManagerInputPage.cc?ipv6=true&ipv6IPLevel=true&ipv6Address="+ipv6Address; // No I18N
   renderSubnetViewWithHeading(url,true);
}

function getSelectedSubnetDetails(menuItemName,refId,additionalParams,index)
{
   var tblModel = getTableModel(refId);
   var colInd1  = tblModel.getColumnIndex("SUBNET_V6.SUBNET_V6_ID"); //NO I18N
//   var colInd2  = tblModel.getColumnIndex("IPV6_DETAILS.IPV6_ADDRESS"); //NO I18N
   var subnetID = tblModel.getValueAt(index,colInd1);
//   var ipv6Address = tblModel.getValueAt(index,colInd2);
//   var url = "IPV6DetailsPage.cc?ipv6Address="+ipv6Address+"&ipv6ID="+ipv6Id; //NO I18N
//   renderSubnetViewWithHeading(url,false);
    tree.selectItem("IPV6_SITE_"+subnetID,true); // No I18N
}

function addV6Ips(menuItemName,refId,additionalParams,index){

    alert('addv6IPs'); // No I18N
}

function backToIPv6Subnets() {
    var url = "ipAddressManagerInputPage.cc?ipv6=true&ipv6Site=true&"; // No I18N
    renderSubnetViewWithHeading(url, true);
}

function addv6Subnet(){
    addIPV6Prefix();
}

function addIPV6Prefix(itemID){
    var selItemText;
    var selItemId;
    var curID;
    if(!itemID){
        selItemText = tree.getSelectedItemText();
        selItemId = tree.getSelectedItemId()
        curID = tree.getSelectedItemId().split("_")[2];
    }else{
        selItemText = tree.getItemText(itemID);
        selItemId = itemID;
        curID = itemID.split("_")[2];
    }
    var cmpyName = tree.getItemText("GROUP_0"); // No I18N
    showURLInDialog('/ipv6/AddIPV6Prefix.jsp?addGlobalPrefix=false&curID='+curID+'&cmpyName='+cmpyName+'&selItemId='+selItemId+'&parentName='+encodeURIComponent(selItemText)+'&uid='+new Date().getTime(),'top=150,left=250,width=675,position=absolute,modal=yes,scrollbars=no,title='+I18nUtil.getMsg("opu.ipv6.ADD_IPV6_PREFIX")); // No I18N
}
function splitIPV6Prefix() {
    var selItemText;
    var selItemId;
    selItemText = tree.getSelectedItemText();
    selItemId = tree.getSelectedItemId().split("_")[2];
    showURLInDialog('/ipv6/IPV6ModifyPage.jsp?&actionFrom=splitIPV6Prefix&selItemId='+selItemId+'&selItemText='+encodeURIComponent(selItemText)+'&uid='+new Date().getTime(),'top=175,left=300,position=absolute,modal=yes,scrollbars=no,title='+I18nUtil.getMsg("opu.ipv6.SPLIT_IPV6_SUBNET")); // No I18N
}

function validatesplitIPV6Prefix(){
    var selItemText = document.getElementById('selItemText').value;
    var splitToLen = parseInt(document.getElementById('splitToLen').value);
    var selItemTextval = selItemText.split("/");
    if (selItemTextval.length === 2) {
        var actualPrefixLen = parseInt(selItemTextval[1]);
        if((actualPrefixLen===128) ||
                (actualPrefixLen === 127 && splitToLen !== 1) || 
                (actualPrefixLen === 126 && splitToLen !== 1 && splitToLen !== 2) 
                || (actualPrefixLen === 125 && splitToLen === 4)){
            alert(I18nUtil.getMsg("opu.ipv6.INVALID_IPV6_SPLITTING")); // No I18N
            return false;
        }
    }
    return true;
}

function editIPV6SubnetDescOnSuccess(resOptions, reqOptions)
{
    if(trim(resOptions.responseText).indexOf("true") !== -1){
        ipSitePageTabClick('Summary'); // No I18N
        closeDialog();
    }
}

function splitIPV6PrefixOnSuccess(resOptions, reqOptions)
{
    if(trim(resOptions.responseText).indexOf("true") !== -1){
        closeDialog();
        var itemId = tree.getSelectedItemId()
        loadTree();
        tree.selectItem(itemId,true,false);
		tree.openItem(itemId);
    }
}

function showAllNicTypes(args){
    var v6subnetId = "";
    if(document.getElementById("V6SubnetId")){
        v6subnetId = "&subnetIds="+document.getElementById("V6SubnetId").value;//No I18N
    }
    showURLInDialog("/IPV6NicTypePieChart.cc?&macPrefixAll=true&selSubnetsV6SubItems="+args+v6subnetId+'&uid='+new Date().getTime(),'top=100,left=100,width=400,position=absolute,modal=yes,scrollbars=no,title='+I18nUtil.getMsg("opu.ipv6.NIC_TYPE")); // No I18N
}
function addGlobalPrefix(source){
    if(source == null){
        showURLInDialog('/ipv6/AddIPV6Prefix.jsp?addGlobalPrefix=true'+'&uid='+new Date().getTime(),'top=150,left=250,width=600,position=absolute,modal=yes,scrollbars=no,title='+I18nUtil.getMsg("opu.ipv6.ADD_IPV6_PREFIX")); // No I18N
    }else{
        showURLInDialog('/ipv6/AddIPV6Prefix.jsp?addGlobalPrefix=true&source='+source+'&uid='+new Date().getTime(),'top=150,left=250,width=600,position=absolute,modal=yes,scrollbars=no,title='+I18nUtil.getMsg("opu.ipv6.ADD_IPV6_PREFIX")); // No I18N
    }
}

function addIPV6PrefixOnSubmit(addIpv6PrefixForm){
    if(validateForm(addIpv6PrefixForm)){
        document.getElementById('submitButton').disabled = 'disable'; // No I18N
        document.getElementById('submitButton').className = 'buttonDisabled';
        return AjaxAPI.submit(addIpv6PrefixForm);
    }else{
        return false;
    }
}

function addIPV6PrefixOnSuccess(resOptions, reqOptions)
{
    if(trim(resOptions.responseText).indexOf("true") !== -1){
        closeDialog();
        loadTree();
        var addedID = trim(resOptions.responseText).split("$$$");
        tree.selectItem("IPV6_SITE_"+addedID[1],true,false);
    }
}

function cancelIPV6AddPrefix(){
    ajaxLoadDiv('/ipv6/AddIPV6Prefix.jsp','outerOverAllId'); // No I18N
}

function isIpv6Address(formElementValue, formElement){
    formElement.setAttribute("errormsg", I18nUtil.getMsg("opu.ipv6.ENTER_VALID_IPV6_ADDRESS"));
    if(!isHexWithColon(formElementValue,formElement)){
//        formElement.setAttribute("errormsg", "my name is amar");
        return false;
    }
    var formObj = formElement.form;
    var prefixLengthValue = trimAll(formObj.elements.prefixLength.value); 
    var parentID = trimAll(formObj.elements.parentID.value);
    var url = "/IPV6.do?actionFrom=validateIPV6Prefix&prefixAddress=" + formElementValue + "&prefixLength=" + prefixLengthValue + "&parentID="+parentID;  //NO I18N
    var responseText = synchronousAjaxCall(url);
    if (responseText.indexOf("true") !== -1) {
        return true;
    } else {
        if (responseText.indexOf("$$$") !== -1) {
            var resArr = responseText.split("$$$");
            formElement.setAttribute("errormsg", resArr[1]);
        }
        return false;
    }
}

function getValidIpv6Example(parentID){
    if(parentID == null){ //jshint ignore:line
        parentID = "0";
    }else{
        parentID = parentID.value;
    }
    var myAnonFunction = function(response,reqOptions){
        document.getElementById("ipv6InfoText").innerHTML = response.getOnlyHtml();
    };
    AjaxAPI.sendRequest({URL:'/IPV6.do?actionFrom=getValidIpv6Example&parentID='+parentID,ONSUCCESSFUNC:myAnonFunction}); // No I18N
}

function validateParentID(formElementValue, formElement) {
    
    if(formElementValue == 0){ // jshint ignore:line
        return false;
    }
    return true;
}

function validatePrefixDesc(formElementValue, formElement) {
    formElement.setAttribute("errormsg", "");
    if (isNotEmpty(formElementValue)) {
        var len = formElementValue.length;
        if (len > 250) {
            formElement.setAttribute("errormsg", I18nUtil.getMsg("opu.common.CANNOT_EXCEED_NUM_CHAR", new Array('250')));
            return false;
        }
    }
    return true;
}

function validatePrefixName(formElementValue, formElement) {

    formElement.setAttribute("errormsg", I18nUtil.getMsg("opu.ipv6.THIS_FIELD_REQUIRED"));
    if (isSpclChar(formElementValue, formElement)) {
        var len = formElementValue.length;
        if(len > 40){
            formElement.setAttribute("errormsg", I18nUtil.getMsg("opu.common.CANNOT_EXCEED_NUM_CHAR", new Array('40')));
            return false;
        }
        var url = "/IPV6.do?actionFrom=validateIPV6PrefixName&ipv6PrefixName=" + formElementValue;  //NO I18N
        var responseText = synchronousAjaxCall(url);
        if (responseText.indexOf("true") !== -1) {
            return true;
        } else {
            //formElement.setAttribute("errormsg", "Already Exists");
			if (responseText.indexOf("$$$") !== -1) {
				var resArr = responseText.split("$$$");
				formElement.setAttribute("errormsg", resArr[1]);
			}
            return false;
        }
    }
    return false;

}

function synchronousAjaxCall(url) {
    var req = AjaxAPI.getXMLHttpRequest();
    req.open("POST", url, false);
    /*req.onreadystatechange = function() {
        if (req.readyState == 4) {
            if (req.status == 200) {
                if (req.responseText != "null") {
					
                }
            }
        }
    };*/
    req.send(null);
    return req.responseText;
}

function isHexWithColon(str,formElement)
{
    var objRegExp = /^[a-fA-F0-9\:]+$/;
    if (objRegExp.test(str)) {
        if(str.indexOf(":::") !== -1){
            return false;
        }else if(str.indexOf("::") === -1){
            var substrings = str.split(":");  
            if(substrings.length === 8){
                return true;
            }
        }else{
            var substrings = str.split("::");  
            if(substrings.length === 2){
                return true;
            }
        }
    }
    return false;
}

function fillIPCombo(ipv6Address,ipv6ID){
    var z=new dhtmlXCombo("dhtmlxComboIP","ipv6IPCombo",300); // No I18N
    var url = "/IPV6.do?actionFrom=getIPListInXml&selectedIpv6ID="+ipv6ID;  //NO I18N
    z.attachEvent("onChange", function(){
        ipTabClick(null, z.getSelectedText());
    }); 
    var responseText = synchronousAjaxCall(url);
    z.enableFilteringMode(true);
    z.enableOptionAutoWidth(true);
    z.loadXMLString(responseText);
}

function fillOptionsforPrefixLength(selectID,from,to){
    
    var counter = 0;
    document.getElementById(selectID).options[counter]=new Option("--"+I18nUtil.getMsg("opu.ipv6.SELECT_AN_OPTION")+"--", -1); // No I18N
    for (var i = from; i <= 128; i++)
    {
        document.getElementById(selectID).options[++counter]=new Option(i, i);
    }
}

function isSpclChar(formElementValue ,formElement){
    if(!isNotEmpty(formElementValue)){
        return false;
    }
    var iChars = "!@#$%^&*()+=[]\\\';,./{}|\":<>?";
    for (var i = 0; i < formElementValue.length; i++) {
        if (iChars.indexOf(formElementValue.charAt(i)) != -1) {
            formElement.setAttribute("errormsg", I18nUtil.getMsg("opu.common.ENTER_VALUE_WITHOUT_SPL_CHARS",new Array(iChars)));
            return false;
        }
    }
    return true;
}  

function getSelectedIPV6LeafIds()
{
    
    var subnetIds = tree.getAllSubItems(tree.getSelectedItemId());
    var netID = "";
    if (subnetIds)
    {
        var temp = subnetIds.split(",");    
        for (var i = 0; i < temp.length; i++)
        {
            var childID=temp[i];
            ch = tree.hasChildren(childID)
            if(ch === 0){
                var childids = childID.split("_");
                netID = netID + childids[childids.length - 1] + ",";
            }
        }
    }
    return netID;
}

function getSelectedAllSubItems()
{
    var subnetIds = tree.getAllSubItems(tree.getSelectedItemId());
    var netID = "";
    if (subnetIds)
    {
        var temp = subnetIds.split(",");    
        for (var i = 0; i < temp.length; i++)
        {
            var childID = temp[i];
            var childids = childID.split("_");
            netID = netID + childids[childids.length - 1] + ",";
        }
    }
    return netID;
}

function getSelectedIPV6SubSites()
{
    
    var subnetIds = tree.getSubItems(tree.getSelectedItemId());
    var netID = "";
    if (subnetIds)
    {
        var temp = subnetIds.split(",");    
        for (var i = 0; i < temp.length; i++)
        {
            var childID=temp[i];
//            ch = tree.hasChildren(childID)
//            if(ch !== 0){
                var childids = childID.split("_");
                netID = netID + childids[childids.length - 1] + ",";
//            }
        }
    }
    return netID;
}
function refreshIPDetailsPage(){
    var url = document.getElementById("V6IPDetailsUrl").value;
    var status = document.getElementById("V6IPStatusFilter").value;
	document.getElementById("AVAILABILITY").value=""
    url = url+"&IPStatus="+status;//No I18N
    var vendor = document.getElementById("VendorID").value;
    if(vendor !== '0'){
        url = url+"&VendorID="+vendor;//No I18N
    }
    ajaxLoadDiv(url,'ipv6SiteIpDetailViewTd')//No I18N
}

var discoverSubnetListTime;
var addSubnetListTime;

function showAddSubnetListLinks()
{
    document.getElementById("discoverSubnetList").className = "hide";
    document.getElementById("addSubnetList").className = "cascadesidebar";
    clearTimeObj();
}

function hideAddSubnetListLinks()
{
    addSubnetListTime = setTimeout(function() {
        document.getElementById("addSubnetList").className = "hide";
    }, 500);
}

function showDiscoverSubnetListLinks()
{
    document.getElementById("addSubnetList").className = "hide";
    document.getElementById("discoverSubnetList").className = "cascadesidebar";
    clearTimeObj();
}

function hideDiscoverSubnetListLinks()
{
    discoverSubnetListTime = setTimeout(function() {
        document.getElementById("discoverSubnetList").className = "hide";
    }, 500);
}

function clearTimeObj()
{
    clearTimeout(addSubnetListTime);
    clearTimeout(discoverSubnetListTime);
}
function moveIPV6Status(menuItemName,refId,additionalParams,index)
{
   var tblModel = getTableModel(refId);
   var colInd1  = tblModel.getColumnIndex("IPV6_DETAILS.IPV6_DETAILS_ID");//NO I18N
   var colInd2  = tblModel.getColumnIndex("IPV6_DETAILS.STATUS");//NO I18N
   var ipv6ID = tblModel.getValueAt(index,colInd1);
   var ipStatus = tblModel.getValueAt(index,colInd2);
   showURLInDialog('/ipv6/IPV6ModifyPage.jsp?Status='+ipStatus+"&IPV6_ID="+ipv6ID,'position=relative,modal=yes,scrollbars=no,width=350,height=80,title='+I18nUtil.getMsg("opu.common.MODIFY_STATUS"))//NO I18N
}
function modifyIPV6SubnetName(v6subnetId,subnetName,moreparams){
   showURLInDialog('/ipv6/IPV6ModifyPage.jsp?IPV6SubnetId='+v6subnetId+"&IPV6SubnetName="+subnetName+moreparams,'position=relative,modal=yes,scrollbars=no,title='+I18nUtil.getMsg("opu.ipv6.IPV6_MODIFY_SITE_OR_SUBNET"))//NO I18N
}
function modifyIPV6Description(v6subnetId,subnetDesc,moreparams){
   showURLInDialog('/ipv6/IPV6ModifyPage.jsp?actionFrom=editIPV6SubnetDesc&selItemId='+v6subnetId+"&IPV6SubnetDesc="+encodeURIComponent(subnetDesc)+moreparams,'position=relative,modal=yes,scrollbars=no,title='+I18nUtil.getMsg("opu.general.MODIFY_COLUMN", new Array("")))//NO I18N
}
function renameSiteOrSubnetName(v6subnetId, subnetName, moreparams) {
    var url = "/IPV6.do?actionFrom=getPrefixNameByID&prefixID="+v6subnetId; // No I18N
    var responseText = synchronousAjaxCall(url);
    showURLInDialog('/ipv6/IPV6ModifyPage.jsp?IPV6SubnetId=' + v6subnetId + "&IPV6SubnetName=" + responseText + "&refreshPage=FromTree", 'top=100,left=100,modal=yes,scrollbars=no,title=' + I18nUtil.getMsg("opu.ipam.MODIFY_SUBNET"))//NO I18N
}
function modifyIPV6SubnetName1(menuItemName,refId,additionalParams,index)
{
   var tblModel = getTableModel(refId);
   var colInd1  = tblModel.getColumnIndex("SUBNET_V6.SUBNET_V6_ID");//NO I18N
   var colInd2  = tblModel.getColumnIndex("SUBNET_V6.SUBNET_V6_NAME");//NO I18N
   var ipv6subnetId = tblModel.getValueAt(index,colInd1);
   var subnetName = tblModel.getValueAt(index,colInd2);
   modifyIPV6SubnetName(ipv6subnetId,subnetName ,"&refreshPage=SubnetDetails");//NO I18N
}
function V6IPStatusChangeAction(resOptions, reqOptions)
{
    var response = resOptions.responseText;
    if(response.trim() === 'V6 IP status changed successfully')//No I18N
    {
        refreshIPDetailsPage();//NO I18N
    }else{
        if(response.trim() === 'Subnet Name Successfully Updated'){//No I18N
            ipSitePageTabClick('Summary');//NO I18N
        }
        else if(response.trim() === 'Subnet Name Successfully Updated SubnetDetails'){//No I18N
            ipSitePageTabClick('Subnet-Details');//NO I18N
        }else if(response.trim() === 'Subnet Name Successfully Updated FromTree'){ // No I18N
            tree.selectItem(tree.getSelectedItemId(), true);
        }
        var itemId = tree.getSelectedItemId();
        loadTree();
        tree.selectItem(itemId,true,false);
    }
   closeDialog();
}
function V6IPHistoryFilter()
{
    
    var v6SubnetIds = "";
    if(document.getElementById("V6SubnetIds")){
        v6SubnetIds = "&selSubnetsV6SubItems="+document.getElementById("V6SubnetIds").value;//No I18N
    }
    var v6Id = "";
    if(document.getElementById("V6IpIdForHistory")){
        v6Id = "&ipv6Address="+document.getElementById("V6IpIdForHistory").value;//No I18N
    }

    var dateId = document.getElementById("V6IpHistoryDateId").value;
    var changesIn = document.getElementById("V6IpHistoryChangesIn").value;
    var customPeriod = "";
    if(dateId ==="cp"){
        var fromdate = document.getElementById('CP_FromDate').value;
        var todate = document.getElementById('CP_ToDate').value;
        customPeriod = "&fromDate="+fromdate+"&toDate="+todate;//No I18N
        var fromtodateforUI = synchronousAjaxCall("IPV6.do?actionFrom=V6HitoryCustomDate"+customPeriod);//NO I18N
        document.getElementById("showDatePeriod").innerHTML= fromtodateforUI;
    }
    var url = "/IPV6HistoryViewAll.cc?HistoryDateId="+dateId+"&changesIn="+changesIn+v6SubnetIds+v6Id+customPeriod;//NO I18N
    ajaxLoadDiv(url,'IPV6HistoryViewId')//No I18N
}
function IPV6HistoryCustomPeriodFilter()
{
    var dateId = document.getElementById("V6IpHistoryDateId").value;
    if(dateId ==="cp"){
        showURLInDialog('/report/CustomPeriodDate.jsp?customPeriodFor=ipV6History','position=absolute,modal=yes,top=350,left=450,width=250,scrollbars=no,title='+I18nUtil.getMsg("opu.common.CUSTOM_PERIOD"));//No I18N
    }else{
        if(dateId !== "All"){
            var fromtodate = synchronousAjaxCall("IPV6.do?actionFrom=V6HitoryDate&V6IpHistoryDateId="+dateId);//NO I18N
            document.getElementById("showDatePeriod").innerHTML=fromtodate;
        }else{
            document.getElementById("showDatePeriod").innerHTML="";//No I18N
        }
        V6IPHistoryFilter();
    }
}
function IPV6IPHistoryFilter()
{
    var v6Id = "";
    if(document.getElementById("V6IpIdForHistory")){
        v6Id = "&ipv6Address="+document.getElementById("V6IpIdForHistory").value;//No I18N
    }
    var dateId = document.getElementById("V6IpHistoryDateId").value;
    var changesIn = document.getElementById("V6IpHistoryChangesIn").value;
    var customPeriod = "";
    if(dateId ==="cp"){
        var fromdate = document.getElementById('CP_FromDate').value;
        var todate = document.getElementById('CP_ToDate').value;
        customPeriod = "&fromDate="+fromdate+"&toDate="+todate;//No I18N
        var fromtodateforUI = synchronousAjaxCall("IPV6.do?actionFrom=V6HitoryCustomDate"+customPeriod);//NO I18N
        document.getElementById("showDatePeriod").innerHTML= fromtodateforUI;
    }
    var url = "/IPV6HistoryView.cc?displayStatus=false&HistoryDateId="+dateId+"&changesIn="+changesIn+v6Id+customPeriod;//NO I18N
    ajaxLoadDiv(url,'IPV6HistoryViewId')//No I18N
}
function IPV6IPHistoryCustomPeriodFilter()
{
    var dateId = document.getElementById("V6IpHistoryDateId").value;
    if(dateId ==="cp"){
        showURLInDialog('/report/CustomPeriodDate.jsp?customPeriodFor=ipV6IPHistory','position=absolute,modal=yes,top=350,left=450,width=250,scrollbars=no,title='+I18nUtil.getMsg("opu.common.CUSTOM_PERIOD"));//No I18N
    }else{
        if(dateId !== "All"){
            var fromtodate = synchronousAjaxCall("IPV6.do?actionFrom=V6HitoryDate&V6IpHistoryDateId="+dateId);//NO I18N
            document.getElementById("showDatePeriod").innerHTML=fromtodate;
        }else{
            document.getElementById("showDatePeriod").innerHTML="";//No I18N
        }
        IPV6IPHistoryFilter();
    }
}

function selectIPDetailsFrmTotal(menuItemName,refId,additionalParams,index)
{
  selectIPDetailsFrmSubnet(menuItemName,refId,additionalParams,index,"Total");//NO I18N
}
function selectIPDetailsFrmAvailable(menuItemName,refId,additionalParams,index)
{
  selectIPDetailsFrmSubnet(menuItemName,refId,additionalParams,index,"Available");//NO I18N
}
function selectIPDetailsFrmUsed(menuItemName,refId,additionalParams,index)
{
    selectIPDetailsFrmSubnet(menuItemName,refId,additionalParams,index,"Used");//NO I18N
}
function selectIPDetailsFrmTranciant(menuItemName,refId,additionalParams,index)
{
    selectIPDetailsFrmSubnet(menuItemName,refId,additionalParams,index,"Transient");//NO I18N
}
function selectIPDetailsFrmNotScanned(menuItemName,refId,additionalParams,index)
{
    selectIPDetailsFrmSubnet(menuItemName,refId,additionalParams,index,"Not Scanned");//NO I18N
}
function selectIPDetailsFrmRLF(menuItemName,refId,additionalParams,index)
{
    selectIPDetailsFrmSubnet(menuItemName,refId,additionalParams,index,"Reverse Lookup Failed");//NO I18N
}
function selectIPDetailsFrmFLF(menuItemName,refId,additionalParams,index)
{
    selectIPDetailsFrmSubnet(menuItemName,refId,additionalParams,index,"Forward Lookup Failed");//NO I18N
}
function selectIPDetailsFrmFLIPMishmatch(menuItemName,refId,additionalParams,index)
{
    selectIPDetailsFrmSubnet(menuItemName,refId,additionalParams,index,"Forward Lookup IP Mismatch");//NO I18N
}
function selectIPDetailsFrmSubnet(menuItemName,refId,additionalParams,index,availability)
{
   var tblModel = getTableModel(refId);
   var colInd1  = tblModel.getColumnIndex("IPV6_SUMMARY.SUBNET_V6_ID");//NO I18N
   var ipv6ID = tblModel.getValueAt(index,colInd1);
   document.getElementById("isV6Subnet").value="true";//NO I18N
    document.getElementById("AVAILABILITY").value=availability;
    tree.selectItem("IPV6_SITE_"+ipv6ID);//NO I18N
    document.getElementById("ipv6-site-Subnet-Details").style.display="none";//NO I18N
    document.getElementById("ipv6SiteSpaceId").style.display="none";//NO I18N
    ipSitePageTabClick('IP-Details');//NO I18N
//    changeOPTab('ipv6-site-0-2','ipv6Site')//NO I18N
}

function ResposeOfDeleteV6SubnetFrmTree(resOptions, reqOptions)
{
    var msg = resOptions.responseText;
    if(msg !== null)
    {
        var txtID =  msg.split("@@@@");//No I18N
        if(txtID.length === 2){
            var gid = txtID[1].split(",");
            for(var i=0; i < gid.length; i++)
            {
                var gidName = trim(gid[i]);
                if(gidName !== ""){
                    tree.deleteItem("IPV6_SITE_"+gidName,true);//No I18N
                }
            }
            StatusMsgAPI.showMsg(txtID[0],'true');
            setTimeout("StatusMsgAPI.closeMsg('mc_msg')",500);// jshint ignore:line
        }
    }
    return false;
}

function selectIPAMNetworkTab(paramsList) {
    if (document.getElementById("nwinfo4") && document.getElementById("nwinfo4").className === "tabdeselectedtxt") {
        if (paramsList === undefined) {
            changeIPAMHomeTabs('ipAddressManager.cc', 'summary');//No I18N
        } else {
            changeIPAMHomeTabs('ipAddressManager.cc', 'summary', paramsList);//No I18N
        }
    }
}

function focusTextFeild(id){
    if(document.getElementById(id)){
        document.getElementById(id).focus();
    }
}
function selectTextFeild(id){
    if(document.getElementById(id)){
        document.getElementById(id).select();
    }
}

function showIPv6Edit(id){
    if(document.getElementById(id)){
        document.getElementById(id).style.display = 'inline';
    }
}

function hideIPv6Edit(id){
    if(document.getElementById(id)){
    document.getElementById(id).style.display = 'none';
    }
}

/*
 * Have Overridden the refreshScheduled method in ViewUtils.js file. As the refreshSubView need to be called with out useOldData arguments
 * Once the fix this we can remove this method
 */
window.refreshScheduled = function(viewUniqueId)
{
    if (!_RSC[viewUniqueId])
    {
        return;
    }
    if (!isViewVisible(viewUniqueId))
    {
        stopScheduledRefreshForView(viewUniqueId);
        return;
    }
    refreshSubView(viewUniqueId);
    if (_RSC[viewUniqueId] == -1) // jshint ignore:line
    {
        stopScheduledRefreshForView(viewUniqueId);
    }
    else
    {
        setTimeout("refreshScheduled('" + viewUniqueId + "')", _RSC[viewUniqueId]);
    }
}