
function addUser(menuItemName,refId,additionalParams,index)
{
   showURLInDialog(CONTEXT_PATH+'/framework/UserAddForm.jsp?condition=doNotCheckDomain','modal=yes,scrollbars=no,position=absmiddle,width=400px,title='+I18nUtil.getMsg("opu.common.ADD_USER"));
}
function genKeyUser(menuItemName,refId,additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemName);
    var tblModel = getTableModel(refId);
    var colInd1  = tblModel.getColumnIndex("AaaUser.FIRST_NAME"); //No I18N
    var colInd2  = tblModel.getColumnIndex("OpUtils_API_KEY.APIKEY"); //No I18N
    var colInd3  = tblModel.getColumnIndex("AaaLogin.DOMAINNAME");//No I18N
    var userName = tblModel.getValueAt(index,colInd1);
    var apiKey = tblModel.getValueAt(index,colInd2);
    var domainName = tblModel.getValueAt(index,colInd3);
    showURLInDialog(CONTEXT_PATH+'/framework/GenerateAPIKey.jsp?userName='+encodeURIComponent(userName)+'&apiKey='+apiKey+'&domainName='+domainName,'modal=no,scrollbars=no,position=absmiddle,width=380px,height=150px,title='+I18nUtil.getMsg("opu.common.GENERATE_API_KEY"));
}


function modKeyUser(userName,domainName){
    var date=null;
    if(domainName.indexOf('null')==-1){
        userName = domainName + "\\" +userName;
    }
     if(!document.getElementById('expiry').checked && !document.getElementById('never').checked){
         alert(I18nUtil.getMsg("opu.common.CHOOSE_AN_OPTION_TO_GENERATE_API_KEY"));
         return false;
     }
    if(document.getElementById('expiry').checked){
        date=document.getElementById('updateDate').value;
        if(date==""){
            alert(I18nUtil.getMsg("opu.common.PLEASE_ENTER_A_VALID_EXPIRY_DATE"));
            return false;
        }
    }
    document.getElementById('apiform').style.display='none';
    document.getElementById('apikey').style.display='';
    var myAnonFunction = function(response,reqOptions)
    {
        var resPart=AjaxUtils.extractFromResponse(response.responseText,"STATUS_MESSAGE"); //No I18N
        document.getElementById("apiKeyVal").innerHTML=resPart;
    };
    AjaxAPI.sendRequest({
        URL:CONTEXT_PATH+"/commonaction.do?actionFrom=genApiKey&expiryDate="+date+"&userName="+userName, //No I18N
        ONSUCCESSFUNC:myAnonFunction
    });
}

function modifyUser(menuItemName,refId,additionalParams,index)
{
   var menuItemObj = getMenuItemObj(menuItemName);
   var tblModel = getTableModel(refId);
   var colInd1  = tblModel.getColumnIndex("AaaUser.FIRST_NAME"); //No I18N
   var colInd2  = tblModel.getColumnIndex("AaaContactInfo.CONTACTINFO_ID"); //No I18N
   var colInd3  = tblModel.getColumnIndex("AaaContactInfo.EMAILID"); //No I18N
   var colInd4  = tblModel.getColumnIndex("AaaContactInfo.LANDLINE"); //No I18N
   var colInd5  = tblModel.getColumnIndex("AaaUser.DESCRIPTION"); //No I18N
   var colInd6  = tblModel.getColumnIndex("AaaRole.NAME"); //No I18N
   var colInd7  = tblModel.getColumnIndex("AaaLogin.DOMAINNAME");//No I18N
   var colInd8  = tblModel.getColumnIndex("AaaLogin.LOGIN_ID");//No I18N
   
   var userName = tblModel.getValueAt(index,colInd1);
   var contactInfoID = tblModel.getValueAt(index,colInd2);
   var emailid  = tblModel.getValueAt(index,colInd3);
   var pnumber= tblModel.getValueAt(index,colInd4);
   var desc = tblModel.getValueAt(index,colInd5);
   var role = tblModel.getValueAt(index,colInd6);
   var domainName = tblModel.getValueAt(index,colInd7);
   var loginID = tblModel.getValueAt(index,colInd8);
  // alert(CONTEXT_PATH+'/framework/UserModForm.jsp?condition=doNotCheckDomain&&userName='+encodeURIComponent(userName)+'&emailid='+emailid+'&pnumber='+pnumber+'&desc='+encodeURIComponent(desc)+'&role='+role+'&domainName='+domainName+'&contactInfoID='+contactInfoID);
   showURLInDialog(CONTEXT_PATH+'/framework/UserModForm.jsp?condition=doNotCheckDomain&&userName='+encodeURIComponent(userName)+'&emailid='+emailid+'&pnumber='+pnumber+'&desc='+encodeURIComponent(desc)+'&role='+role+'&domainName='+domainName+'&contactinfoID='+contactInfoID+'&loginID='+loginID,'modal=yes,scrollbars=no,position=absmiddle,width=450px,title='+I18nUtil.getMsg("opu.common.MODIFY_USER"));
}
function deleteUser(menuItemName,refId,additionalParams,index)
{

   var menuItemObj = getMenuItemObj(menuItemName);
   var tblModel = getTableModel(refId);
   var colInd1  = tblModel.getColumnIndex("AaaUser.FIRST_NAME"); //No I18N
   var colInd2  = tblModel.getColumnIndex("AaaLogin.DOMAINNAME"); //No I18N
   var userName = tblModel.getValueAt(index,colInd1);
   var domainName = tblModel.getValueAt(index,colInd2);
   if(userName == "admin"){
        alert(I18nUtil.getMsg("opu.general.ADMIN_USER_CANNOT_BE_DELETED"));
        return false;
   }
    else if(userName == "guest"){
        alert(I18nUtil.getMsg("opu.general.GUEST_USER_CANNOT_BE_DELETED"));
        return false;
   }
   else{
        var txt=I18nUtil.getMsg("opu.general.CONFIRMATION_DO_YOU_WANT_DELETE_USER", new Array(userName));
        var confirmtxt=confirm(txt);
        if (confirmtxt == false){
            return false;
        }
        else{
            var actUrl = menuItemObj.getActionURL(refId,additionalParams,index);
            actUrl=actUrl+"&userInAction="+encodeURIComponent(userName)+"&domainName="+encodeURIComponent(domainName)+"&action1=DELETE_USER";//No I18N
            menuItemObj.invokeActionURL(actUrl,refId);         
        }
   }
}

function checkPassword() {
    if(document.userAddForm.newUserPassword.value.length == 0) {
        setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PLEASE_ENTER_THE_PASSWORD"));
        document.userAddForm.newUserPassword.focus();
        return false;
    }if(document.userAddForm.confirmPassword.value.length == 0) {
        setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PLEASE_ENTER_THE_CONFIRM_PASSWORD"));
        document.userAddForm.confirmPassword.focus();
        return false;
    }
    if(document.userAddForm.newUserPassword.value.length < 4){
        setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PASSWORD_SHOULD_CONTAIN_ATLEAST_4_CHARS"));
        document.userAddForm.newUserPassword.focus();
        return false;
    }
    var password = document.userAddForm.newUserPassword.value;
    var confirmPassword = document.userAddForm.confirmPassword.value;
    if(password != confirmPassword) {
        setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PASSWORDS_DO_NOT_MATCH_RETYPE_THE_PASSWORD"));
        return false;
    }
    return true;
}

function validateAddUserInputs()
{
    var valueSpChars = "?&%'\"_`+";

	document.getElementById("response_layer").innerHTML = '';
	
    if(document.userAddForm.newUserName.value.length == 0)
	{
		setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PLEASE_ENTER_THE_USER_NAME"));
		document.userAddForm.newUserName.focus();
		return false;
	}
        var user = document.userAddForm.newUserName.value;
        var domainName = null;
        if(document.userAddForm.domainName){
            domainName = document.userAddForm.domainName.value;
        }
        if(domainName==null || domainName=='Local'){
                domainName =  ""; // No I18N
        }
/*
	if(isNumber(document.userAddForm.newUserName.value))
	{
		setResponseLayerErrMsgUser("User name not allowed as numbers.");//No I18N
		document.userAddForm.newUserName.focus();
		return false;
	}
	
	firstChar = user.substring(0,1);

	if(parseInt(firstChar) == firstChar)
	{
		setResponseLayerErrMsgUser("User name should not start with number.");//No I18N
		document.userAddForm.newUserName.focus();
		return false;
	}
*/
	for (i=0; i<user.length; i++) 
	{
		var ipChar = user.charCodeAt(i);
		//45 - '-'(hyphen) | 46 - '.'(period) | 92 - '\'(back slash) | 64 - '@'(at symbol) | 36 - '$''
		if ( ipChar != 45 && ipChar != 46 && ipChar != 92 && ipChar != 64 && ipChar != 36 && ipChar != 32 && (ipChar < 48 || (ipChar > 57 && ipChar < 65) || 
			(ipChar > 90 && ipChar != 95 && ipChar < 97 ) || (ipChar > 122 && ipChar <= 125)||
			ipChar == 126)) 
		{
			setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.USERNAME_CONTAIN_INVALID_CHARACTERS"));
			document.userAddForm.newUserPassword.focus();
			return false;
		}
	}
/*
	if(user.length < 4)
	{
		setResponseLayerErrMsgUser("Username should contain atleast 4 characters.");//No I18N
		document.userAddForm.newUserName.focus();
		return false;
	}
	*/
        var menuItemObj = getMenuItemObj("addUser");
        var tblModel = getTableModel("UserView");
        var rowCount=tblModel.getRowCount();
        var colInd1  = tblModel.getColumnIndex("AaaUser.FIRST_NAME"); //No I18N
         var colInd2  = tblModel.getColumnIndex("AaaLogin.DOMAINNAME"); //No I18N
        for(i=0;i<rowCount;i++)
        {
            var temp1 = tblModel.getValueAt(i,colInd1);
            var temp2 = tblModel.getValueAt(i,colInd2);
            var temp3 = ""; //No I18N
            if(temp2==null){
                temp2 = ""; // No I18N
            }
            else{
                temp3 = temp2+"\\"; // No I18N
            }
            if(user == trim(temp1) && domainName==temp2)
            {
                setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.USER_ALREADY_EXISTS",new Array(temp3,user)));
                document.userAddForm.newUserName.focus();
                return false;
            }
        }
        
        var authType = document.userAddForm.userAuthType;
        
    if(authType && authType[0].checked && !checkPassword()) {
                return false;
            }
    else if (authType && authType[1].checked)
    {
        var domainID = document.userAddForm.domainName.value;
        if(domainID == 'Local')
	    {
		    setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PLEASE_CHOOSE_AD_DOMAIN"));
		    return false;
	    }
    } else {
        var ret = checkPassword();
        if(!ret) {
            return ret;
        }
    }

    var urole = document.getElementById('userRole').value;
    if(urole == 'none') {
        setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PLEASE_SELECT_USER_ROLE"));
        return false;
    }
    
        if(document.userAddForm.newUserEmail.value.length > 0)
        {
            
            var filter = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;


            var toAddress = trim(document.userAddForm.newUserEmail.value);
            if(!filter.test(toAddress))
            {
                setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.mail.PLEASE_ENTER_YOUR_EMAIL_ADDRESS"));
                return false;
            }
                        
                
        }
        if(document.userAddForm.newUserPNumber.value.length > 0)
        {
            if(isNaN(document.userAddForm.newUserPNumber.value))
            {
                setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PLEASE_ENTER_A_VALID_PHONE_NUMBER"));
                return false;
            }
        }        

        var description = document.userAddForm.newUserDesc.value;
	if(isHavingSpecialChars(valueSpChars,description))
	{
		setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.DESCRIPTION_SHOULD_NOT_HAVE_SPL_CHARS", new Array(valueSpChars)));
		return false;
	}
    return true;
}



function validateModifyUserInputs()
{
    var valueSpChars = "?&%'\"_`+";
	document.getElementById("response_layer").innerHTML = '';
	
	if(document.modifyInputForm.userNewName.value.length == 0)
	{
		setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PLEASE_ENTER_THE_USER_NAME"));
		document.modifyInputForm.userNewName.focus();
		return false;
	}
        var user = document.modifyInputForm.userNewName.value;
/*
	if(isNumber(document.modifyInputForm.userNewName.value))
	{
		setResponseLayerErrMsgUser("User name as number not allowed.");//No I18N
		document.modifyInputForm.userNewName.focus();
		return false;
	}

	
    firstChar = user.substring(0,1);

    if(parseInt(firstChar) == firstChar)
    {
        setResponseLayerErrMsgUser("User name should not start with number.");//No I18N
        document.modifyInputForm.userNewName.focus();
        return false;
    }
*/
    for (i=0; i<user.length; i++)
    {
        var ipChar = user.charCodeAt(i);
        //45 - '-'(hyphen) | 46 - '.'(period) | 92 - '\'(back slash) | 64 - '@'(at symbol)
        if (ipChar != 45 && ipChar != 46 && ipChar != 92 && ipChar != 64 && ipChar != 36 && ipChar != 32 && (ipChar < 48 || (ipChar > 57 && ipChar < 65) ||
            (ipChar > 90 && ipChar != 95 && ipChar < 97 ) || (ipChar > 122 && ipChar <= 125)||
            ipChar == 126))
        {
            setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.USERNAME_CONTAIN_INVALID_CHARACTERS"));
            document.modifyInputForm.userNewName.focus();
            return false;
        }
    }

//	if(document.modifyInputForm.userNewName.value.length < 4)
//    {
//        setResponseLayerErrMsgUser("Username should contain atleast 4 characters.");//No I18N
//        document.modifyInputForm.userNewName.focus();
//        return false;
//    }
	
        /*
        if(authType == 'Local')
        {
	if(document.modifyInputForm.newPassword.value.length == 0)
	{
		setResponseLayerErrMsgUser("Please enter the password.");//No I18N
		document.modifyInputForm.newPassword.focus();
		return false;
	}
	if(document.modifyInputForm.ConfirmnewPassword.value.length == 0)
	{
		setResponseLayerErrMsgUser("Please enter the confirm password.");//No I18N
		document.modifyInputForm.ConfirmnewPassword.focus();
		return false;
	}

    if(document.modifyInputForm.newPassword.value.length < 4)
    {
        setResponseLayerErrMsgUser("Password should contain atleast 4 characters.");//No I18N
        document.modifyInputForm.newPassword.focus();
        return false;
    }
    var password = document.modifyInputForm.newPassword.value;
    var confirmPassword = document.modifyInputForm.ConfirmnewPassword.value;
    if(password != confirmPassword) {
        setResponseLayerErrMsgUser("Passwords do not match.");//No I18N
        return false;
    }
    
    }
    else
    */
        var authType = document.modifyInputForm.userAuthType.value;
    if(authType != 'Local')
    {
	    var domainName = document.modifyInputForm.domainName.value;
	    if(!domainName)
	    {
		    setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PLEASE_CHOOSE_AD_DOMAIN"));
		    return false;
	    }
    }
    
    
        if(document.modifyInputForm.newUserEmail1.value.length > 0)
        {           
            var filter = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;

            var toAddress = trim(document.modifyInputForm.newUserEmail1.value);
            if(!filter.test(toAddress))
            {
                setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.mail.PLEASE_ENTER_YOUR_EMAIL_ADDRESS"));
                return false;
            }                       
                
        }
        if(document.modifyInputForm.newUserPNumber1.value.length > 0)
        {
            if(isNaN(document.modifyInputForm.newUserPNumber1.value))
            {
                setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PLEASE_ENTER_A_VALID_PHONE_NUMBER"));
                return false;
            }
        }        
        
        var description = document.modifyInputForm.newUserDesc1.value;
	if(isHavingSpecialChars(valueSpChars,description))
	{
		setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.DESCRIPTION_SHOULD_NOT_HAVE_SPL_CHARS", new Array(valueSpChars)));
		return false;
	}
        
return true;
}

function modifyUsrPwd(menuItemName,refId,additionalParams,index)
{
   var menuItemObj = getMenuItemObj(menuItemName);
   var tblModel = getTableModel(refId);
   var colInd1  = tblModel.getColumnIndex("AaaUser.FIRST_NAME"); //No I18N
   var colInd2  = tblModel.getColumnIndex("AaaLogin.LOGIN_ID");//No I18N
   var colInd3  = tblModel.getColumnIndex("AaaLogin.DOMAINNAME");//No I18N
   
   var userName = tblModel.getValueAt(index,colInd1);
   var loginID = tblModel.getValueAt(index,colInd2);
   var domainName = tblModel.getValueAt(index,colInd3);
   
	showURLInDialog(CONTEXT_PATH+'/framework/UserPwdModForm.jsp?UserName='+encodeURIComponent(userName)+'&DomainName='+domainName,'modal=yes,scrollbars=no,position=absmiddle,width=450px,title='+I18nUtil.getMsg("opu.common.MODIFY_USER_PASSWORD"));
}

function validateUserPwd()
{
	if(document.modifyInputForm.newPassword.value.length == 0)
	{
		setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PLEASE_ENTER_THE_PASSWORD"));
		document.modifyInputForm.newPassword.focus();
		return false;
	}
	if(document.modifyInputForm.ConfirmnewPassword.value.length == 0)
	{
		setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PLEASE_ENTER_THE_CONFIRM_PASSWORD"));
		document.modifyInputForm.ConfirmnewPassword.focus();
		return false;
	}

    if(document.modifyInputForm.newPassword.value.length < 4)
    {
        setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PASSWORD_SHOULD_CONTAIN_ATLEAST_4_CHARS"));
        document.modifyInputForm.newPassword.focus();
        return false;
    }
    var password = document.modifyInputForm.newPassword.value;
    var confirmPassword = document.modifyInputForm.ConfirmnewPassword.value;
    if(password != confirmPassword) {
        setResponseLayerErrMsgUser(I18nUtil.getMsg("opu.common.PASSWORDS_DO_NOT_MATCH_RETYPE_THE_PASSWORD"));
        return false;
    }
    return true;
}


function confirmDeleteUser()
{
	if (confirm(I18nUtil.getMsg("opu.common.ARE_YOU_SURE_WANT_TO_DELETE_USER")))
	{
		return true;
	}
	else
	{
		return false;
	}
}

function cancelModifyValue()
{
	//document.modifyInputForm.newPassword.value = "";
        document.modifyInputForm.newUserEmail1.value = "";
        document.modifyInputForm.newUserPNumber1.value = "";
        document.modifyInputForm.newUserDesc1.value = "";
}

function cancelAddValue()
{
	document.inputForm.newUserName.value = "";
        document.inputForm.newUserPassword.value = "";
        document.inputForm.newUserEmail.value = "";
        document.inputForm.newUserPNumber.value = "";
        document.inputForm.newUserDesc.value = "";        
}

function sucessfullyAdd(resOptions, reqOptions)
{
	var msg = trim(resOptions.responseText);
	if(msg != 'null' && msg != 'Success')
	{
		setResponseLayerErrMsgUser(msg);
		return;
	}
    refreshSubView("UserView");
    closeDialog();
}

function  onAuthTypeChange(rb, addForm)
{
	var adDomainRow = document.getElementById('userADDomain');
	if(rb == 'Local')
	{
		if(addForm)
		{
		document.getElementById('userPwd').style.display='';
		document.getElementById('userPwd1').style.display='';
		}
		if(adDomainRow)
		{
			adDomainRow.style.display='none';
		}
	}
	else
	{
		if(addForm)
		{
		document.getElementById('userPwd').style.display='none';
		document.getElementById('userPwd1').style.display='none';
		}
		if(adDomainRow)
		{
			adDomainRow.style.display='';
		}
	}
}

function setResponseLayerErrMsgUser(msg)
{
		var errMsg = "<div align='center' id='errorDiv' class='failureMsg'>"+
        "<table border='0' align='center' width='80%' class='resulttable'>"+
            "<tbody>"+//No I18N
                "<tr>"+
                    "<td align='right' width='8%'>"+
                        "<input type='button' class='msgTypeBtn'/>"+
                    "</td> "+
                    "<td width='90%'>"+
                    "<div id='errorTD' class='txt'>"+msg+"</span>"; 
                    errMsg += "</div></td>"
                "</tr>"+
            "</tbody>"+//No I18N
        "</table>"+
		"</div>";
		document.getElementById("response_layer_user").innerHTML = errMsg;
}

