@echo off


call .\setCommonEnv.bat

IF !%1 == ! GOTO DISPLAY_USAGE
    set JAVA="%JAVA_HOME%\bin\java"
    set JAVA_OPTS= -Dserver.home="%SERVER_HOME%" -Ddb.home="%DB_HOME%" -Djava.library.path="%SERVER_HOME%\lib\native" -Djava.util.logging.manager="org.apache.juli.ClassLoaderLogManager" -Duser.language="en" -Dfile.encoding="utf8" -Ddb.migration.main.class="com.adventnet.netutils.dbm.OpUtilsDBMigration"

    set CLASS_PATH=%SERVER_HOME%\bin\run.jar;%SERVER_HOME%\lib\AdventNetNPrevalent.jar;%SERVER_HOME%\lib\tomcat\tomcat-juli.jar;%SERVER_HOME%\lib\tomcat\commons-logging-api.jar;

    %JAVA% %JAVA_OPTS%  -cp "%CLASS_PATH%" com.adventnet.mfw.Starter DBMigration %1
    goto END

:DISPLAY_USAGE
    echo Usage: 
    echo ..........................................................
    echo  OpUtilsDBMigration.bat ^<destinationDB^> 
    echo ..........................................................
    @echo destinationDB -^> value should be either mssql/postgres 
    goto End

:END


