	


var Attackd3Pie = function(container)
{
	container.innerHTML="";
	var that = {};	
	var config = 
	{
		width  : 180,
		height : 180,
		radius : 60,
		color  : d3.scale.category20()
	};	
	
	var svg = undefined;
	var pie = undefined;
	var arc = undefined;
	var legend = undefined;	
	var arcOver = d3.svg.arc()
    .innerRadius(config.radius - 20)
    .outerRadius(config.radius + 5);
	var tooltip =	d3.select("#tooltip");// No I18n
	function render(data)
	{
		svg = d3.select(container).append("svg").attr("width", config.width).attr("height", config.height).append("g").attr("transform", "translate(" + config.width/2 + "," + config.height/2 + ")");//No I18N
		
		pie = d3.layout.pie().startAngle(Math.PI/2)
		 .endAngle(-Math.PI/2).value(function(d) {return d.Value;});
		//legend = d3.layout.pie().value(function(d) {return d.Key;});		
		//arc = d3.svg.arc().outerRadius(config.radius)
		var myArray1 = [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20];    
		arc = d3.svg.arc()
		    .innerRadius(config.radius+70 - 80)
		    .outerRadius(config.radius+70 - 40);
		svg.datum(data);
		if(document.getElementById("grad0")===null)
		{			gradsvg = d3.select("body").append("svg").attr("width", 1).attr("height", 1).append("g").attr("transform", "translate(" + config.width/2 + "," + config.height/2 + ")");//No I18N

			var grads = gradsvg.append("defs").selectAll("linearGradient").data(myArray1)//No I18N
			    			.enter().append("linearGradient")//No I18N
			    			.attr("x1", "0%").attr("y1", "0%")//No I18N
					    	.attr("x2", "0%").attr("y2", "100%")//No I18N
			    			.attr("spreadMethod","repeat")//No I18N
			    			.attr("id", function(d, i)//No I18N
			    				{
			    					return "grad" + i; //No I18N
			    				});//No I18N
			
			grads.append("stop").attr("offset", "0%").style("stop-color", function(d, i) { return config.color(i); }).style("stop-opacity", "1");//No I18N
			grads.append("stop").attr("offset", "100%").style("stop-color", function(d, i){ return d3.rgb(config.color(i)).brighter(2);}).style("stop-opacity","1");//No I18N
		}
		var arcs=	svg.selectAll("path").data(pie).enter()// No I18n
		.append("svg:g")// No I18n
            .attr("class", "slice")// No I18n
            .attr("id", function(d,i) {// No I18n
            	var tableId=container.getAttribute("data-widgetelementid");// No I18n
            	return tableId +i;
               
            })
            .on("mouseover", function(d) {// No I18n
               
                    $("#tooltip").show();// No I18n
               
            })
            .on("mouseout", function(d) {// No I18n
                
                $("#tooltip").hide();// No I18n

                
                
            })
            .on("mousemove", function (d) {// No I18n
            		var value=Math.round((d.startAngle-d.endAngle)/(Math.PI)*100);
            		var html ='<p  style="margin: 0;    font-family: sans-serif;    font-size: 12px;    line-height: 20px;"><span ><b>' +d.data.Key + '</b> &nbsp;&nbsp;&nbsp;      '+d.data.Value+'</span></p>';// No I18n
            		tooltip.style("left", d3.event.pageX-230 + "px")// No I18n
        .style("top", d3.event.pageY-55+ "px")// No I18n
        .style("opacity", 1)// No I18n
        .html(html);
        
    	
});
		arcs.append("path")		// No I18n
		.attr("stroke", "white")// No I18n
		 .attr("stroke-width", 0)// No I18n
		.attr("fill", function(d, i) { return "url(#grad" + i + ")"; }).transition().ease("").duration(800).attrTween("d", arcTweenPie);	//No I18N// No I18n	
	}	
	that.render = render;
	
	function arcTweenPie(pieElement) 
	{
		pieElement.innerRadius = 0;
		var i = d3.interpolate({startAngle:-Math.PI/2 , endAngle:-Math.PI/2}, pieElement);
  		return function(t) { return arc(i(t)); };
	}

	return that;
};
