''var d3Pie = function(container)
{
	container.innerHTML="";
	var that = {};	
	var config = 
	{
		width  : 300,//540
		height : 300,
		radius : 120,
		color  : d3.scale.category20()
	};	
	if(container.id==="protocolPie")
	{
		
		config.width = 500;
		config.height=500;
		config.radius=220;
	}
	var svg = undefined;
	var pie = undefined;
	var arc = undefined;
	var legend = undefined;	

	var tooltip =	d3.select("#tooltip");// NO I18N
	function render(data)
	{
		svg = d3.select(container).append("svg").attr("width", config.width).attr("height", config.height).append("g").attr("transform", "translate(" + config.width/2 + "," + config.height/2 + ")");//No I18N
		
		pie = d3.layout.pie().startAngle(Math.PI)
		 .endAngle(-Math.PI).value(function(d) {return d.Value;});
		//legend = d3.layout.pie().value(function(d) {return d.Key;});		
		arc = d3.svg.arc().outerRadius(config.radius)
		var myArray1 = [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20];    
		/*arc = d3.svg.arc()
		    .innerRadius(config.radius+70 - 100)
		    .outerRadius(config.radius+70 - 50);*/
		svg.datum(data);
		if(document.getElementById("grad0")===null)
		{	
			gradsvg = d3.select("body").append("svg").attr("width", 0).attr("height", 0).append("g").attr("transform", "translate(" + config.width/2 + "," + config.height/2 + ")");//No I18N
			var grads = gradsvg.append("defs").selectAll("linearGradient").data(myArray1)//No I18N
			    			.enter().append("linearGradient")//No I18N
			    			.attr("x1", "0%").attr("y1", "0%")//No I18N
					    	.attr("x2", "0%").attr("y2", "100%")//No I18N
			    			.attr("spreadMethod","repeat")//No I18N
			    			.attr("id", function(d, i)//No I18N
			    				{
			    					return "grad" + i; //No I18N
			    				});//No I18N
			
			grads.append("stop").attr("offset", "0%").style("stop-color", function(d, i) { return config.color(i); }).style("stop-opacity", "1");//No I18N
			grads.append("stop").attr("offset", "100%").style("stop-color", function(d, i){ return d3.rgb(config.color(i)).brighter(2);}).style("stop-opacity","1");//No I18N
		}
		var arcs=	svg.selectAll("path").data(pie).enter()// NO I18N
		.append("svg:g")// NO I18N
            .attr("class", "slice")// NO I18N
            .attr("id", function(d,i) {// NO I18N
            	var tableId=container.getAttribute("data-widgetelementid");// NO I18N
            	return tableId +i;
               
            })
            .on("mouseover", function(d) {// NO I18N
                d3.select(this).select("path").transition()// NO I18N
                    .duration(200)
                   	 .attr("stroke-width",3)// NO I18N
                    .attr("d", arcOver)// NO I18N
                    $("#tooltip").show();// NO I18N
               
            })
            .on("mouseout", function(d) {// NO I18N
                d3.select(this).select("path").transition()// NO I18N
                    .duration(0)// NO I18N
                  	 .attr("stroke-width", 0)// NO I18N
                    .attr("d", arc);// NO I18N
                $("#tooltip").hide();// NO I18N

                
                
            })
            .on("mousemove", function (d) {// NO I18N
            		var value=Math.round((d.startAngle-d.endAngle)/(Math.PI*2)*100);
            		var html ='<p  style="margin: 0;    font-family: sans-serif;    font-size: 12px;    line-height: 20px;"><span ><b>' +d.data.Key + '</b> &nbsp;&nbsp;&nbsp;      '+value+'%</span></p>';// NO I18N
            		tooltip.style("left", d3.event.pageX-230 + "px")// NO I18N
        .style("top", d3.event.pageY-55+ "px")// NO I18N
        .style("opacity", 1)// NO I18N
        .html(html);
        
    	
});
		arcs.append("path")		// NO I18N
		.attr("stroke", "white")// NO I18N
		 .attr("stroke-width", 0)// NO I18N
		.attr("fill", function(d, i) { return "url(#grad" + i + ")"; }).transition().ease("").duration(500).attrTween("d", arcTweenPie);	//No I18N// NO I18N	
		svg.selectAll("path").data(pie).append("text").attr("transform", function(d) // NO I18N
				{
					return "translate(" + d.startAngle + ")"; //No I18N
				}).attr("dy", ".35em").style("text-anchor", "middle").text(function(d) // NO I18N
				{
					;return d.value;
				});
		
		/*
		count = 0;
		 var legend = svg.selectAll(".legend").data(pie).enter().append("g").attr("class", "legend").attr("legend-id", function(d)// NO I18N 
				{
					return count++;
				}).attr("transform", function(d, i) // NO I18N
				{
					return "translate(20," + (-120 + i * 20) + ")"; //No I18N
				});
		  
				legend.append("rect").attr("x", config.width / 4).attr("width",10).attr("height", 10).style("fill", function(d,i)   //No I18N
				{
					return config.color(i);
				});
				legend.append("text").attr("x", (config.width / 4)+20).attr("y", 4.5).attr("width", 100).style("text-anchor","right").attr("font-size","12px").attr("dy", ".35em").style("text-anchor", "start").text(function(d)// NO I18N 
				{
					if(d.data.Key.indexOf('(')!==-1)// NO I18N
					{return d.data.Key.substring(0,d.data.Key.indexOf('('));} //No I18N
					else
						{return d.data.Key;}
				});*/
		
	}	
	
	that.render = render;
	
	function arcTweenPie(pieElement) 
	{
		pieElement.innerRadius = 0;
		var i = d3.interpolate({startAngle: Math.PI*(-1), endAngle:Math.PI*(-1)}, pieElement);
  		return function(t) { return arc(i(t)); };
	}

	return that;
};


function pieLegend(cellValue, options, rowdata, action)
{	
	var k =options.rowId-1;
	if(cellValue==='Others')
	{
		return cellValue;
	}
	return '<svg  height="24"><g><rect x="0" y="10" width="8" height="8" style="fill:url(#grad'+ k +');"></rect><text x="20" y="14" dy=".35em" >'+cellValue+'</text></g></svg>';//No I18N
}
