	
var ipaddress_width = 90;
var deviceCate_width = 80;
var devicetype_width = 80;
var status_width = 80;
var imgIcon_width = 50;
var interfaceCount_width = 70;
var alarmsCount_width = 60;
var monitorsCount_width = 65;
var notifProfile_width = 85;
var time_width = 80;
var deviceName_width = 100;

var width40 = 40;
var width50 = 50;
var width60 = 60;
var width70 = 70;
var width80 = 80;
var width100 = 100;
var width110 = 110;
var width120 = 120;
var width130 = 130;


OpUtilsClient = Ember.Application.create();

/* Router Mappings */
OpUtilsClient.Router.map(function() {

    this.resource("Home", function() {//No I18N
        this.route("All"); //No I18N
    });
    this.resource("IPAM", function() {//No I18N
        this.route("Dashboard", {path: "/Dashboard/:dashName"}); //No I18N
        this.route("AllIPs"); //No I18N
        this.route("AddSubnet"); //No I18N
        this.route("AddAdDomain"); //No I18N
        this.route("AllAlerts"); //No I18N
        this.resource("IPAM.IPAddress", {path: "/IPAddress/:ipaddr"}, function(){ //No I18N
                this.route("Summary"); //No I18N
                this.route("History"); //No I18N
                this.route("Alerts"); //No I18N
            });
        this.resource("IPAM.Group", {path: "/Group/:groupName"}, function(){ //No I18N
            this.route("SubnetList"); //No I18N
            this.resource("IPAM.Group.Subnet", {path: "/Subnet/:subnetName"}, function(){ //No I18N
            this.route("Summary"); //No I18N
            this.route("IPs"); //No I18N
            this.route("History"); //No I18N
            this.route("Alerts"); //No I18N
            this.route("Edit"); //No I18N
            });
        });
        
    });
    this.resource("SPM", function() {//No I18N
        this.route("AddSwitch"); //No I18N
        this.route("Switches"); //No I18N
        this.route("AllPorts"); //No I18N
        this.route("AllAlerts"); //No I18N
        this.route("Dashboard", {path: "/Dashboard/:dashName"}); //No I18N
        this.resource("SPM.Group", {path: "/Group/:groupName"}, function(){ //No I18N
            this.route("EditSwitch",{path: "/EditSwitch/:switchname"}); //No I18N
            
        });
        this.resource("SPM.Switch", {path: "/Switch/:groupName/:switchName"}, function(){ //No I18N
            this.route("Summary"); //No I18N
            this.route("Ports"); //No I18N
            this.route("History"); //No I18N
            this.route("Alerts"); //No I18N
         
             });
        this.resource("SPM.Port", {path: "/Port/:groupName/:switchName/:ifindexnumber"}, function(){ //No I18N
        this.route("Summary"); //No I18N
        this.route("History"); //No I18N
        this.route("Alerts"); //No I18N
            
        });
    });
    this.resource("Rogue", function() {//No I18N
        this.route("Discovered"); //No I18N
        this.resource("Rogue.Devices", {path: "/Devices/:roguetype"}, function(){ //No I18N
        });
    });
    this.resource("NetworkMonitor", function() {//No I18N
        this.route("Hosts"); //No I18N
        this.route("Alerts"); //No I18N
        this.route("AddDevice"); //No I18N
    });
    this.resource("BWMonitor", function() {//No I18N
        this.route("Summary"); //No I18N
        this.route("Alerts"); //No I18N
        this.route("AddDevice"); //No I18N
    });
    this.resource("Reports", function() {//No I18N
        this.route("Network"); //No I18N
        this.route("AddCustomQuery"); //No I18N
        this.route("AddSchedulerReport"); //No I18N
        this.resource("Reports.IPAM", function(){//No I18N
            this.route("UnUsedIPsViewBySubnet"); //No I18N
            this.route("UnUsedIPsViewByIP",{path: "/UnUsedIPsViewByIP/:subnetaddr/:status"}); //No I18N
            this.route("ReservedStaticIPBySubnet"); //No I18N
            this.route("ReservedStaticIPByIP",{path: "/ReservedStaticIPByIP/:subnetaddr/:status"}); //No I18N
            this.route("IPUsageSummay"); //No I18N
            this.route("IPUsageSummayByIP",{path: "/IPUsageSummayByIP/:subnetaddr/:status"}); //No I18N
        });
        this.resource("Reports.SPM", function(){//No I18N
            this.route("SwitchesByUsage"); //No I18N
//            this.route("UnUsedIPsViewByIP",{path: "/UnUsedIPsViewByIP/:subnetaddr/:status"}); //No I18N
//            this.route("ReservedStaticIPBySubnet"); //No I18N
//            this.route("ReservedStaticIPByIP",{path: "/ReservedStaticIPByIP/:subnetaddr/:status"}); //No I18N
//            this.route("IPUsageSummay"); //No I18N
//            this.route("IPUsageSummayByIP",{path: "/IPUsageSummayByIP/:subnetaddr/:status"}); //No I18N
        });
        
    });
    this.resource("Tools", function() {//No I18N
        this.route("WMI"); //No I18N
    });
    this.resource("Settings", function() {//No I18N
        this.route("AddRouter"); //No I18N
        this.route("Routers"); //No I18N
        this.route("Users"); //No I18N
        this.route("AddUser"); //No I18N
        this.route("AdDomains"); //No I18N
        this.route("EditADDomain",{path: "/EditADDomain/:addomain"}); //No I18N
        this.route("EditRouter",{path: "/EditRouter/:router/:routerid"}); //No I18N
        this.route("EditUser",{path: "/EditUser/:user/:userid"}); //No I18N
        this.route("AddAdDomain"); //No I18N
        this.route("ChangePassword"); //No I18N
        this.route("Language"); //No I18N
        this.route("DBBackUp"); //No I18N
        this.route("DBMigration"); //No I18N
        this.route("OpUtilsAbout"); //No I18N
        this.resource("Settings.BasicSettings", function(){ //No I18N
            this.route("General"); //No I18N
            this.route("SNMP"); //No I18N
            this.route("SMTP"); //No I18N
            this.route("ICMP"); //No I18N
            this.route("Syslog"); //No I18N
            this.route("Graph"); //No I18N
            this.route("Linux"); //No I18N
        });
        this.resource("Settings.SPM", function(){ //No I18N
            this.route("General"); //No I18N
            this.route("Scheduler"); //No I18N
            this.route("ConfigAlerts"); //No I18N
            this.route("CustomColumn"); //No I18N
            this.route("Publish"); //No I18N
        });
        this.resource("Settings.IPAM", function(){ //No I18N
            this.route("General"); //No I18N
            this.route("Scheduler"); //No I18N
            this.route("ConfigAlerts"); //No I18N
            this.route("CustomColumn"); //No I18N
            this.route("Publish"); //No I18N
            this.route("CleanUpPolicy"); //No I18N
            this.route("API"); //No I18N
        });
        this.resource("Settings.Rogue", function(){ //No I18N
            this.route("ConfigAlerts"); //No I18N
        });
        this.resource("Settings.NWM", function(){ //No I18N
            this.route("AlertRule"); //No I18N
            this.route("EmailTemp"); //No I18N
            this.route("CleanUpPolicy"); //No I18N
        });
        this.resource("Settings.BWM", function(){ //No I18N
            this.route("AlertRule"); //No I18N
            this.route("CleanUpPolicy"); //No I18N
        });
    });
    
     this.resource("CFM", function() {//No I18N
        this.route("Devices"); //No I18N
        this.route("AddDevice"); //No I18N
    });
});


/* Application Controller */
OpUtilsClient.ApplicationController = Ember.Controller.extend({
    showLogin: true, //No I18N
    userName: "", //No I18N
    isAuthorized: window.isAuthorized, //No I18N
    apiClientUrl: window.apiclientUrl, //NO I18N
    
    productName: window.productName, //No I18N
    
    isOldUI: window.isOldUI, //No I18N
    
    isTrialUser: window.isTrialUser, //NO I18N
    isADUser: window.isADUser, //NO I18N
    
    isUserCountExceeded: window.isUserCountExceeded, //No I18N 
    
    isUnlimitedLic: window.isUnlimitedLic, //NO I18N
    isUCSCountExceeded: window.isUCSCountExceeded, //No I18N 
    isWindowsOS: window.isWindows, //NO I18N
    isOPUDemo: window.isIDC, //NO I18N
    isAdminUser: window.isAdminUser, //NO I18N
    isAdminRole: window.isAdminRole, //NO I18N
    isShowScanAction: window.isShowScanAction, //NO I18N

}); //No I18N

/* Application View */
OpUtilsClient.ApplicationView = Ember.View.extend({
    templateName: 'Application', //No I18N
    controllerBinding: "OpUtilsClient.ApplicationController", //No I18N
    didInsertElement: function() {
        this.get('controller').set("userName", window.oputilsUserName); //No I18N
//        if (checkIfAValIsValid(window.userName, "string"))
//        {
//            var title = userName.split("@")[0];
//            var user = title;
//            if (title.length > 10) {
//                user = title.slice(0, 10) + "...";//No I18N
//            }
//            this.get('controller').set("showLogin", false); //No I18N			
//            this.get('controller').set("userName", userName); //No I18N
//            this.get('controller').set("loginUser", title); //No I18N
//            this.get('controller').set("userTitle", user); //No I18N
////			alert(window.showThemeLinkTopAlert);
//            if (!window.showMask && window.showThemeLinkTopAlert)
//            {
//                showTopAlert("apiclientIntro"); //No I18N
//            }
//        }
//        else
//        {
//            this.get('controller').set("showLogin", true); //No I18N			
//        }


    }
}); //No I18N


OpUtilsClient.TextField = Ember.TextField.extend({
	classNames: "formInput" //No I18N
});
OpUtilsClient.TextFieldLogin = Ember.TextField.extend({
	classNames: "formInputLogin" //No I18N
});
OpUtilsClient.TextFieldHidden = Ember.TextField.extend({
	type: "hidden" //No I18N
});
OpUtilsClient.TextFieldWithFocus = Ember.TextField.extend({
	classNames: "formInput", //No I18N
	didInsertElement: function() {
		this.$().focus();
	}
});
OpUtilsClient.TextFieldSmall = Ember.TextField.extend({
	classNames: "formInputSmall" //No I18N
});
OpUtilsClient.TextFieldVerySmall = Ember.TextField.extend({
	classNames: "formInputVerySmall" //No I18N
});
OpUtilsClient.CheckBoxField = Ember.Checkbox.extend();
OpUtilsClient.TextArea = Ember.TextArea.extend({
	classNames: "formInputArea" //No I18N
});
OpUtilsClient.TextAreaBig = Ember.TextArea.extend({
	classNames: "formInputScriptArea" //No I18N
});
OpUtilsClient.TextAreaForCustomQuery = Ember.TextArea.extend({
	classNames: "textAreaForCustomQuery" //No I18N
});