
/* CFM Models */

OpUtilsClient.CFM = Ember.Object.extend({});
var devicesList = OpUtilsClient.CFM.create();
var devicesCountObj = OpUtilsClient.CFM.create();

OpUtilsClient.CFM.reopenClass({
    listAllCFMDevices: function(){
         var colNamesList = [Ember.I18n.t('opu.views.IP_ADDRESS',this), Ember.I18n.t('opu.views.DNS_NAME',this),Ember.I18n.t('opu.views.LAST_UPDATED_TIME',this),Ember.I18n.t('opu.views.TFTP_NAT_IP',this),Ember.I18n.t('opu.views.REMARKS',this)]; //No I18N
        var colModelList = [
            {name: 'ip-address', index: 'ip-address', sortable: true, sorttype: 'text' }, //No I18N
            {name: 'ip-to-dns', index: 'ip-to-dns', sortable: true, sorttype: 'text'}, //No I18N
            {name: 'last-updated-time', index: 'last-updated-time', sortable: true, sorttype: 'date'}, //No I18N
            {name: 'tftp_ip', index: 'tftp_ip', sortable: true, sorttype: 'text'}, //No I18N
            {name: 'remarks', index: 'remarks', sortable: true, sorttype: 'text'}, //No I18N
//            {name: 'alert-type-int', index: '3',width:width100,formatter:SeverityStatusIcon}, //No I18N
//            {name: 'alert-generated-time', index: '4'}, //No I18N
        ];
        var cfmdevicesUrl = getOpUtilsCFMAPIURL() + "&operation=GET_CONFIG_DETAILS";//NO I18N
        var defaultOptions = {"sortName": "host-name", "sortOrder": "asc"};//No I18N
        $.getJSON(cfmdevicesUrl, function(resp) {
            loadJQgridWithData("#CFMSummaryList", resp.result, colNamesList, colModelList, "", "#DevicePager", "CFMSummaryList", defaultOptions); //No I18N
            
        });
        
        return devicesList;
    },getCFMDevicesCount: function(){
        var devicesCount = "0";//NO I18N
        $.ajax({		
            url: getOpUtilsCFMAPIURL() + "&operation=GET_DEVICE_COUNT",//NO I18N
            type: 'GET', //No I18N		
            dataType:'json', //No I18N
            async: false,//No I18N
            success: function(Obj)		
            {
                devicesCount = Obj.cfmdevicecount;
            }
        })
        var jsonObj = {"TotalDevices": devicesCount}//No I18N
        devicesCountObj.setProperties(jsonObj);
        return devicesCountObj;
    }
});




