
/* IPAM Routes */
OpUtilsClient.SPMRoute = Ember.Route.extend({
    
	setupController: function(controller) {
            controller.set('content', OpUtilsClient.SPM.spmGroupView());  //No I18N
	},
        
	renderTemplate: function() {this.render({into: 'application', outlet: 'list'});} //No I18N
});
OpUtilsClient.SPMSwitchesRoute = Ember.Route.extend({
    
	setupController: function(controller) {
            //OpUtilsClient.Home.hideSecondTab()//No I18N
	},
        
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SPMAddSwitchRoute = Ember.Route.extend({
    
	setupController: function(controller) {
            //OpUtilsClient.Home.hideSecondTab()//No I18N
	},
        
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});

OpUtilsClient.SPMGroupRoute = Ember.Route.extend({
        model: function(params) {
            return {groupid: params.groupName};
        },
	setupController: function(controller,model) {
            OpUtilsClient.SPMController.selectedSPMGroupID=model.groupid;
            OpUtilsClient.SPM.spmSwitchesView(model.groupid);
	},        
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SPMGroupEditSwitchRoute = Ember.Route.extend({
        model: function(params) {
            return {groupid: params.groupName,switchname:params.switchname};
        },
	setupController: function(controller,model) {
            OpUtilsClient.SPMController.selectedSwitch=model.switchname;
	},        
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SPMSwitchRoute = Ember.Route.extend({
        model: function(params) {
            return {switchName: params.switchName,groupName:params.groupName};
        },
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SPMAllPortsRoute = Ember.Route.extend({
        setupController: function(controller,model) {
            controller.set('content', OpUtilsClient.SPM.spmSwitchPortsView());  //No I18N            
            OpUtilsClient.SPMController.isSPMAllPorts = true;
	},     
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SPMSwitchSummaryRoute = Ember.Route.extend({
        model: function(params) {
            return this.modelFor("SPM.Switch"); //No I18N
        },
	setupController: function(controller,model) {
            OpUtilsClient.SPMController.selectedSwitch=model.switchName;
            OpUtilsClient.SPMController.selectedSPMGroupID=model.groupName;
            setSPMSelectedGroup(model.groupName);
            OpUtilsClient.SPM.SwitchDetailsSummary(model.switchName);
	},        
	renderTemplate: function() {this.render({outlet: 'switchdetails'});} //No I18N
});
OpUtilsClient.SPMSwitchAlertsRoute = Ember.Route.extend({
        model: function(params) {
            return this.modelFor("SPM.Switch"); //No I18N
        },
	setupController: function(controller,model) {
            OpUtilsClient.SPMController.isSPMAllAlerts = false;
            OpUtilsClient.SPMController.selectedSwitch=model.switchName;
            OpUtilsClient.SPMController.selectedSPMGroupID=model.groupName;
            setSPMSelectedGroup(model.groupName);
            OpUtilsClient.SPM.SwitchDetailsAlerts(model.switchName);
	},        
	renderTemplate: function() {this.render({outlet: 'switchdetails'});} //No I18N
});
OpUtilsClient.SPMSwitchHistoryRoute = Ember.Route.extend({
        model: function(params) {
            return this.modelFor("SPM.Switch"); //No I18N
        },
	setupController: function(controller,model) {
            OpUtilsClient.SPMController.selectedSwitch=model.switchName;
            OpUtilsClient.SPMController.selectedSPMGroupID=model.groupName;
            setSPMSelectedGroup(model.groupName);
            OpUtilsClient.SPM.SwitchDetailsHistory(model.switchName);
	},        
	renderTemplate: function() {this.render({outlet: 'switchdetails'});} //No I18N
});
OpUtilsClient.SPMAllAlertsRoute = Ember.Route.extend({
	setupController: function(controller) {
            OpUtilsClient.SPMController.isSPMAllAlerts = true;
            controller.set('content', OpUtilsClient.SPM.SwitchDetailsAlerts());  //No I18N
	},        
	renderTemplate: function() {this.render({into: 'application',outlet: 'details'});} //No I18N
});
OpUtilsClient.SPMSwitchPortsRoute = Ember.Route.extend({
        model: function(params) {
            return this.modelFor("SPM.Switch"); //No I18N
        },
	setupController: function(controller,model) {
            OpUtilsClient.SPMController.selectedSwitch=model.switchName;
            OpUtilsClient.SPMController.selectedSPMGroupID=model.groupName;
            OpUtilsClient.SPMController.isSPMAllPorts = false;
            setSPMSelectedGroup(model.groupName);
            OpUtilsClient.SPM.spmSwitchPortsView(model.switchName);
	},        
	renderTemplate: function() {this.render({outlet: 'switchdetails'});} //No I18N
});
OpUtilsClient.SPMPortRoute = Ember.Route.extend({
        model: function(params) {
            return {switchName: params.switchName,groupName:params.groupName,ifindexnumber:params.ifindexnumber};
        },
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SPMPortSummaryRoute = Ember.Route.extend({
        model: function(params) {
            return this.modelFor("SPM.Port"); //No I18N
        },
	setupController: function(controller,model) {
//            OpUtilsClient.SPMController.setisSPMAllAlerts = false;
            OpUtilsClient.SPMController.selectedSwitch=model.switchName;
            OpUtilsClient.SPMController.selectedSPMGroupID=model.groupName;
            OpUtilsClient.SPMController.selectedSwitchPort=model.ifindexnumber;
            setSPMSelectedGroup(model.groupName,model.switchName);
            
            OpUtilsClient.SPM.SwitchPortDetailsSummary(model.switchName,model.ifindexnumber);
	},        
	renderTemplate: function() {this.render({outlet: 'switchportdetails'});} //No I18N
});
OpUtilsClient.SPMPortHistoryRoute = Ember.Route.extend({
        model: function(params) {
            return this.modelFor("SPM.Port"); //No I18N
        },
	setupController: function(controller,model) {
            OpUtilsClient.SPMController.selectedSwitch=model.switchName;
            OpUtilsClient.SPMController.selectedSPMGroupID=model.groupName;
            OpUtilsClient.SPMController.selectedSwitchPort=model.ifindexnumber;
            setSPMSelectedGroup(model.groupName);
            OpUtilsClient.SPM.SwitchDetailsHistory(model.switchName,model.ifindexnumber);
	},        
	renderTemplate: function() {this.render({outlet: 'switchportdetails'});} //No I18N
});
OpUtilsClient.SPMPortAlertsRoute = Ember.Route.extend({
        model: function(params) {
            return this.modelFor("SPM.Port"); //No I18N
        },
	setupController: function(controller,model) {
            OpUtilsClient.SPMController.selectedSwitch=model.switchName;
            OpUtilsClient.SPMController.selectedSPMGroupID=model.groupName;
            OpUtilsClient.SPMController.selectedSwitchPort=model.ifindexnumber;
            setSPMSelectedGroup(model.groupName);
            OpUtilsClient.SPMController.isSPMAllAlerts = false;
            OpUtilsClient.SPM.SwitchDetailsAlerts(model.switchName,model.ifindexnumber);
	},        
	renderTemplate: function() {this.render({outlet: 'switchportdetails'});} //No I18N
});

OpUtilsClient.SPMDashboardRoute = Ember.Route.extend({
	model: function(params) {
           
		return {dashName: params.dashName};
	},
	setupController: function(controller,model) {	
		var dash_model = OpUtilsClient.IPAM.getDashboardDetails("SPM",model.dashName,model.dashName);//No I18N
		controller.set('content', dash_model); //No I18N
	},
	serialize: function(model) {
        	return {dashName: Em.get(model, 'dashName')} //No I18N
	},	
	renderTemplate: function() {this.render({into: 'application',outlet: 'details'});}, //No I18N
	exit: function()
	{
		unloader();
	}
});

