
/* Settings Routes */
OpUtilsClient.SettingsRoute = Ember.Route.extend({
    
	setupController: function(controller) {
            //OpUtilsClient.Home.hideSecondTab()//No I18N
            getCharacterEncodingValues();
	},
        
	renderTemplate: function() {this.render({into: 'application', outlet: 'list'});} //No I18N
});
OpUtilsClient.SettingsBasicSettingsGeneralRoute = Ember.Route.extend({
	setupController: function(controller) {
            setGeneralSettingsTabLinks("General");//No I18N
            OpUtilsClient.SettingsController.generalsettingsDesc = Ember.I18n.t('opu.common.GENERAL_SETTINGS_DEC',this);//No I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsBasicSettingsSNMPRoute = Ember.Route.extend({
	setupController: function(controller) {
            setGeneralSettingsTabLinks("SNMP");//No I18N
            OpUtilsClient.SettingsController.generalsettingsDesc = Ember.I18n.t('opu.general.CONFIGURE_SNMP_SETTINGS_HERE',this);//No I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsBasicSettingsSMTPRoute = Ember.Route.extend({
	setupController: function(controller) {
            setGeneralSettingsTabLinks("SMTP");//No I18N
            OpUtilsClient.SettingsController.generalsettingsDesc = Ember.I18n.t('opu.general.CONFIGURE_SMTP_SETTINGS_HERE',this);//No I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsBasicSettingsICMPRoute = Ember.Route.extend({
	setupController: function(controller) {
            setGeneralSettingsTabLinks("ICMP");//No I18N
            OpUtilsClient.SettingsController.generalsettingsDesc = Ember.I18n.t('opu.common.CONFIGURE_ICMP_SETTING_HERE',this);//No I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsBasicSettingsSyslogRoute = Ember.Route.extend({
	setupController: function(controller) {
            setGeneralSettingsTabLinks("Syslog");//No I18N
            OpUtilsClient.SettingsController.generalsettingsDesc = Ember.I18n.t('opu.common.CONFIGURE_SYSLOG_SETTINGS_HERE',this);//No I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsBasicSettingsGraphRoute = Ember.Route.extend({
	setupController: function(controller) {
            setGeneralSettingsTabLinks("Graph");//No I18N
            OpUtilsClient.SettingsController.generalsettingsDesc = Ember.I18n.t('opu.general.CONFIGURE_PLOTTING_GRAPH',this);//No I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsBasicSettingsLinuxRoute = Ember.Route.extend({
	setupController: function(controller) {
            setGeneralSettingsTabLinks("Linux");//No I18N
            OpUtilsClient.SettingsController.generalsettingsDesc = Ember.I18n.t('opu.general.CONFIGURE_A_GUEST_ACCOUNT_OF_LINUX_MACHINES_FOR_RESOLVE_MAC',this);//No I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsAddRouterRoute = Ember.Route.extend({
	setupController: function(controller) {
            
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsRoutersRoute = Ember.Route.extend({
	setupController: function(controller) {  
            OpUtilsClient.Settings.listRouters();
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsAddUserRoute = Ember.Route.extend({
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsUsersRoute = Ember.Route.extend({
    setupController: function(controller) {  
        OpUtilsClient.Settings.listOpUtilsUsers();
    },
    renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsAddAdDomainRoute = Ember.Route.extend({
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsEditADDomainRoute = Ember.Route.extend({
    model: function(params) {
           
		return {addomainId: params.addomain};
	},
    setupController: function(controller,model) {
        OpUtilsClient.SettingsController.addomainID=model.addomainId;
    },
    renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsEditRouterRoute = Ember.Route.extend({
    model: function(params) {
		return {router: params.router,routerid:params.routerid};
	},
    setupController: function(controller,model) {
        OpUtilsClient.SettingsController.routerName=model.router;
        OpUtilsClient.SettingsController.routerID=model.routerid;
    },
    renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsEditUserRoute = Ember.Route.extend({
    model: function(params) {
		return {user: params.user,userid:params.userid};
	},
    setupController: function(controller,model) {
        OpUtilsClient.SettingsController.userName=model.user;
        OpUtilsClient.SettingsController.userID=model.userid;
    },
    renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsAdDomainsRoute = Ember.Route.extend({
    setupController: function(controller) {  
        OpUtilsClient.Settings.listAdDomains();
    },
    renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsIPAMGeneralRoute = Ember.Route.extend({
	setupController: function(controller) {
            OpUtilsClient.SettingsController.ipamsettingsDesc ="";// Ember.I18n.t('opu.general.CONFIGURE_A_GUEST_ACCOUNT_OF_LINUX_MACHINES_FOR_RESOLVE_MAC',this);//No I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsChangePasswordRoute = Ember.Route.extend({
//	setupController: function(controller) {
//	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsDBBackUpRoute = Ember.Route.extend({
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsDBMigrationRoute = Ember.Route.extend({
    renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsOpUtilsAboutRoute = Ember.Route.extend({
    renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsLanguageRoute = Ember.Route.extend({
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsSPMRoute = Ember.Route.extend({
	setupController: function(controller) {
            setSPMSettingsTabLinks("General");//NO I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsRogueRoute = Ember.Route.extend({
	setupController: function(controller) {
//            setSPMSettingsTabLinks("General");//NO I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsIPAMRoute = Ember.Route.extend({
	setupController: function(controller) {
            setSPMSettingsTabLinks("General");//NO I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsSPMGeneralRoute = Ember.Route.extend({
	setupController: function(controller) {
            setSPMSettingsTabLinks("General");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsSPMSchedulerRoute = Ember.Route.extend({
	setupController: function(controller) {
            setSPMSettingsTabLinks("Scheduler");//NO I18N
            OpUtilsClient.Settings.listSchedulerReports("SPM");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsSPMConfigAlertsRoute = Ember.Route.extend({
	setupController: function(controller) {
            setSPMSettingsTabLinks("Alerts");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsSPMCustomColumnRoute = Ember.Route.extend({
	setupController: function(controller) {
            setSPMSettingsTabLinks("CustomColumn");//NO I18N
            OpUtilsClient.Settings.listCustomColumns("SPM");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsSPMPublishRoute = Ember.Route.extend({
	setupController: function(controller) {
            setSPMSettingsTabLinks("Publish");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsIPAMGeneralRoute = Ember.Route.extend({
	setupController: function(controller) {
            setIPAMSettingsTabLinks("General");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsIPAMPublishRoute = Ember.Route.extend({
	setupController: function(controller) {
            setIPAMSettingsTabLinks("Publish");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsIPAMCleanUpPolicyRoute = Ember.Route.extend({
	setupController: function(controller) {
            setIPAMSettingsTabLinks("CleanUpPolicy");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsIPAMCustomColumnRoute = Ember.Route.extend({
	setupController: function(controller) {
            setIPAMSettingsTabLinks("CustomColumn");//NO I18N
            OpUtilsClient.Settings.listCustomColumns("IPAM");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsIPAMConfigAlertsRoute = Ember.Route.extend({
	setupController: function(controller) {
            var ipamAlertConfig = getIPAMSettingsObj("Alerts");//NO I18N
            oputilsStaticValues.IPAMDays=ipamAlertConfig.days;//NO I18N
            setIPAMSettingsTabLinks("Alerts");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsIPAMAPIRoute = Ember.Route.extend({
	setupController: function(controller) {
            setIPAMSettingsTabLinks("API");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsIPAMSchedulerRoute = Ember.Route.extend({
	setupController: function(controller) {
            setIPAMSettingsTabLinks("Scheduler");//NO I18N
            OpUtilsClient.Settings.listSchedulerReports("IPAM");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsRogueConfigAlertsRoute = Ember.Route.extend({
	setupController: function(controller) {
//            setIPAMSettingsTabLinks("General");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsNWMRoute = Ember.Route.extend({
	setupController: function(controller) {
            setNWMSettingsTabLinks("AlertRule");//NO I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsNWMAlertRuleRoute = Ember.Route.extend({
	setupController: function(controller) {
            setNWMSettingsTabLinks("AlertRule");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsNWMEmailTempRoute = Ember.Route.extend({
	setupController: function(controller) {
            setNWMSettingsTabLinks("EmailTemp");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsNWMCleanUpPolicyRoute = Ember.Route.extend({
	setupController: function(controller) {
            setNWMSettingsTabLinks("CleanUpPolicy");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsBWMRoute = Ember.Route.extend({
	setupController: function(controller) {
            setBWMSettingsTabLinks("AlertRule");//NO I18N
	},
	renderTemplate: function() {this.render({into: 'application', outlet: 'details'});} //No I18N
});
OpUtilsClient.SettingsBWMAlertRuleRoute = Ember.Route.extend({
	setupController: function(controller) {
            setBWMSettingsTabLinks("AlertRule");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});
OpUtilsClient.SettingsBWMCleanUpPolicyRoute = Ember.Route.extend({
	setupController: function(controller) {
            setBWMSettingsTabLinks("CleanUpPolicy");//NO I18N
	},
	renderTemplate: function() {this.render({outlet: 'settingsmainview'});} //No I18N
});