	
OpUtilsClient.BWMonitorView = Ember.View.extend({
    templateName: 'BWMonitor', //No I18N
    didInsertElement: function() {
//        OpUtilsClient.BWMonitor.getInterfacesCount();
    }
});		//No I18N
OpUtilsClient.BWMonitorSummaryView = Ember.View.extend({
    templateName: 'BWMonitorSummary', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.BWMonitorAlertsView = Ember.View.extend({
    templateName: 'BWMonitorAlerts', //No I18N
    didInsertElement: function() {
    }
});
OpUtilsClient.BWMonitorAddDeviceView = Ember.View.extend({
    templateName: 'BWMAddDevice', //No I18N
    didInsertElement: function() {
    }
    ,getInterfaces : function(){
        var device = trimAll(this.get('devicename'));
        var readCommunity = trimAll(this.get('readcommunity'));
        if (device === undefined || device === "" || device.lenght ===0) {
            alert(Ember.I18n.t('opu.snmp.ENTER_VALID_HOST_OR_IP', this));//No I18N
            $("#devicename").focus();
            return;
        }
        if (readCommunity === undefined || readCommunity === "" || readCommunity.lenght ===0) {
            alert(Ember.I18n.t('opu.common.PLEASE_ENTER_COMMUNITY_STRING', this));//No I18N
            $("#readcommunity").focus();
            return;
        }
        var snmpversion = "v1";//NO I18N
        if($("#snmpver2").prop("checked")===true){
            snmpversion = "v2";//NO I18N
        }
        var getinterfaceURL = getOpUtilsBWMAPIURL()+ "&operation=BWM_ADD_DEVICE";//NO I18N
        
        opu_showLoadingTextOnReq(true);
        $.ajax({		
                url: getinterfaceURL,
                type: 'POST', //No I18N		
                dataType:'json', //No I18N
                data:{'actionFrom':'addDevice','ipOrHost':device,'community':readCommunity,'snmpversion':snmpversion},//NO I18N
//                async: false,//No I18N
                success: function(interfaceslist)		
                {
                    var status = interfaceslist.status;
                    if(status === "Success"){
                        opu_showSuccessResponseTextOnDiv(Ember.I18n.t('opu.bwm.AVAILABLE_INTERFACES_FOR_MONITOR',this));//NO I18N
                        var colNamesList = [Ember.I18n.t('opu.views.IFNAME',this),Ember.I18n.t('opu.views.STATUS',this), Ember.I18n.t('opu.views.SPEED',this)]; //No I18N
                        var colModelList = [
                            {name: 'if-name', index: 'if-name', sortable: true, sorttype: 'text'}, //No I18N
                            {name: 'if-status-int', index: 'if-status-int',formatter:deviceStatusIcon, sortable: true, sorttype: 'int'}, //No I18N
                            {name: 'if-speed', index: 'if-speed', sortable: true, sorttype: 'long'}, //No I18N
                        ];
                        $("#BWMInterfacesListDiv").show();
                        var defaultOptions = {"multiselect": true};//No I18N
                        loadJQgridWithData("#BWMInterfacesList", interfaceslist.result.newinterfaces, colNamesList, colModelList, Ember.I18n.t('opu.common.INTERFACES',this), "#DevicePager", "BWMInterfacesList", defaultOptions); //No I18N
                    }else{
                        opu_showFailureResponseTextOnDiv(interfaceslist.message);
                    }
                }
        });
    },addInterfaces : function(){
        var rows = $("#BWMInterfacesList").find("[type=checkbox]:checked");
         var ifindex = '';
        for(var i=0; i<rows.length;i++){
            if(i === 0){
                ifindex += (parseInt(rows[i].parentNode.parentNode.id) -1); //No I18N
            }else{
                ifindex += ","+(parseInt(rows[i].parentNode.parentNode.id)-1); //No I18N
            }
        }
        var device = trimAll(this.get('devicename'));
        var readCommunity = trimAll(this.get('readcommunity'));
        var snmpversion = "v1";//NO I18N
        if($("#snmpver2").prop("checked")===true){
            snmpversion = "v2";//NO I18N
        }
        var data = {'actionFrom':'addInterface','ipOrHost':device,'community':readCommunity,'checked':ifindex,'snmpversion':snmpversion};//No I18N
        $.ajax({
                url: getOpUtilsBWMAPIURL()+ "&operation=BWM_ADD_INTERFACES", //No I18N
                    type: 'POST', //No I18N
                    data:data, //No I18N
                    success: function(response){
                        if(response.status ==="Success"){
                            location.href = window.apiclientUrl + "BWMonitor/Summary";//No I18N
                        }else{
                            opu_showFailureResponseTextOnDiv(response.message);
                        }
//                        $('#FiledList').trigger.reloadGrid;
                    }
             });
    }
    ,gotoBWMSummaryPage : function(){
        location.href = window.apiclientUrl + "BWMonitor/Summary";//No I18N
    }
});