	
OpUtilsClient.ToolsView = Ember.View.extend({
    templateName: 'Tools', //No I18N
    didInsertElement: function() {
        this.$("#ToolList").accordion({ collapsible: true, heightStyle: "content", header: ".myaccordionhead", content: ".myaccordioncontent" }); //No I18N
    }
});
OpUtilsClient.ToolsWMIView = Ember.View.extend({
    templateName: 'NetworkMonitorWMI', //No I18N
    didInsertElement: function() {
        $("#nameSpace").val("ROOT\\CIMV2");
    },
    getWMIResult: function()
    {
        var devicename = trimAll(this.get("devicename"));
        var username = trimAll(this.get("username"));
        var password = trimAll($("#wmipassword").val());
        var wmiquery = trimAll( $("#wmiquery").val());
        var nameSpace = trimAll($("#nameSpace").val());

        if (devicename === undefined || devicename.length === 0)
        {
            alert(Ember.I18n.t("opu.snmp.ENTER_VALID_HOST_OR_IP", this));//NO I18N
            $("#devicename").focus();
            return false;
        }
        if (username === undefined || username.length === 0)
        {
            alert(Ember.I18n.t("opu.common.PLEASE_ENTER_THE_USER_NAME", this));//NO I18N
            $("#username").focus();
            return false;
        }
        if (devicename !== "localhost" && ( password === undefined || password.length === 0))
        {
            alert(Ember.I18n.t("opu.common.PLEASE_ENTER_THE_PASSWORD", this));//NO I18N
            $("#wmipassword").focus();
            return false;
        }
        if (wmiquery === undefined || wmiquery.length === 0)
        {
            alert(Ember.I18n.t("opu.general.PLEASE_ENTER_QUERY_TO_EXECUTE", this));//NO I18N
            $("#wmiquery").focus();
            return false;
        }
        $("#widgetOverlay").show();
        $("#loadingDiv").show();
//      var params = {"deviceName": devicename , "userName": username , "password": password , "query" : wmiquery , "nameSpace" : nameSpace}//NO I18N
        var wmiURL =getOpUtilsSettingsAPIURL()+"&operation=GET_WMI_QUERY_DETAILS&deviceName=" + devicename + "&userName=" + username + "&query=" + wmiquery + "&nameSpace=" + nameSpace;//NO I18N
        if(password !== undefined && password.length !== 0){
            wmiURL += "&password=" + password ;//NO I18N
        }

        $("#WMIResultViewDiv").show();
        var colNamesList = []; //No I18N
        var colModelList = [];
        var defaultOptions = {"sortOrder": "asc", "multiselect": false};//No I18N
        $.getJSON(wmiURL, function(resp) {

//            $.ajax({
//                url:getOpUtilsSPMAPIURL()+params, //No I18N
//                data:params,
//                type:'POST', //No I18N
//                asyn:false,
//                success:function(resp) //NO I18N
//                {
                $("#widgetOverlay").hide();
                $("#loadingDiv").hide();
                if ((resp.status !== undefined && resp.status === "Failure") && (resp.message !== undefined))
                {
                    opu_showFailureResponseTextOnDiv(resp.message);
                } else {

                var firstRow = resp.result[0];
                if(firstRow !== undefined){
                var totalColumns = 0;
                $.each(resp.result[0], function(key, val) {
                    totalColumns++;
                });
                var i = 0
                $.each(resp.result[0], function(key, val) {
                    colNamesList.push(key);
                    var modelObj = {};
                    modelObj.name = key;
                    modelObj.index = i;
                    modelObj.width = 200;
                    colModelList.push(modelObj);
                    i++;
                });
                $("#WMIResultView").jqGrid("GridUnload");
                loadJQgridWithData("#WMIResultView", resp.result, colNamesList, colModelList, "", "#DevicePager", "WMIResultView", defaultOptions); //No I18N
                if(totalColumns > 6){//if result have less columns, page will be viewed full page
                    $("#WMIResultView").setGridWidth(colModelList.length * 150, true);
                }
                var differentLen = (colModelList.length * 120) - ($("#col3").width())
                if (differentLen > 20) {
                    $("#gview_WMIResultView").css({width: $("#col3").width(), "overflow-x": "auto", "border-right": "1px solid #F7F9F9"}); //No I18N
                }
                $("#DevicePager").css({width: $("#col3").width()}); //No I18N
            }
        }
//    }
        });
    }
});