
var TREE_NODES = [
	['Introduction', "introduction/welcome_to_network_utilities.html", "MAIN",				
		['Document Organization', "introduction/index.html", "MAIN",				
		],
		['Product Edition Matrix', "introduction/product_version_matrix.html", "MAIN",				
		],	
		['Release Notes', "introduction/release_notes.html", "MAIN",				
		],
		['Contacting ZOHO Corporation',"misc/contacting_zoho_corporation.html", "MAIN",  //no i18n
		],				
	],
	['Technology Overview',"technology_overview/technology_overview_intro.html", "MAIN",
		['SNMP Overview', "technology_overview/snmp_overview.html", "MAIN",
		],
		['ICMP Overview', "technology_overview/icmp_overview.html", "MAIN",		
		],
		['CLI Overview', "technology_overview/cli_overview.html", "MAIN",		
		],		
	],
	['Getting Started', "getting_started/gettingstarted.html", "MAIN",
		['System Requirements', "getting_started/systemreqts.html", "MAIN",
		],
		['Installing and Starting OpUtils', "getting_started/installation.html", "MAIN",		
		
			['Installing and Starting OpUtils in Windows', "getting_started/installing_oputils_windows.html", "MAIN",			
			],
			['Installing and Starting OpUtils in Linux', "getting_started/installing_linux.html", "MAIN",			
			],
		],
		['Service Pack', "getting_started/service_pack.html", "MAIN",
			['Installing Service Pack', "getting_started/installing_service_pack.html", "MAIN",
			],
			['Uninstalling Service Pack', "getting_started/uninstalling_service_pack.html", "MAIN",			
			],
		],
		['Prerequisites', "getting_started/prequisites.html", "MAIN",
		],
		['Installing SNMP', "snmpinstallation/snmp_installation_intro.html", "MAIN",
			['Windows', "snmpinstallation/install_snmp_win.html", "MAIN",
			],
			['Linux', "snmpinstallation/install_snmp_linux.html", "MAIN",			
			],
		],
		['Licensing the Product', "getting_started/licensing_the_product.html", "MAIN",
		],	
	],
	['Configuring ManageEngine OpUtils',"setting_up_environment/common_features_intro.html", "MAIN",
		['Adding Routers', "setting_up_environment/setting_global_environment.html", "MAIN",
		],
		['Settings', "setting_up_environment/configuring_settings.html", "MAIN",	
			['Configuring ICMP Properties', "setting_up_environment/configuring_icmp.html", "MAIN",
			],
			['Configuring SNMP Properties', "setting_up_environment/configuring_snmp.html", "MAIN",	
			],			
			['Configuring SMTP Properties', "setting_up_environment/configuring_smtp.html", "MAIN",
			],
			['Configuring WMI Properties', "setting_up_environment/configuring_wmi_properties.html", "MAIN",	
			],
			['Configuring Linux Properties', "setting_up_environment/configuring_linux_properties.html", "MAIN",
			],
			['Configuring Syslog Server', "setting_up_environment/configuring_syslog_server.html", "MAIN", //no i18n
			],
			['Configuring Graphs Properties', "setting_up_environment/configuring_graphs.html", "MAIN",	
			],
			['Configuring General Settings', "setting_up_environment/encoding.html", "MAIN",	
			],
		],
		['Managing Scheduled Tasks', "setting_up_environment/managing_scheduled_tasks.html", "MAIN",
		],
		['Global Alerts', "setting_up_environment/viewing_global_alerts.html", "MAIN",
		],
		['Personalize', "setting_up_environment/customizing_ui_to_personalize.html", "MAIN",
		],
		['User Management', "getting_started/adding_users.html", "MAIN",
		],
 		['Authenticate Users via Active Directory', "setting_up_environment/active_directory_authentication.html", "MAIN", //No I18N
		],		
		['Exporting, Printing, and E mailing Results', "setting_up_environment/generating_reports.html", "MAIN",
		],
	],
	['Switch Port Mapper', "network/switch_port_mapper_tool.html", "MAIN",
	],
	['IP Address Manager', "addressmgmt/working_with_ip_address_management_tool.html", "MAIN", //no i18n
		['Working with IP Address Manager', "addressmgmt/ip_address_manager_tool.html", "MAIN",
		],  
['Managing IPv6 Addresses', "addressmgmt/ipv6/managing-ipv6-addresses.html", "MAIN", //no i18n
                ],		
['Managing DHCP Servers', "addressmgmt/manage-dhcp-servers.html", "MAIN", //no i18n
                ],
	],
	['Rogue Detection Tool', "addressmgmt/wireless_wired_rogue_detection_tool.html", "MAIN",
	],
	['MAC IP List', "addressmgmt/mac_address_database.html", "MAIN",
	],
	['Diagnostic Tools', "diagnostics/diagnostics_tools.html", "MAIN",
		['Ping', "diagnostics/network_discovery_tool.html", "MAIN",
		],		
		['SNMP Ping', "diagnostics/snmp_ping_tool.html", "MAIN",			
		],		
		['Proxy Ping', "diagnostics/proxy_ping_tool.html", "MAIN",
		],
		['Trace Route', "diagnostics/trace_route_tool.html", "MAIN",
		],
		['Network Scanner', "addressmgmt/network_scanner_tool.html", "MAIN", //no I18n
		],
	],
	['Address Monitoring Tools', "addressmgmt/address_management_tools.html", "MAIN",
		['DNS Resolver', "addressmgmt/dns_resolver_tool.html", "MAIN",
		],		
		['MAC Address Resolver', "addressmgmt/mac_address_resolver_tool.html", "MAIN",
		],			
		['DHCP Scope Monitor', "addressmgmt/windows_dhcp_scope_monitoring_tool.html", "MAIN",
		],				
	],	
	['Network Monitoring Tools', "network/network_monitoring_tools.html", "MAIN",
		['Bandwidth Monitor', "network/bandwidth_monitor_tool.html", "MAIN",
		],		
		['Network Monitor', "network/network_monitor_tool.html", "MAIN",			
		],		
		['Wake-On-LAN', "network/wake_on_lan_tool.html", "MAIN",
		],
		['Port Scanner Tool', "network/port_scanner_tool.html", "MAIN",
		],
		['System Details Update', "network/system_details_update_tool.html", "MAIN",
		],
		['System Explorer', "network/system_explorer_tool.html", "MAIN",
			['System Snapshot', "desktop/system_information_tool.html", "MAIN",
			],
			['Disk Space Monitor', "desktop/disk_space_tool.html", "MAIN",
			],
			['CPU Monitor', "desktop/cpu_monitor_tool.html", "MAIN",
			],
			['Process Scan', "desktop/process_monitor_tool.html", "MAIN",			
			],
			['Software Scan', "desktop/software_scan_tool.html", "MAIN",
		 	],
		 	['Subnet List', "addressmgmt/subnet_list_tool.html", "MAIN",
		 	],
		],
		['TCP Reset', "desktop/tcp_connection_reset_tool.html", "MAIN",
		],
	],
	['CISCO Tools', "cisco_uitlities/cisco_tools.html", "MAIN",
		['Config File Manager', "cisco_uitlities/config_file_viewer_tool.html", "MAIN",
		],
		['TFTP Server', "cisco_uitlities/cisco_tools_tftp_server.html", "MAIN",
		],
		['Cisco Device Scan', "cisco_uitlities/cisco_device_scanner.html", "MAIN",
		],
		['Device Explorer', "cisco_uitlities/cisco_device_explorer.html", "MAIN",
			['Device Snapshot', "cisco_uitlities/routers_snapshot_tool.html", "MAIN",
			],
			['Chassis', "cisco_uitlities/chassis_tool.html", "MAIN",
			],
			['Flash', "cisco_uitlities/flash_tool.html", "MAIN",
			],
			['IOS', "cisco_uitlities/ios_tool.html", "MAIN",			
			],
			['IP Routes', "cisco_uitlities/ip_routes_tool.html", "MAIN",
			],
			['Device Monitor', "cisco_uitlities/router_monitor_tool.html", "MAIN",
			],
			['Interfaces', "cisco_uitlities/interfaces_tool.html", "MAIN",
			],
			['Access Lists', "cisco_uitlities/access_list_tool.html", "MAIN",
			],
		],
		
	],
	['SNMP Tools', "snmp/snmp_tools.html", "MAIN",
		['MIB Viewer', "snmp/snmp_mib_viewer.html", "MAIN",
			['MIB Node Viewer', "snmp/mib_node_viewer_tool.html", "MAIN",
			],
			['MIB Module Viewer', "snmp/mib_module_viewer_tool.html", "MAIN",
			],
		],
		['SNMP Walker', "snmp/snmp_walker_tool.html", "MAIN",
		],
		['SNMP Table', "snmp/snmp_table_tool.html", "MAIN",
		],
		['Trap Receiver', "snmp/trap_viewer_tool.html", "MAIN",			
		],
		['SNMP Graph', "snmp/snmp_graph_tool.html", "MAIN",
		],		
		['MIB Browser', "snmp/mib_browser_tool.html", "MAIN",
			['Loading/Unloading MIBS', "snmp/mibbrowser_loadingmibs.html", "MAIN",
			],
			['Setting SNMP Parameters in MIB Browser', "snmp/mibbrowser_snmpset.html", "MAIN",
			],
			['Getting values of SNMP Variables', "snmp/mibbrowser_snmp_get.html", "MAIN",
			],
		],
		['Community Checker', "snmp/snmp_community_checker_tool.html", "MAIN",
		],
	],
	['Custom SNMP Tools', "custom_snmp_tools/custom_snmp_tools.html", "MAIN",
		['Custom Tabular Tool', "custom_snmp_tools/custom_tabular_tool.html", "MAIN",
		],
		['Custom Graph Tool', "custom_snmp_tools/custom_graph_tool.html", "MAIN",
		],		
	],
	['Network Reports', "misc/network_reports.html", "MAIN",
	],
        ['OpUtils API', "api/oputils_api.html", "MAIN",//No I18N
		['IP Address Manager API', "api/ipam-api.html", "MAIN",//No I18N
		],
	],

	['Appendix', "misc/appendix.html", "MAIN",
		['Interpreting Error Message', "misc/interpreting_error_messages.html", "MAIN",
		],
		['Interpreting Syslog Messages', "misc/interpreting_syslog_messages.html", "MAIN", //no i18n
		],
		['FAQ', "misc/faq.html", "MAIN",
		],
		['Trouble Shooting Tips', "misc/troubleshooting.html", "MAIN",
		],
		['Known Issues and Limitations', "misc/ki_and_limitations.html", "MAIN",			
		],
		['Glossary', "misc/glossary.html", "MAIN",
		]
	],
];
